Liferay.Loader.define("commerce-frontend-js@3.0.30/components/gallery/Thumbnails", ['module', 'exports', 'require', 'frontend-js-react-web$prop-types', 'frontend-js-react-web$react', './Thumbnail'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = Thumbnails;

    var _propTypes = _interopRequireDefault(require("frontend-js-react-web$prop-types"));

    var _react = _interopRequireDefault(require("frontend-js-react-web$react"));

    var _Thumbnail = _interopRequireDefault(require("./Thumbnail"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * This library is free software; you can redistribute it and/or modify it under
     * the terms of the GNU Lesser General Public License as published by the Free
     * Software Foundation; either version 2.1 of the License, or (at your option)
     * any later version.
     *
     * This library is distributed in the hope that it will be useful, but WITHOUT
     * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
     * details.
     */
    function Thumbnails(_ref) {
      var background = _ref.background,
          images = _ref.images,
          onChange = _ref.onChange,
          _ref$selected = _ref.selected,
          selected = _ref$selected === void 0 ? false : _ref$selected;
      return (/*#__PURE__*/_react.default.createElement("div", {
          className: "gallery-thumbnails"
        }, images.map(function (image, i) {
          return (/*#__PURE__*/_react.default.createElement(_Thumbnail.default, {
              active: selected === i,
              background: background,
              key: image.thumbnailUrl,
              onClick: onChange ? function () {
                return onChange(i);
              } : null,
              src: image.thumbnailUrl,
              title: image.title
            })
          );
        }))
      );
    }
    //# sourceMappingURL=Thumbnails.js.map
  }
});
//# sourceMappingURL=Thumbnails.js.map