Liferay.Loader.define("commerce-frontend-js@3.0.30/components/mini_cart/Wrapper", ['module', 'exports', 'require', 'frontend-js-react-web$react', '../dataset_display/DatasetDisplay', './MiniCartContext', './util/constants'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _DatasetDisplay = _interopRequireDefault(require("../dataset_display/DatasetDisplay"));

    var _MiniCartContext = _interopRequireDefault(require("./MiniCartContext"));

    var _constants = require("./util/constants");

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * This library is free software; you can redistribute it and/or modify it under
     * the terms of the GNU Lesser General Public License as published by the Free
     * Software Foundation; either version 2.1 of the License, or (at your option)
     * any later version.
     *
     * This library is distributed in the hope that it will be useful, but WITHOUT
     * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
     * details.
     */
    function Wrapper() {
      var _useContext = (0, _react.useContext)(_MiniCartContext.default),
          CartViews = _useContext.CartViews,
          cartState = _useContext.cartState,
          isOpen = _useContext.isOpen,
          spritemap = _useContext.spritemap;

      var _cartState$cartItems = cartState.cartItems,
          cartItems = _cartState$cartItems === void 0 ? [] : _cartState$cartItems;
      return (/*#__PURE__*/_react.default.createElement("div", {
          className: 'mini-cart-wrapper'
        }, /*#__PURE__*/_react.default.createElement(CartViews.Header, null), /*#__PURE__*/_react.default.createElement("div", {
          className: 'mini-cart-wrapper-items'
        }, isOpen && /*#__PURE__*/_react.default.createElement(_DatasetDisplay.default, {
          id: 'cart-items-list-dataset-display',
          items: cartItems,
          overrideEmptyResultView: true,
          showManagementBar: false,
          showPagination: false,
          sidePanelId: 'sidePanelDisabled',
          spritemap: spritemap,
          views: [{
            component: CartViews[_constants.ITEMS_LIST]
          }]
        })), /*#__PURE__*/_react.default.createElement(CartViews.OrderButton, null))
      );
    }

    var _default = Wrapper;
    exports.default = _default;
    //# sourceMappingURL=Wrapper.js.map
  }
});
//# sourceMappingURL=Wrapper.js.map