Liferay.Loader.define("commerce-frontend-js@3.0.30/components/side_panel/SideMenu", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/button', '@frontend-taglib-clay$clayui/icon', 'frontend-js-react-web$classnames', 'frontend-js-react-web$react'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = SideMenu;

    var _button = _interopRequireDefault(require("@frontend-taglib-clay$clayui/button"));

    var _icon = _interopRequireDefault(require("@frontend-taglib-clay$clayui/icon"));

    var _classnames = _interopRequireDefault(require("frontend-js-react-web$classnames"));

    var _react = _interopRequireDefault(require("frontend-js-react-web$react"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * This library is free software; you can redistribute it and/or modify it under
     * the terms of the GNU Lesser General Public License as published by the Free
     * Software Foundation; either version 2.1 of the License, or (at your option)
     * any later version.
     *
     * This library is distributed in the hope that it will be useful, but WITHOUT
     * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
     * details.
     */
    function SideMenu(props) {
      return (/*#__PURE__*/_react.default.createElement("ul", {
          className: "bg-dark nav side-menu",
          role: "tablist"
        }, props.items.map(function (item) {
          return (/*#__PURE__*/_react.default.createElement("li", {
              className: "nav-item",
              key: item.slug
            }, /*#__PURE__*/_react.default.createElement(_button.default, {
              className: (0, _classnames.default)('mx-3 my-2 btn-secondary', props.active === item.slug && 'active'),
              displayType: "unstyled",
              monospaced: true,
              onClick: function onClick(e) {
                e.preventDefault();
                props.open(item.href, item.slug);
              }
            }, /*#__PURE__*/_react.default.createElement(_icon.default, {
              symbol: item.icon
            })))
          );
        }))
      );
    }
    //# sourceMappingURL=SideMenu.js.map
  }
});
//# sourceMappingURL=SideMenu.js.map