Liferay.Loader.define("commerce-product-content-web@3.0.28/js/AutoField.soy", ['module', 'exports', 'require', 'frontend-js-metal-web$metal-component', 'frontend-js-metal-web$metal-soy'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = exports.templates = exports.comliferaycommerceproductcontentwebAutoField = void 0;

    var _metalComponent = _interopRequireDefault(require("frontend-js-metal-web$metal-component"));

    var _metalSoy = _interopRequireDefault(require("frontend-js-metal-web$metal-soy"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    function _classCallCheck(instance, Constructor) {
      if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
      }
    }

    function _possibleConstructorReturn(self, call) {
      if (call && (_typeof(call) === "object" || typeof call === "function")) {
        return call;
      }return _assertThisInitialized(self);
    }

    function _assertThisInitialized(self) {
      if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
      }return self;
    }

    function _getPrototypeOf(o) {
      _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
      };return _getPrototypeOf(o);
    }

    function _inherits(subClass, superClass) {
      if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
      }subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } });if (superClass) _setPrototypeOf(subClass, superClass);
    }

    function _setPrototypeOf(o, p) {
      _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) {
        o.__proto__ = p;return o;
      };return _setPrototypeOf(o, p);
    }

    var templates;
    exports.templates = templates;
    goog.loadModule(function (exports) {
      var soy = goog.require('soy');

      goog.require('soydata');

      // This file was automatically generated from AutoField.soy.
      // Please don't edit this file by hand.

      /**
       * @fileoverview Templates in namespace com.liferay.commerce.product.content.web.AutoField.
       * @public
       */

      goog.module('com.liferay.commerce.product.content.web.AutoField.incrementaldom');

      goog.require('goog.soy.data.SanitizedContent');

      goog.require('goog.string');

      var incrementalDom = goog.require('incrementaldom');

      goog.require('soy.asserts');

      goog.require('soy.idom');

      var $templateAlias1 = _metalSoy.default.getTemplate('com.liferay.commerce.product.content.web.CategorySelector.incrementaldom', 'render');

      var $templateAlias2 = _metalSoy.default.getTemplate('com.liferay.commerce.product.content.web.TagSelector.incrementaldom', 'render');
      /**
       * @param {{
       *  categorySelectorURL: (!goog.soy.data.SanitizedContent|string),
       *  groupIds: (!goog.soy.data.SanitizedContent|string),
       *  id: (!goog.soy.data.SanitizedContent|string),
       *  namespace: (!goog.soy.data.SanitizedContent|null|string|undefined),
       *  pathThemeImages: (!goog.soy.data.SanitizedContent|string),
       *  rules: !Array<{queryAndOperator: boolean, queryContains: boolean, type: (!goog.soy.data.SanitizedContent|string)}>,
       *  tagSelectorURL: (!goog.soy.data.SanitizedContent|string),
       *  vocabularyIds: (!goog.soy.data.SanitizedContent|string),
       *  queryLogicIndexes: (!goog.soy.data.SanitizedContent|null|string|undefined)
       * }} opt_data
       * @param {Object<string, *>=} opt_ijData
       * @param {Object<string, *>=} opt_ijData_deprecated
       * @return {void}
       * @suppress {checkTypes}
       */

      function $render(opt_data, opt_ijData, opt_ijData_deprecated) {
        opt_ijData = opt_ijData_deprecated || opt_ijData;
        /** @type {!goog.soy.data.SanitizedContent|string} */

        var categorySelectorURL = soy.asserts.assertType(goog.isString(opt_data.categorySelectorURL) || opt_data.categorySelectorURL instanceof goog.soy.data.SanitizedContent, 'categorySelectorURL', opt_data.categorySelectorURL, '!goog.soy.data.SanitizedContent|string');
        /** @type {!goog.soy.data.SanitizedContent|string} */

        var groupIds = soy.asserts.assertType(goog.isString(opt_data.groupIds) || opt_data.groupIds instanceof goog.soy.data.SanitizedContent, 'groupIds', opt_data.groupIds, '!goog.soy.data.SanitizedContent|string');
        /** @type {!goog.soy.data.SanitizedContent|string} */

        var id = soy.asserts.assertType(goog.isString(opt_data.id) || opt_data.id instanceof goog.soy.data.SanitizedContent, 'id', opt_data.id, '!goog.soy.data.SanitizedContent|string');
        /** @type {!goog.soy.data.SanitizedContent|null|string|undefined} */

        var namespace = soy.asserts.assertType(opt_data.namespace == null || goog.isString(opt_data.namespace) || opt_data.namespace instanceof goog.soy.data.SanitizedContent, 'namespace', opt_data.namespace, '!goog.soy.data.SanitizedContent|null|string|undefined');
        /** @type {!goog.soy.data.SanitizedContent|string} */

        var pathThemeImages = soy.asserts.assertType(goog.isString(opt_data.pathThemeImages) || opt_data.pathThemeImages instanceof goog.soy.data.SanitizedContent, 'pathThemeImages', opt_data.pathThemeImages, '!goog.soy.data.SanitizedContent|string');
        /** @type {!Array<{queryAndOperator: boolean, queryContains: boolean, type: (!goog.soy.data.SanitizedContent|string)}>} */

        var rules = soy.asserts.assertType(goog.isArray(opt_data.rules), 'rules', opt_data.rules, '!Array<{queryAndOperator: boolean, queryContains: boolean, type: (!goog.soy.data.SanitizedContent|string)}>');
        /** @type {!goog.soy.data.SanitizedContent|string} */

        var tagSelectorURL = soy.asserts.assertType(goog.isString(opt_data.tagSelectorURL) || opt_data.tagSelectorURL instanceof goog.soy.data.SanitizedContent, 'tagSelectorURL', opt_data.tagSelectorURL, '!goog.soy.data.SanitizedContent|string');
        /** @type {!goog.soy.data.SanitizedContent|string} */

        var vocabularyIds = soy.asserts.assertType(goog.isString(opt_data.vocabularyIds) || opt_data.vocabularyIds instanceof goog.soy.data.SanitizedContent, 'vocabularyIds', opt_data.vocabularyIds, '!goog.soy.data.SanitizedContent|string');
        /** @type {!goog.soy.data.SanitizedContent|null|string|undefined} */

        var queryLogicIndexes = soy.asserts.assertType(opt_data.queryLogicIndexes == null || goog.isString(opt_data.queryLogicIndexes) || opt_data.queryLogicIndexes instanceof goog.soy.data.SanitizedContent, 'queryLogicIndexes', opt_data.queryLogicIndexes, '!goog.soy.data.SanitizedContent|null|string|undefined');
        incrementalDom.elementOpenStart('div');
        incrementalDom.attr('id', id);
        incrementalDom.elementOpenEnd();
        incrementalDom.elementOpenStart('input');
        incrementalDom.attr('name', namespace + 'queryLogicIndexes');
        incrementalDom.attr('type', 'hidden');
        incrementalDom.attr('value', queryLogicIndexes);
        incrementalDom.elementOpenEnd();
        incrementalDom.elementClose('input');
        incrementalDom.elementOpenStart('ul');
        incrementalDom.attr('class', 'timeline');
        incrementalDom.elementOpenEnd();
        incrementalDom.elementOpenStart('li');
        incrementalDom.attr('class', 'timeline-item');
        incrementalDom.elementOpenEnd();
        incrementalDom.elementOpenStart('div');
        incrementalDom.attr('class', 'panel panel-default');
        incrementalDom.elementOpenEnd();
        incrementalDom.elementOpenStart('div');
        incrementalDom.attr('class', 'flex-container panel-body');
        incrementalDom.elementOpenEnd();
        incrementalDom.elementOpenStart('div');
        incrementalDom.attr('class', 'h4 panel-title');
        incrementalDom.elementOpenEnd();
        /** @desc  */

        var MSG_EXTERNAL_6491442963830433075 = Liferay.Language.get('rules');
        incrementalDom.text(goog.string.unescapeEntities(MSG_EXTERNAL_6491442963830433075));
        incrementalDom.elementClose('div');
        incrementalDom.elementOpenStart('div');
        incrementalDom.attr('class', 'timeline-increment');
        incrementalDom.elementOpenEnd();
        incrementalDom.elementOpenStart('span');
        incrementalDom.attr('class', 'timeline-icon');
        incrementalDom.elementOpenEnd();
        incrementalDom.elementClose('span');
        incrementalDom.elementClose('div');
        incrementalDom.elementClose('div');
        incrementalDom.elementClose('div');
        incrementalDom.elementClose('li');

        if (rules && rules.length > 0) {
          var rule40List = rules;
          var rule40ListLen = rule40List.length;

          for (var rule40Index = 0; rule40Index < rule40ListLen; rule40Index++) {
            var rule40Data = rule40List[rule40Index];
            var ruleIndex__soy28 = rule40Index;
            $rule({
              categorySelectorURL: categorySelectorURL,
              groupIds: groupIds,
              index: ruleIndex__soy28,
              namespace: namespace,
              pathThemeImages: pathThemeImages,
              rule: rule40Data,
              tagSelectorURL: tagSelectorURL,
              vocabularyIds: vocabularyIds
            }, null, opt_ijData);
          }
        }

        incrementalDom.elementClose('ul');
        $addRuleButton(opt_data, null, opt_ijData);
        incrementalDom.elementClose('div');
      }

      exports.render = $render;
      /**
       * @typedef {{
       *  categorySelectorURL: (!goog.soy.data.SanitizedContent|string),
       *  groupIds: (!goog.soy.data.SanitizedContent|string),
       *  id: (!goog.soy.data.SanitizedContent|string),
       *  namespace: (!goog.soy.data.SanitizedContent|null|string|undefined),
       *  pathThemeImages: (!goog.soy.data.SanitizedContent|string),
       *  rules: !Array<{queryAndOperator: boolean, queryContains: boolean, type: (!goog.soy.data.SanitizedContent|string)}>,
       *  tagSelectorURL: (!goog.soy.data.SanitizedContent|string),
       *  vocabularyIds: (!goog.soy.data.SanitizedContent|string),
       *  queryLogicIndexes: (!goog.soy.data.SanitizedContent|null|string|undefined)
       * }}
       */

      $render.Params;

      if (goog.DEBUG) {
        $render.soyTemplateName = 'com.liferay.commerce.product.content.web.AutoField.render';
      }
      /**
       * @param {{
       *  pathThemeImages: (!goog.soy.data.SanitizedContent|string)
       * }} opt_data
       * @param {Object<string, *>=} opt_ijData
       * @param {Object<string, *>=} opt_ijData_deprecated
       * @return {void}
       * @suppress {checkTypes}
       */

      function $addRuleButton(opt_data, opt_ijData, opt_ijData_deprecated) {
        opt_ijData = opt_ijData_deprecated || opt_ijData;
        /** @type {!goog.soy.data.SanitizedContent|string} */

        var pathThemeImages = soy.asserts.assertType(goog.isString(opt_data.pathThemeImages) || opt_data.pathThemeImages instanceof goog.soy.data.SanitizedContent, 'pathThemeImages', opt_data.pathThemeImages, '!goog.soy.data.SanitizedContent|string');
        incrementalDom.elementOpenStart('div');
        incrementalDom.attr('class', 'addbutton-timeline-item');
        incrementalDom.elementOpenEnd();
        incrementalDom.elementOpenStart('div');
        incrementalDom.attr('class', 'add-condition timeline-increment-icon');
        incrementalDom.elementOpenEnd();
        incrementalDom.elementOpenStart('button');
        incrementalDom.attr('class', 'btn btn-monospaced btn-primary btn-xs form-builder-rule-add-condition form-builder-timeline-add-item');
        incrementalDom.attr('data-onclick', 'addRule_');
        incrementalDom.attr('type', 'button');
        incrementalDom.elementOpenEnd();
        incrementalDom.elementOpenStart('svg');
        incrementalDom.attr('class', 'icon-monospaced lexicon-icon');
        incrementalDom.elementOpenEnd();
        incrementalDom.elementOpenStart('use');
        incrementalDom.attr('xlink:href', pathThemeImages + '/lexicon/icons.svg#plus');
        incrementalDom.elementOpenEnd();
        incrementalDom.elementClose('use');
        incrementalDom.elementClose('svg');
        incrementalDom.elementClose('button');
        incrementalDom.elementClose('div');
        incrementalDom.elementClose('div');
      }

      exports.addRuleButton = $addRuleButton;
      /**
       * @typedef {{
       *  pathThemeImages: (!goog.soy.data.SanitizedContent|string)
       * }}
       */

      $addRuleButton.Params;

      if (goog.DEBUG) {
        $addRuleButton.soyTemplateName = 'com.liferay.commerce.product.content.web.AutoField.addRuleButton';
      }
      /**
       * @param {{
       *  categorySelectorURL: (!goog.soy.data.SanitizedContent|string),
       *  groupIds: (!goog.soy.data.SanitizedContent|string),
       *  index: number,
       *  namespace: (!goog.soy.data.SanitizedContent|null|string|undefined),
       *  pathThemeImages: (!goog.soy.data.SanitizedContent|string),
       *  rule: {queryAndOperator: boolean, queryContains: boolean, type: (!goog.soy.data.SanitizedContent|string)},
       *  tagSelectorURL: (!goog.soy.data.SanitizedContent|string),
       *  vocabularyIds: (!goog.soy.data.SanitizedContent|string)
       * }} opt_data
       * @param {Object<string, *>=} opt_ijData
       * @param {Object<string, *>=} opt_ijData_deprecated
       * @return {void}
       * @suppress {checkTypes}
       */

      function $rule(opt_data, opt_ijData, opt_ijData_deprecated) {
        opt_ijData = opt_ijData_deprecated || opt_ijData;
        /** @type {!goog.soy.data.SanitizedContent|string} */

        var categorySelectorURL = soy.asserts.assertType(goog.isString(opt_data.categorySelectorURL) || opt_data.categorySelectorURL instanceof goog.soy.data.SanitizedContent, 'categorySelectorURL', opt_data.categorySelectorURL, '!goog.soy.data.SanitizedContent|string');
        /** @type {!goog.soy.data.SanitizedContent|string} */

        var groupIds = soy.asserts.assertType(goog.isString(opt_data.groupIds) || opt_data.groupIds instanceof goog.soy.data.SanitizedContent, 'groupIds', opt_data.groupIds, '!goog.soy.data.SanitizedContent|string');
        /** @type {number} */

        var index = soy.asserts.assertType(goog.isNumber(opt_data.index), 'index', opt_data.index, 'number');
        /** @type {!goog.soy.data.SanitizedContent|null|string|undefined} */

        var namespace = soy.asserts.assertType(opt_data.namespace == null || goog.isString(opt_data.namespace) || opt_data.namespace instanceof goog.soy.data.SanitizedContent, 'namespace', opt_data.namespace, '!goog.soy.data.SanitizedContent|null|string|undefined');
        /** @type {!goog.soy.data.SanitizedContent|string} */

        var pathThemeImages = soy.asserts.assertType(goog.isString(opt_data.pathThemeImages) || opt_data.pathThemeImages instanceof goog.soy.data.SanitizedContent, 'pathThemeImages', opt_data.pathThemeImages, '!goog.soy.data.SanitizedContent|string');
        /** @type {{queryAndOperator: boolean, queryContains: boolean, type: (!goog.soy.data.SanitizedContent|string)}} */

        var rule = soy.asserts.assertType(goog.isObject(opt_data.rule), 'rule', opt_data.rule, '{queryAndOperator: boolean, queryContains: boolean, type: (!goog.soy.data.SanitizedContent|string)}');
        /** @type {!goog.soy.data.SanitizedContent|string} */

        var tagSelectorURL = soy.asserts.assertType(goog.isString(opt_data.tagSelectorURL) || opt_data.tagSelectorURL instanceof goog.soy.data.SanitizedContent, 'tagSelectorURL', opt_data.tagSelectorURL, '!goog.soy.data.SanitizedContent|string');
        /** @type {!goog.soy.data.SanitizedContent|string} */

        var vocabularyIds = soy.asserts.assertType(goog.isString(opt_data.vocabularyIds) || opt_data.vocabularyIds instanceof goog.soy.data.SanitizedContent, 'vocabularyIds', opt_data.vocabularyIds, '!goog.soy.data.SanitizedContent|string');
        incrementalDom.elementOpenStart('li');
        incrementalDom.attr('class', 'timeline-item');
        incrementalDom.elementOpenEnd();
        incrementalDom.elementOpenStart('div');
        incrementalDom.attr('class', 'panel panel-default');
        incrementalDom.elementOpenEnd();
        incrementalDom.elementOpenStart('div');
        incrementalDom.attr('class', 'panel-body');
        incrementalDom.elementOpenEnd();
        incrementalDom.elementOpenStart('div');
        incrementalDom.attr('class', 'form-group');
        incrementalDom.elementOpenEnd();
        incrementalDom.elementOpenStart('select');
        incrementalDom.attr('class', 'form-control');
        incrementalDom.attr('id', namespace + 'queryContains' + index);
        incrementalDom.attr('name', namespace + 'queryContains' + index);
        incrementalDom.attr('title', 'Query Contains');
        incrementalDom.elementOpenEnd();
        incrementalDom.elementOpenStart('option');
        incrementalDom.attr('class', '');

        if (rule.queryContains) {
          incrementalDom.attr('selected', 'selected');
        }

        incrementalDom.attr('value', 'true');
        incrementalDom.elementOpenEnd();
        /** @desc  */

        var MSG_EXTERNAL_326106955650253946 = Liferay.Language.get('contains');
        incrementalDom.text(goog.string.unescapeEntities(MSG_EXTERNAL_326106955650253946));
        incrementalDom.elementClose('option');
        incrementalDom.elementOpenStart('option');
        incrementalDom.attr('class', '');

        if (!rule.queryContains) {
          incrementalDom.attr('selected', 'selected');
        }

        incrementalDom.attr('value', 'false');
        incrementalDom.elementOpenEnd();
        /** @desc  */

        var MSG_EXTERNAL_5831451252775713186 = Liferay.Language.get('does-not-contain');
        incrementalDom.text(goog.string.unescapeEntities(MSG_EXTERNAL_5831451252775713186));
        incrementalDom.elementClose('option');
        incrementalDom.elementClose('select');
        incrementalDom.elementClose('div');
        incrementalDom.elementOpenStart('div');
        incrementalDom.attr('class', 'form-group');
        incrementalDom.elementOpenEnd();
        incrementalDom.elementOpenStart('select');
        incrementalDom.attr('class', 'form-control');
        incrementalDom.attr('id', namespace + 'queryAndOperator' + index);
        incrementalDom.attr('name', namespace + 'queryAndOperator' + index);
        incrementalDom.attr('title', 'And Operator');
        incrementalDom.elementOpenEnd();
        incrementalDom.elementOpenStart('option');
        incrementalDom.attr('class', '');

        if (rule.queryAndOperator) {
          incrementalDom.attr('selected', 'selected');
        }

        incrementalDom.attr('value', 'true');
        incrementalDom.elementOpenEnd();
        /** @desc  */

        var MSG_EXTERNAL_7126464771610287155 = Liferay.Language.get('all');
        incrementalDom.text(goog.string.unescapeEntities(MSG_EXTERNAL_7126464771610287155));
        incrementalDom.elementClose('option');
        incrementalDom.elementOpenStart('option');
        incrementalDom.attr('class', '');

        if (!rule.queryAndOperator) {
          incrementalDom.attr('selected', 'selected');
        }

        incrementalDom.elementOpenEnd();
        /** @desc  */

        var MSG_EXTERNAL_2296681895307893686 = Liferay.Language.get('any');
        incrementalDom.text(goog.string.unescapeEntities(MSG_EXTERNAL_2296681895307893686));
        incrementalDom.elementClose('option');
        incrementalDom.elementClose('select');
        incrementalDom.elementClose('div');
        incrementalDom.elementOpenStart('div');
        incrementalDom.attr('class', 'form-group');
        incrementalDom.elementOpenEnd();
        incrementalDom.elementOpenStart('label');
        incrementalDom.attr('class', 'control-label');
        incrementalDom.attr('for', namespace + 'queryName' + index);
        incrementalDom.elementOpenEnd();
        /** @desc  */

        var MSG_EXTERNAL_2698606293497661767 = Liferay.Language.get('of-the-following');
        incrementalDom.text(goog.string.unescapeEntities(MSG_EXTERNAL_2698606293497661767));
        incrementalDom.elementClose('label');
        incrementalDom.elementClose('div');
        incrementalDom.elementOpenStart('div');
        incrementalDom.attr('class', 'form-group');
        incrementalDom.elementOpenEnd();
        incrementalDom.elementOpenStart('select');
        incrementalDom.attr('class', 'asset-query-name form-control');
        incrementalDom.attr('data-item-index', index);
        incrementalDom.attr('data-onchange', 'changeSelector_');
        incrementalDom.attr('id', namespace + 'queryName' + index);
        incrementalDom.attr('name', namespace + 'queryName' + index);
        incrementalDom.elementOpenEnd();
        incrementalDom.elementOpenStart('option');
        incrementalDom.attr('class', '');

        if (rule.type == 'assetCategories') {
          incrementalDom.attr('selected', 'selected');
        }

        incrementalDom.attr('value', 'assetCategories');
        incrementalDom.elementOpenEnd();
        /** @desc  */

        var MSG_EXTERNAL_7044856501179545747 = Liferay.Language.get('categories');
        incrementalDom.text(goog.string.unescapeEntities(MSG_EXTERNAL_7044856501179545747));
        incrementalDom.elementClose('option');
        incrementalDom.elementOpenStart('option');
        incrementalDom.attr('class', '');

        if (rule.type == 'assetTags') {
          incrementalDom.attr('selected', 'selected');
        }

        incrementalDom.attr('value', 'assetTags');
        incrementalDom.elementOpenEnd();
        /** @desc  */

        var MSG_EXTERNAL_4975748273657042999 = Liferay.Language.get('tags');
        incrementalDom.text(goog.string.unescapeEntities(MSG_EXTERNAL_4975748273657042999));
        incrementalDom.elementClose('option');
        incrementalDom.elementClose('select');
        incrementalDom.elementClose('div');

        if (rule.type == 'assetCategories') {
          $templateAlias1({
            eventName: namespace + 'selectCategory',
            groupIds: groupIds,
            index: index,
            namespace: namespace,
            categorySelectorURL: categorySelectorURL,
            rule: rule,
            vocabularyIds: vocabularyIds
          }, null, opt_ijData);
        } else {
          $templateAlias2({
            eventName: namespace + 'selectTag',
            groupIds: groupIds,
            index: index,
            namespace: namespace,
            tagSelectorURL: tagSelectorURL,
            rule: rule
          }, null, opt_ijData);
        }

        incrementalDom.elementOpenStart('div');
        incrementalDom.attr('class', 'timeline-increment');
        incrementalDom.elementOpenEnd();
        incrementalDom.elementOpenStart('span');
        incrementalDom.attr('class', 'timeline-icon');
        incrementalDom.elementOpenEnd();
        incrementalDom.elementClose('span');
        incrementalDom.elementClose('div');
        incrementalDom.elementClose('div');
        incrementalDom.elementClose('div');
        $trashButton({
          pathThemeImages: pathThemeImages,
          ruleId: index
        }, null, opt_ijData);
        incrementalDom.elementClose('li');
      }

      exports.rule = $rule;
      /**
       * @typedef {{
       *  categorySelectorURL: (!goog.soy.data.SanitizedContent|string),
       *  groupIds: (!goog.soy.data.SanitizedContent|string),
       *  index: number,
       *  namespace: (!goog.soy.data.SanitizedContent|null|string|undefined),
       *  pathThemeImages: (!goog.soy.data.SanitizedContent|string),
       *  rule: {queryAndOperator: boolean, queryContains: boolean, type: (!goog.soy.data.SanitizedContent|string)},
       *  tagSelectorURL: (!goog.soy.data.SanitizedContent|string),
       *  vocabularyIds: (!goog.soy.data.SanitizedContent|string)
       * }}
       */

      $rule.Params;

      if (goog.DEBUG) {
        $rule.soyTemplateName = 'com.liferay.commerce.product.content.web.AutoField.rule';
      }
      /**
       * @param {{
       *  pathThemeImages: (!goog.soy.data.SanitizedContent|string),
       *  ruleId: number
       * }} opt_data
       * @param {Object<string, *>=} opt_ijData
       * @param {Object<string, *>=} opt_ijData_deprecated
       * @return {void}
       * @suppress {checkTypes}
       */

      function $trashButton(opt_data, opt_ijData, opt_ijData_deprecated) {
        opt_ijData = opt_ijData_deprecated || opt_ijData;
        /** @type {!goog.soy.data.SanitizedContent|string} */

        var pathThemeImages = soy.asserts.assertType(goog.isString(opt_data.pathThemeImages) || opt_data.pathThemeImages instanceof goog.soy.data.SanitizedContent, 'pathThemeImages', opt_data.pathThemeImages, '!goog.soy.data.SanitizedContent|string');
        /** @type {number} */

        var ruleId = soy.asserts.assertType(goog.isNumber(opt_data.ruleId), 'ruleId', opt_data.ruleId, 'number');
        incrementalDom.elementOpenStart('div');
        incrementalDom.attr('class', 'container-trash');
        incrementalDom.elementOpenEnd();
        incrementalDom.elementOpenStart('button');
        incrementalDom.attr('class', 'btn btn-link btn-monospaced btn-xs condition-card-delete');
        incrementalDom.attr('data-onclick', 'deleteRule_');
        incrementalDom.attr('data-rule-id', ruleId);
        incrementalDom.attr('type', 'button');
        incrementalDom.elementOpenEnd();
        incrementalDom.elementOpenStart('svg');
        incrementalDom.attr('class', 'icon-monospaced lexicon-icon');
        incrementalDom.elementOpenEnd();
        incrementalDom.elementOpenStart('use');
        incrementalDom.attr('xlink:href', pathThemeImages + '/lexicon/icons.svg#trash');
        incrementalDom.elementOpenEnd();
        incrementalDom.elementClose('use');
        incrementalDom.elementClose('svg');
        incrementalDom.elementClose('button');
        incrementalDom.elementClose('div');
      }

      exports.trashButton = $trashButton;
      /**
       * @typedef {{
       *  pathThemeImages: (!goog.soy.data.SanitizedContent|string),
       *  ruleId: number
       * }}
       */

      $trashButton.Params;

      if (goog.DEBUG) {
        $trashButton.soyTemplateName = 'com.liferay.commerce.product.content.web.AutoField.trashButton';
      }

      exports.render.params = ["categorySelectorURL", "groupIds", "id", "namespace", "pathThemeImages", "rules", "tagSelectorURL", "vocabularyIds", "queryLogicIndexes"];
      exports.render.types = {
        "categorySelectorURL": "string",
        "groupIds": "string",
        "id": "string",
        "namespace": "string",
        "pathThemeImages": "string",
        "rules": "list<[type: string, queryAndOperator: bool, queryContains: bool]>",
        "tagSelectorURL": "string",
        "vocabularyIds": "string",
        "queryLogicIndexes": "string"
      };
      exports.addRuleButton.params = ["pathThemeImages"];
      exports.addRuleButton.types = {
        "pathThemeImages": "string"
      };
      exports.rule.params = ["categorySelectorURL", "groupIds", "index", "namespace", "pathThemeImages", "rule", "tagSelectorURL", "vocabularyIds"];
      exports.rule.types = {
        "categorySelectorURL": "string",
        "groupIds": "string",
        "index": "int",
        "namespace": "string",
        "pathThemeImages": "string",
        "rule": "[type: string, queryAndOperator: bool, queryContains: bool]",
        "tagSelectorURL": "string",
        "vocabularyIds": "string"
      };
      exports.trashButton.params = ["pathThemeImages", "ruleId"];
      exports.trashButton.types = {
        "pathThemeImages": "string",
        "ruleId": "int"
      };
      exports.templates = templates = exports;
      return exports;
    });

    var comliferaycommerceproductcontentwebAutoField = /*#__PURE__*/function (_Component) {
      _inherits(comliferaycommerceproductcontentwebAutoField, _Component);

      function comliferaycommerceproductcontentwebAutoField() {
        _classCallCheck(this, comliferaycommerceproductcontentwebAutoField);

        return _possibleConstructorReturn(this, _getPrototypeOf(comliferaycommerceproductcontentwebAutoField).apply(this, arguments));
      }

      return comliferaycommerceproductcontentwebAutoField;
    }(_metalComponent.default);

    exports.comliferaycommerceproductcontentwebAutoField = comliferaycommerceproductcontentwebAutoField;

    _metalSoy.default.register(comliferaycommerceproductcontentwebAutoField, templates);

    var _default = templates;
    /* jshint ignore:end */

    exports.default = _default;
    //# sourceMappingURL=AutoField.soy.js.map
  }
});
//# sourceMappingURL=AutoField.soy.js.map