Liferay.Loader.define("app-builder-web@1.0.73/js/components/multi-step-nav/MultiStepNav.es", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/multi-step-nav', 'frontend-js-react-web$react'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _multiStepNav = _interopRequireDefault(require("@frontend-taglib-clay$clayui/multi-step-nav"));

    var _react = _interopRequireDefault(require("frontend-js-react-web$react"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * This library is free software; you can redistribute it and/or modify it under
     * the terms of the GNU Lesser General Public License as published by the Free
     * Software Foundation; either version 2.1 of the License, or (at your option)
     * any later version.
     *
     * This library is distributed in the hope that it will be useful, but WITHOUT
     * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
     * details.
     */
    var _default = function _default(_ref) {
      var currentStep = _ref.currentStep,
          _ref$steps = _ref.steps,
          steps = _ref$steps === void 0 ? [] : _ref$steps;

      var isComplete = function isComplete(index) {
        return index !== steps.length - 1 && currentStep > index;
      };

      return (/*#__PURE__*/_react.default.createElement(_multiStepNav.default, null, steps.map(function (label, index) {
          return (/*#__PURE__*/_react.default.createElement(_multiStepNav.default.Item, {
              active: currentStep === index,
              complete: isComplete(index),
              expand: index < steps.length - 1,
              key: index
            }, /*#__PURE__*/_react.default.createElement(_multiStepNav.default.Divider, null), /*#__PURE__*/_react.default.createElement(_multiStepNav.default.Indicator, {
              complete: isComplete(index),
              label: label
            }))
          );
        }))
      );
    };

    exports.default = _default;
    //# sourceMappingURL=MultiStepNav.es.js.map
  }
});
//# sourceMappingURL=MultiStepNav.es.js.map