Liferay.Loader.define("app-builder-web@1.0.73/js/components/table/EditableCell.es", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/button', '@frontend-taglib-clay$clayui/form', 'frontend-js-react-web$react', '../../utils/lang.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _button = _interopRequireDefault(require("@frontend-taglib-clay$clayui/button"));

    var _form = _interopRequireWildcard(require("@frontend-taglib-clay$clayui/form"));

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _lang = require("../../utils/lang.es");

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _defineProperty(obj, key, value) {
      if (key in obj) {
        Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true });
      } else {
        obj[key] = value;
      }return obj;
    }

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    var getValue = function getValue(item, key) {
      var value = item[key];

      if (_typeof(value) === 'object') {
        return (0, _lang.getLocalizedValue)(item.defaultLanguageId, value);
      }

      return value;
    };

    var _default = function _default(_ref) {
      var _state$editableColumn;

      var Cell = _ref.Cell,
          columns = _ref.columns,
          editMode = _ref.editMode,
          originalItem = _ref.item.originalItem;

      var _useState = (0, _react.useState)({}),
          _useState2 = _slicedToArray(_useState, 2),
          state = _useState2[0],
          setState = _useState2[1];

      var _columns$map$slice = columns.map(function (_ref2) {
        var key = _ref2.key;
        return key;
      }).slice(-1),
          _columns$map$slice2 = _slicedToArray(_columns$map$slice, 1),
          lastColumn = _columns$map$slice2[0];

      var _columns$find = columns.find(function (_ref3) {
        var editable = _ref3.editable;
        return editable;
      }),
          editableColumn = _columns$find.key;

      var _editMode$onCancel = editMode.onCancel,
          onCancel = _editMode$onCancel === void 0 ? function () {} : _editMode$onCancel,
          _editMode$onSave = editMode.onSave,
          onSave = _editMode$onSave === void 0 ? function () {} : _editMode$onSave;
      var value = (_state$editableColumn = state[editableColumn]) === null || _state$editableColumn === void 0 ? void 0 : _state$editableColumn.trim();

      var onSubmit = function onSubmit(event) {
        event.preventDefault();

        if (value) {
          onSave(value);
        }
      };

      return columns.map(function (_ref4, index) {
        var editable = _ref4.editable,
            key = _ref4.key;

        if (editable) {
          return (/*#__PURE__*/_react.default.createElement(Cell, {
              index: index
            }, /*#__PURE__*/_react.default.createElement(_form.default, {
              onSubmit: onSubmit
            }, /*#__PURE__*/_react.default.createElement(_form.ClayInput, {
              autoFocus: true,
              defaultValue: getValue(originalItem, key),
              onChange: function onChange(_ref5) {
                var value = _ref5.target.value;
                setState(_defineProperty({}, key, value));
              },
              value: state[key]
            })))
          );
        }

        if (lastColumn === key) {
          return (/*#__PURE__*/_react.default.createElement(Cell, {
              colSpan: columns.length,
              fieldAlign: "right"
            }, /*#__PURE__*/_react.default.createElement(_button.default, {
              disabled: !value,
              displayType: "primary",
              onClick: onSubmit,
              small: true
            }, Liferay.Language.get('save')), /*#__PURE__*/_react.default.createElement(_button.default, {
              className: "ml-3",
              displayType: "secondary",
              onClick: onCancel,
              small: true
            }, Liferay.Language.get('cancel')))
          );
        }

        return (/*#__PURE__*/_react.default.createElement(_react.default.Fragment, null)
        );
      });
    };

    exports.default = _default;
    //# sourceMappingURL=EditableCell.es.js.map
  }
});
//# sourceMappingURL=EditableCell.es.js.map