Liferay.Loader.define("app-builder-web@1.0.73/js/hooks/useKeyDown.es", ['module', 'exports', 'require', 'frontend-js-react-web$react'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _react = require("frontend-js-react-web$react");

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * This library is free software; you can redistribute it and/or modify it under
     * the terms of the GNU Lesser General Public License as published by the Free
     * Software Foundation; either version 2.1 of the License, or (at your option)
     * any later version.
     *
     * This library is distributed in the hope that it will be useful, but WITHOUT
     * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
     * details.
     */
    var _default = function _default(callback, targetKeyCode) {
      var element = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : window;
      var callbackRef = (0, _react.useRef)();
      (0, _react.useEffect)(function () {
        callbackRef.current = callback;
      }, [callback]);
      (0, _react.useEffect)(function () {
        var handler = function handler() {
          if (window.event.keyCode === targetKeyCode) {
            callbackRef.current(window.event);
          }
        };

        var current = element.current ? element.current : element;
        current.addEventListener('keydown', handler);
        return function () {
          return current.removeEventListener('keydown', handler);
        };
      }, [element, callbackRef, targetKeyCode]);
    };

    exports.default = _default;
    //# sourceMappingURL=useKeyDown.es.js.map
  }
});
//# sourceMappingURL=useKeyDown.es.js.map