Liferay.Loader.define("app-builder-web@1.0.73/js/hooks/useResource.es", ['module', 'exports', 'require', 'frontend-js-react-web', 'frontend-js-react-web$react', '../utils/client.es', '../utils/utils.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _frontendJsReactWeb = require("frontend-js-react-web");

    var _react = require("frontend-js-react-web$react");

    var _client = require("../utils/client.es");

    var _utils = require("../utils/utils.es");

    function ownKeys(object, enumerableOnly) {
      var keys = Object.keys(object);if (Object.getOwnPropertySymbols) {
        var symbols = Object.getOwnPropertySymbols(object);if (enumerableOnly) symbols = symbols.filter(function (sym) {
          return Object.getOwnPropertyDescriptor(object, sym).enumerable;
        });keys.push.apply(keys, symbols);
      }return keys;
    }

    function _objectSpread(target) {
      for (var i = 1; i < arguments.length; i++) {
        var source = arguments[i] != null ? arguments[i] : {};if (i % 2) {
          ownKeys(Object(source), true).forEach(function (key) {
            _defineProperty(target, key, source[key]);
          });
        } else if (Object.getOwnPropertyDescriptors) {
          Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
        } else {
          ownKeys(Object(source)).forEach(function (key) {
            Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
          });
        }
      }return target;
    }

    function _defineProperty(obj, key, value) {
      if (key in obj) {
        Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true });
      } else {
        obj[key] = value;
      }return obj;
    }

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    var _default = function _default(_ref) {
      var endpoint = _ref.endpoint,
          method = _ref.method,
          params = _ref.params;

      var _useState = (0, _react.useState)({
        error: null,
        isLoading: true,
        response: null
      }),
          _useState2 = _slicedToArray(_useState, 2),
          state = _useState2[0],
          setState = _useState2[1];

      var doFetch = function doFetch(options) {
        setState(function (prevState) {
          return _objectSpread(_objectSpread({}, prevState), {}, {
            error: null,
            isLoading: true
          });
        });
        (0, _client.request)(options).then(function (response) {
          setState({
            error: null,
            isLoading: false,
            response: response
          });
        }).catch(function (error) {
          setState(function (prevState) {
            return _objectSpread(_objectSpread({}, prevState), {}, {
              error: error,
              isLoading: false
            });
          });
        });
      };

      var refetch = function refetch() {
        return doFetch({
          endpoint: endpoint,
          method: method,
          params: params
        });
      };

      var previousParams = (0, _frontendJsReactWeb.usePrevious)(params);
      (0, _react.useEffect)(function () {
        if (!(0, _utils.isEqualObjects)(params, previousParams)) {
          refetch();
        } // eslint-disable-next-line react-hooks/exhaustive-deps
      }, [params]);
      return _objectSpread({
        refetch: refetch
      }, state);
    };

    exports.default = _default;
    //# sourceMappingURL=useResource.es.js.map
  }
});
//# sourceMappingURL=useResource.es.js.map