Liferay.Loader.define('app-builder-web@1.0.73/js/pages/apps/constants.es', ['module', 'exports', 'require'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.STATUSES = exports.FILTER_NAMES = exports.FILTERS = exports.DEPLOYMENT_TYPES = exports.DEPLOYMENT_ACTION = exports.COLUMNS = exports.COLORS = void 0;

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * This library is free software; you can redistribute it and/or modify it under
     * the terms of the GNU Lesser General Public License as published by the Free
     * Software Foundation; either version 2.1 of the License, or (at your option)
     * any later version.
     *
     * This library is distributed in the hope that it will be useful, but WITHOUT
     * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
     * details.
     */
    var COLORS = {
      secondary: '#A7A9BC'
    };
    exports.COLORS = COLORS;
    var COLUMNS = [{
      key: 'name',
      sortable: true,
      value: Liferay.Language.get('name')
    }, {
      key: 'type',
      value: Liferay.Language.get('deployed-as')
    }, {
      key: 'dateCreated',
      sortable: true,
      value: Liferay.Language.get('create-date')
    }, {
      asc: false,
      key: 'dateModified',
      sortable: true,
      value: Liferay.Language.get('modified-date')
    }, {
      key: 'status',
      value: Liferay.Language.get('status')
    }];
    exports.COLUMNS = COLUMNS;
    var DEPLOYMENT_ACTION = {
      deploy: Liferay.Language.get('deploy'),
      undeploy: Liferay.Language.get('undeploy')
    };
    exports.DEPLOYMENT_ACTION = DEPLOYMENT_ACTION;
    var DEPLOYMENT_TYPES = {
      productMenu: Liferay.Language.get('product-menu'),
      standalone: Liferay.Language.get('standalone'),
      widget: Liferay.Language.get('widget')
    };
    exports.DEPLOYMENT_TYPES = DEPLOYMENT_TYPES;
    var FILTER_NAMES = {
      author: [Liferay.Language.get('author'), Liferay.Language.get('filter-by-author')],
      'deployment-type': [Liferay.Language.get('deployment-type'), Liferay.Language.get('filter-by-deployment-type')],
      status: [Liferay.Language.get('status'), Liferay.Language.get('filter-by-status')]
    };
    exports.FILTER_NAMES = FILTER_NAMES;
    var STATUSES = {
      active: Liferay.Language.get('deployed'),
      inactive: Liferay.Language.get('undeployed')
    };
    exports.STATUSES = STATUSES;
    var FILTERS = [{
      items: [{
        label: DEPLOYMENT_TYPES.productMenu,
        value: 'productMenu'
      }, {
        label: DEPLOYMENT_TYPES.standalone,
        value: 'standalone'
      }, {
        label: DEPLOYMENT_TYPES.widget,
        value: 'widget'
      }],
      key: 'deploymentTypes',
      multiple: true,
      name: 'deployment-type'
    }, {
      items: [{
        label: STATUSES.active,
        value: 'true'
      }, {
        label: STATUSES.inactive,
        value: 'false'
      }],
      key: 'active',
      name: 'status'
    }];
    exports.FILTERS = FILTERS;
    //# sourceMappingURL=constants.es.js.map
  }
});
//# sourceMappingURL=constants.es.js.map