Liferay.Loader.define("app-builder-web@1.0.73/js/pages/apps/edit/EditAppFooter.es", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/layout', 'frontend-js-react-web$react', 'app-builder-web$react-router-dom', '../../../AppContext.es', '../../../components/button/Button.es', '../../../utils/client.es', '../../../utils/toast.es', './EditAppContext.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _layout = _interopRequireDefault(require("@frontend-taglib-clay$clayui/layout"));

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _reactRouterDom = require("app-builder-web$react-router-dom");

    var _AppContext = require("../../../AppContext.es");

    var _Button = _interopRequireDefault(require("../../../components/button/Button.es"));

    var _client = require("../../../utils/client.es");

    var _toast = require("../../../utils/toast.es");

    var _EditAppContext = _interopRequireDefault(require("./EditAppContext.es"));

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function ownKeys(object, enumerableOnly) {
      var keys = Object.keys(object);if (Object.getOwnPropertySymbols) {
        var symbols = Object.getOwnPropertySymbols(object);if (enumerableOnly) symbols = symbols.filter(function (sym) {
          return Object.getOwnPropertyDescriptor(object, sym).enumerable;
        });keys.push.apply(keys, symbols);
      }return keys;
    }

    function _objectSpread(target) {
      for (var i = 1; i < arguments.length; i++) {
        var source = arguments[i] != null ? arguments[i] : {};if (i % 2) {
          ownKeys(Object(source), true).forEach(function (key) {
            _defineProperty(target, key, source[key]);
          });
        } else if (Object.getOwnPropertyDescriptors) {
          Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
        } else {
          ownKeys(Object(source)).forEach(function (key) {
            Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
          });
        }
      }return target;
    }

    function _defineProperty(obj, key, value) {
      if (key in obj) {
        Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true });
      } else {
        obj[key] = value;
      }return obj;
    }

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    var _default = (0, _reactRouterDom.withRouter)(function (_ref) {
      var currentStep = _ref.currentStep,
          defaultLanguageId = _ref.defaultLanguageId,
          editingLanguageId = _ref.editingLanguageId,
          history = _ref.history,
          dataDefinitionId = _ref.match.params.dataDefinitionId,
          onCurrentStepChange = _ref.onCurrentStepChange;

      var _useContext = (0, _react.useContext)(_EditAppContext.default),
          app = _useContext.state.app;

      var _useContext2 = (0, _react.useContext)(_AppContext.AppContext),
          getStandaloneURL = _useContext2.getStandaloneURL;

      var _useState = (0, _react.useState)(false),
          _useState2 = _slicedToArray(_useState, 2),
          isDeploying = _useState2[0],
          setDeploying = _useState2[1];

      var appDeployments = app.appDeployments,
          dataLayoutId = app.dataLayoutId,
          dataListViewId = app.dataListViewId,
          appId = app.id,
          name = app.name;
      var appName = name[editingLanguageId];

      var getStandaloneLink = function getStandaloneLink(appId) {
        var isStandalone = appDeployments.some(function (deployment) {
          return deployment.type === 'standalone';
        });
        return isStandalone ? "<a href=\"".concat(getStandaloneURL(appId), "\" target=\"_blank\">").concat(Liferay.Language.get('open-standalone-app'), ". ").concat(Liferay.Util.getLexiconIconTpl('shortcut'), "</a>") : '';
      };

      var onSuccess = function onSuccess(appId) {
        (0, _toast.successToast)("".concat(Liferay.Language.get('the-app-was-deployed-successfully'), " ").concat(getStandaloneLink(appId)));
        setDeploying(false);
      };

      var normalizeAppName = function normalizeAppName(names) {
        var name = {};

        if (!names[defaultLanguageId]) {
          names[defaultLanguageId] = names[editingLanguageId];
        }

        Object.keys(names).forEach(function (key) {
          var value = names[key];

          if (value) {
            name[key] = value;
          }
        });
        return name;
      };

      var onError = function onError(error) {
        var _error$title = error.title,
            title = _error$title === void 0 ? '' : _error$title;
        (0, _toast.errorToast)("".concat(title, "."));
        setDeploying(false);
      };

      var onCancel = function onCancel() {
        history.goBack();
      };

      return (/*#__PURE__*/_react.default.createElement("div", {
          className: "bg-transparent card-footer"
        }, /*#__PURE__*/_react.default.createElement(_layout.default.ContentRow, null, /*#__PURE__*/_react.default.createElement(_layout.default.Col, {
          md: "4"
        }, /*#__PURE__*/_react.default.createElement(_Button.default, {
          displayType: "secondary",
          onClick: onCancel
        }, Liferay.Language.get('cancel'))), /*#__PURE__*/_react.default.createElement(_layout.default.Col, {
          className: "offset-md-4 text-right",
          md: "4"
        }, currentStep > 0 && /*#__PURE__*/_react.default.createElement(_Button.default, {
          className: "mr-3",
          displayType: "secondary",
          onClick: function onClick() {
            return onCurrentStepChange(currentStep - 1);
          }
        }, Liferay.Language.get('previous')), currentStep < 2 && /*#__PURE__*/_react.default.createElement(_Button.default, {
          disabled: currentStep === 0 && !dataLayoutId || currentStep === 1 && !dataListViewId,
          displayType: "primary",
          onClick: function onClick() {
            return onCurrentStepChange(currentStep + 1);
          }
        }, Liferay.Language.get('next')), currentStep === 2 && /*#__PURE__*/_react.default.createElement(_Button.default, {
          disabled: appDeployments.length === 0 || !appName || isDeploying,
          displayType: "primary",
          onClick: function onDeploy() {
            setDeploying(true);

            var data = _objectSpread(_objectSpread({}, app), {}, {
              name: normalizeAppName(app.name)
            });

            if (appId) {
              (0, _client.updateItem)({
                endpoint: "/o/app-builder/v1.0/apps/".concat(appId),
                item: data
              }).then(function () {
                return onSuccess(appId);
              }).then(onCancel).catch(onError);
            } else {
              (0, _client.addItem)("/o/app-builder/v1.0/data-definitions/".concat(dataDefinitionId, "/apps"), data).then(function (app) {
                return onSuccess(app.id);
              }).then(onCancel).catch(onError);
            }
          }
        }, app.id ? Liferay.Language.get('save') : Liferay.Language.get('deploy')))))
      );
    });

    exports.default = _default;
    //# sourceMappingURL=EditAppFooter.es.js.map
  }
});
//# sourceMappingURL=EditAppFooter.es.js.map