Liferay.Loader.define("app-builder-web@1.0.73/js/pages/apps/edit/EditAppHeader.es", ['module', 'exports', 'require', 'data-engine-taglib', 'frontend-js-react-web$react', '../../../AppContext.es', '../../../components/upper-toolbar/UpperToolbar.es', './EditAppContext.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _dataEngineTaglib = require("data-engine-taglib");

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _AppContext = require("../../../AppContext.es");

    var _UpperToolbar = require("../../../components/upper-toolbar/UpperToolbar.es");

    var _EditAppContext = _interopRequireWildcard(require("./EditAppContext.es"));

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function ownKeys(object, enumerableOnly) {
      var keys = Object.keys(object);if (Object.getOwnPropertySymbols) {
        var symbols = Object.getOwnPropertySymbols(object);if (enumerableOnly) symbols = symbols.filter(function (sym) {
          return Object.getOwnPropertyDescriptor(object, sym).enumerable;
        });keys.push.apply(keys, symbols);
      }return keys;
    }

    function _objectSpread(target) {
      for (var i = 1; i < arguments.length; i++) {
        var source = arguments[i] != null ? arguments[i] : {};if (i % 2) {
          ownKeys(Object(source), true).forEach(function (key) {
            _defineProperty(target, key, source[key]);
          });
        } else if (Object.getOwnPropertyDescriptors) {
          Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
        } else {
          ownKeys(Object(source)).forEach(function (key) {
            Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
          });
        }
      }return target;
    }

    function _defineProperty(obj, key, value) {
      if (key in obj) {
        Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true });
      } else {
        obj[key] = value;
      }return obj;
    }

    var _default = function _default(_ref) {
      var availableLanguageIds = _ref.availableLanguageIds,
          defaultLanguageId = _ref.defaultLanguageId,
          editingLanguageId = _ref.editingLanguageId,
          _onEditingLanguageIdChange = _ref.onEditingLanguageIdChange;

      var _useContext = (0, _react.useContext)(_AppContext.AppContext),
          showTranslationManager = _useContext.showTranslationManager;

      var _useContext2 = (0, _react.useContext)(_EditAppContext.default),
          dispatch = _useContext2.dispatch,
          name = _useContext2.state.app.name;

      return (/*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement("div", {
          className: "align-items-center bg-transparent card-header d-flex justify-content-between"
        }, showTranslationManager && /*#__PURE__*/_react.default.createElement(_dataEngineTaglib.TranslationManager, {
          availableLanguageIds: availableLanguageIds.reduce(function (acc, cur) {
            acc[cur] = cur;
            return acc;
          }, {}),
          className: "mr-1",
          defaultLanguageId: defaultLanguageId,
          editingLanguageId: editingLanguageId,
          onEditingLanguageIdChange: function onEditingLanguageIdChange(editingLanguageId) {
            _onEditingLanguageIdChange(editingLanguageId);
          },
          translatedLanguageIds: name
        }), /*#__PURE__*/_react.default.createElement(_UpperToolbar.UpperToolbarInput, {
          maxLength: 30,
          onChange: function onAppNameChange(_ref2) {
            var value = _ref2.target.value;
            dispatch({
              name: _objectSpread(_objectSpread({}, name), {}, _defineProperty({}, editingLanguageId, value)),
              type: _EditAppContext.UPDATE_NAME
            });
          },
          placeholder: Liferay.Language.get('untitled-app'),
          value: name[editingLanguageId] || ''
        })), /*#__PURE__*/_react.default.createElement("h4", {
          className: "card-divider mb-4"
        }))
      );
    };

    exports.default = _default;
    //# sourceMappingURL=EditAppHeader.es.js.map
  }
});
//# sourceMappingURL=EditAppHeader.es.js.map