Liferay.Loader.define("app-builder-web@1.0.73/js/pages/apps/edit/settings/WidgetTip.es", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/icon', '@frontend-taglib-clay$clayui/popover', 'frontend-js-react-web$react', '../../../../utils/lang.es', '../../constants.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _icon = _interopRequireDefault(require("@frontend-taglib-clay$clayui/icon"));

    var _popover = _interopRequireDefault(require("@frontend-taglib-clay$clayui/popover"));

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _lang = require("../../../../utils/lang.es");

    var _constants = require("../../constants.es");

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    var POPOVER_MAX_WIDTH = 362;
    var POPOVER_IMAGE_WIDTH = 336;

    var _default = function _default() {
      var _useState = (0, _react.useState)(false),
          _useState2 = _slicedToArray(_useState, 2),
          isVisible = _useState2[0],
          setVisible = _useState2[1];

      return (/*#__PURE__*/_react.default.createElement(_popover.default, {
          alignPosition: "right",
          disableScroll: true,
          header: Liferay.Language.get('add-apps-as-widgets'),
          show: isVisible,
          style: {
            maxWidth: POPOVER_MAX_WIDTH
          },
          trigger: /*#__PURE__*/_react.default.createElement(_icon.default, {
            className: "ml-2",
            color: _constants.COLORS.secondary,
            onMouseOut: function onMouseOut() {
              return setVisible(false);
            },
            onMouseOver: function onMouseOver() {
              return setVisible(true);
            },
            symbol: "question-circle-full"
          })
        }, /*#__PURE__*/_react.default.createElement("p", null, (0, _lang.sub)(Liferay.Language.get('when-editing-a-site-page-in-the-right-sidebar-go-to-x-and-then-open-the-x-tab-you-will-find-your-deployed-apps-under-the-x-section'), [/*#__PURE__*/_react.default.createElement("b", {
          key: 0
        }, Liferay.Language.get('fragments-and-widgets')), /*#__PURE__*/_react.default.createElement("b", {
          key: 1
        }, Liferay.Language.get('widget')), /*#__PURE__*/_react.default.createElement("b", {
          key: 2
        }, Liferay.Language.get('app-builder'))], false)), /*#__PURE__*/_react.default.createElement("img", {
          alt: Liferay.Language.get('fragments-and-widgets'),
          src: "".concat(themeDisplay.getPathThemeImages(), "/app_builder/fragment_and_widgets.png"),
          width: POPOVER_IMAGE_WIDTH
        }))
      );
    };

    exports.default = _default;
    //# sourceMappingURL=WidgetTip.es.js.map
  }
});
//# sourceMappingURL=WidgetTip.es.js.map