Liferay.Loader.define("app-builder-web@1.0.73/js/pages/entry/EditEntryApp.es", ['module', 'exports', 'require', 'frontend-js-react-web$react', '../../AppContext.es', '../../hooks/useLazy.es', './PermissionsContext.es', './PortalEntry.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _AppContext = require("../../AppContext.es");

    var _useLazy = _interopRequireDefault(require("../../hooks/useLazy.es"));

    var _PermissionsContext = require("./PermissionsContext.es");

    var _PortalEntry = _interopRequireWildcard(require("./PortalEntry.es"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    function _objectWithoutProperties(source, excluded) {
      if (source == null) return {};var target = _objectWithoutPropertiesLoose(source, excluded);var key, i;if (Object.getOwnPropertySymbols) {
        var sourceSymbolKeys = Object.getOwnPropertySymbols(source);for (i = 0; i < sourceSymbolKeys.length; i++) {
          key = sourceSymbolKeys[i];if (excluded.indexOf(key) >= 0) continue;if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue;target[key] = source[key];
        }
      }return target;
    }

    function _objectWithoutPropertiesLoose(source, excluded) {
      if (source == null) return {};var target = {};var sourceKeys = Object.keys(source);var key, i;for (i = 0; i < sourceKeys.length; i++) {
        key = sourceKeys[i];if (excluded.indexOf(key) >= 0) continue;target[key] = source[key];
      }return target;
    }

    var _default = function _default(_ref) {
      var appTab = _ref.appTab,
          props = _objectWithoutProperties(_ref, ["appTab"]);

      var EditPage = (0, _useLazy.default)(true);
      var appId = props.appId,
          dataDefinitionId = props.dataDefinitionId;
      var defaultLanguageId = (0, _PortalEntry.getStorageLanguageId)(appId);

      var _useState = (0, _react.useState)(defaultLanguageId),
          _useState2 = _slicedToArray(_useState, 2),
          userLanguageId = _useState2[0],
          setUserLanguageId = _useState2[1];

      props.userLanguageId = userLanguageId;
      return (/*#__PURE__*/_react.default.createElement(_AppContext.AppContextProvider, props, /*#__PURE__*/_react.default.createElement(_PermissionsContext.PermissionsContextProvider, {
          dataDefinitionId: dataDefinitionId
        }, /*#__PURE__*/_react.default.createElement(_PortalEntry.default, {
          dataDefinitionId: props.dataDefinitionId,
          setUserLanguageId: setUserLanguageId,
          userLanguageId: userLanguageId
        }), /*#__PURE__*/_react.default.createElement(EditPage, {
          module: appTab.editEntryPoint,
          props: props
        })))
      );
    };

    exports.default = _default;
    //# sourceMappingURL=EditEntryApp.es.js.map
  }
});
//# sourceMappingURL=EditEntryApp.es.js.map