Liferay.Loader.define("app-builder-web@1.0.73/js/pages/entry/ListEntries.es", ['module', 'exports', 'require', 'frontend-js-react-web$react', '../../AppContext.es', '../../components/button/Button.es', '../../components/list-view/ListView.es', '../../components/loading/Loading.es', '../../hooks/useDataListView.es', '../../hooks/useEntriesActions.es', '../../hooks/usePermissions.es', '../../hooks/useQuery.es', '../../utils/lang.es', './NoPermissionEntry.es', './utils.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = ListEntries;

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _AppContext = require("../../AppContext.es");

    var _Button = _interopRequireDefault(require("../../components/button/Button.es"));

    var _ListView = _interopRequireDefault(require("../../components/list-view/ListView.es"));

    var _Loading = require("../../components/loading/Loading.es");

    var _useDataListView2 = _interopRequireDefault(require("../../hooks/useDataListView.es"));

    var _useEntriesActions = _interopRequireDefault(require("../../hooks/useEntriesActions.es"));

    var _usePermissions = _interopRequireDefault(require("../../hooks/usePermissions.es"));

    var _useQuery3 = _interopRequireDefault(require("../../hooks/useQuery.es"));

    var _lang = require("../../utils/lang.es");

    var _NoPermissionEntry = _interopRequireDefault(require("./NoPermissionEntry.es"));

    var _utils = require("./utils.es");

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    function ownKeys(object, enumerableOnly) {
      var keys = Object.keys(object);if (Object.getOwnPropertySymbols) {
        var symbols = Object.getOwnPropertySymbols(object);if (enumerableOnly) symbols = symbols.filter(function (sym) {
          return Object.getOwnPropertyDescriptor(object, sym).enumerable;
        });keys.push.apply(keys, symbols);
      }return keys;
    }

    function _objectSpread(target) {
      for (var i = 1; i < arguments.length; i++) {
        var source = arguments[i] != null ? arguments[i] : {};if (i % 2) {
          ownKeys(Object(source), true).forEach(function (key) {
            _defineProperty(target, key, source[key]);
          });
        } else if (Object.getOwnPropertyDescriptors) {
          Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
        } else {
          ownKeys(Object(source)).forEach(function (key) {
            Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
          });
        }
      }return target;
    }

    function _defineProperty(obj, key, value) {
      if (key in obj) {
        Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true });
      } else {
        obj[key] = value;
      }return obj;
    }

    function _objectWithoutProperties(source, excluded) {
      if (source == null) return {};var target = _objectWithoutPropertiesLoose(source, excluded);var key, i;if (Object.getOwnPropertySymbols) {
        var sourceSymbolKeys = Object.getOwnPropertySymbols(source);for (i = 0; i < sourceSymbolKeys.length; i++) {
          key = sourceSymbolKeys[i];if (excluded.indexOf(key) >= 0) continue;if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue;target[key] = source[key];
        }
      }return target;
    }

    function _objectWithoutPropertiesLoose(source, excluded) {
      if (source == null) return {};var target = {};var sourceKeys = Object.keys(source);var key, i;for (i = 0; i < sourceKeys.length; i++) {
        key = sourceKeys[i];if (excluded.indexOf(key) >= 0) continue;target[key] = source[key];
      }return target;
    }

    function ListEntries(_ref) {
      var history = _ref.history;
      var actions = (0, _useEntriesActions.default)();
      var permissions = (0, _usePermissions.default)();

      var _useContext = (0, _react.useContext)(_AppContext.AppContext),
          appId = _useContext.appId,
          basePortletURL = _useContext.basePortletURL,
          dataDefinitionId = _useContext.dataDefinitionId,
          dataListViewId = _useContext.dataListViewId,
          showFormView = _useContext.showFormView,
          userLanguageId = _useContext.userLanguageId;

      var _useDataListView = (0, _useDataListView2.default)(dataListViewId, dataDefinitionId, permissions.view),
          columns = _useDataListView.columns,
          dataDefinition = _useDataListView.dataDefinition,
          fieldNames = _useDataListView.dataListView.fieldNames,
          isLoading = _useDataListView.isLoading;

      var formColumns = columns.map(function (_ref2) {
        var value = _ref2.value,
            column = _objectWithoutProperties(_ref2, ["value"]);

        return _objectSpread(_objectSpread({}, column), {}, {
          value: (0, _lang.getLocalizedUserPreferenceValue)(value, userLanguageId, dataDefinition.defaultLanguageId)
        });
      });

      var onClickEditPage = function onClickEditPage() {
        (0, _utils.navigateToEditPage)(basePortletURL, {
          backURL: window.location.href,
          languageId: userLanguageId
        });
      };

      var _useQuery = (0, _useQuery3.default)(history, {
        keywords: '',
        page: 1,
        pageSize: 20,
        sort: ''
      }, appId),
          _useQuery2 = _slicedToArray(_useQuery, 1),
          query = _useQuery2[0];

      if (!permissions.view) {
        return (/*#__PURE__*/_react.default.createElement(_NoPermissionEntry.default, null)
        );
      }

      return (/*#__PURE__*/_react.default.createElement(_Loading.Loading, {
          isLoading: isLoading
        }, /*#__PURE__*/_react.default.createElement(_ListView.default, {
          actions: actions,
          addButton: function addButton() {
            return showFormView && permissions.add && /*#__PURE__*/_react.default.createElement(_Button.default, {
              className: "nav-btn nav-btn-monospaced",
              onClick: onClickEditPage,
              symbol: "plus",
              tooltip: Liferay.Language.get('new-entry')
            });
          },
          columns: formColumns,
          emptyState: {
            button: function button() {
              return showFormView && permissions.add && /*#__PURE__*/_react.default.createElement(_Button.default, {
                displayType: "secondary",
                onClick: onClickEditPage
              }, Liferay.Language.get('new-entry'));
            },
            title: Liferay.Language.get('there-are-no-entries-yet')
          },
          endpoint: "/o/data-engine/v2.0/data-definitions/".concat(dataDefinitionId, "/data-records"),
          noActionsMessage: Liferay.Language.get('you-do-not-have-the-permission-to-manage-this-entry'),
          queryParams: {
            dataListViewId: dataListViewId
          },
          scope: appId
        }, (0, _utils.buildEntries)({
          dataDefinition: dataDefinition,
          fieldNames: fieldNames,
          permissions: permissions,
          query: query
        })))
      );
    }
    //# sourceMappingURL=ListEntries.es.js.map
  }
});
//# sourceMappingURL=ListEntries.es.js.map