Liferay.Loader.define("app-builder-web@1.0.73/js/pages/form-view/actions.es", ['module', 'exports', 'require', 'data-engine-taglib'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.deleteDefinitionField = exports.UPDATE_PAGES = exports.UPDATE_IDS = exports.UPDATE_FIELD_TYPES = exports.UPDATE_DATA_LAYOUT = exports.UPDATE_DATA_DEFINITION = exports.EVALUATION_ERROR = void 0;

    var _dataEngineTaglib = require("data-engine-taglib");

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * This library is free software; you can redistribute it and/or modify it under
     * the terms of the GNU Lesser General Public License as published by the Free
     * Software Foundation; either version 2.1 of the License, or (at your option)
     * any later version.
     *
     * This library is distributed in the hope that it will be useful, but WITHOUT
     * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
     * details.
     */
    var EVALUATION_ERROR = 'EVALUATION_ERROR';
    exports.EVALUATION_ERROR = EVALUATION_ERROR;
    var UPDATE_DATA_DEFINITION = 'UPDATE_DATA_DEFINITION';
    exports.UPDATE_DATA_DEFINITION = UPDATE_DATA_DEFINITION;
    var UPDATE_DATA_LAYOUT = 'UPDATE_DATA_LAYOUT';
    exports.UPDATE_DATA_LAYOUT = UPDATE_DATA_LAYOUT;
    var UPDATE_FIELD_TYPES = 'UPDATE_FIELD_TYPES';
    exports.UPDATE_FIELD_TYPES = UPDATE_FIELD_TYPES;
    var UPDATE_IDS = 'UPDATE_IDS';
    exports.UPDATE_IDS = UPDATE_IDS;
    var UPDATE_PAGES = 'UPDATE_PAGES';
    exports.UPDATE_PAGES = UPDATE_PAGES;

    var deleteDefinitionField = function deleteDefinitionField(fieldName) {
      return {
        payload: {
          fieldName: fieldName
        },
        type: _dataEngineTaglib.DataLayoutBuilderActions.DELETE_DATA_DEFINITION_FIELD
      };
    };

    exports.deleteDefinitionField = deleteDefinitionField;
    //# sourceMappingURL=actions.es.js.map
  }
});
//# sourceMappingURL=actions.es.js.map