Liferay.Loader.define("app-builder-web@1.0.73/js/pages/form-view/useSaveAsFieldset.es", ['module', 'exports', 'require', 'data-engine-taglib', 'frontend-js-react-web$react', '../../utils/client.es', '../../utils/toast.es', './FormViewContext.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _dataEngineTaglib = require("data-engine-taglib");

    var _react = require("frontend-js-react-web$react");

    var _client = require("../../utils/client.es");

    var _toast = require("../../utils/toast.es");

    var _FormViewContext = _interopRequireDefault(require("./FormViewContext.es"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function ownKeys(object, enumerableOnly) {
      var keys = Object.keys(object);if (Object.getOwnPropertySymbols) {
        var symbols = Object.getOwnPropertySymbols(object);if (enumerableOnly) symbols = symbols.filter(function (sym) {
          return Object.getOwnPropertyDescriptor(object, sym).enumerable;
        });keys.push.apply(keys, symbols);
      }return keys;
    }

    function _objectSpread(target) {
      for (var i = 1; i < arguments.length; i++) {
        var source = arguments[i] != null ? arguments[i] : {};if (i % 2) {
          ownKeys(Object(source), true).forEach(function (key) {
            _defineProperty(target, key, source[key]);
          });
        } else if (Object.getOwnPropertyDescriptors) {
          Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
        } else {
          ownKeys(Object(source)).forEach(function (key) {
            Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
          });
        }
      }return target;
    }

    function _toConsumableArray(arr) {
      return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _nonIterableSpread();
    }

    function _nonIterableSpread() {
      throw new TypeError("Invalid attempt to spread non-iterable instance");
    }

    function _iterableToArray(iter) {
      if (Symbol.iterator in Object(iter) || Object.prototype.toString.call(iter) === "[object Arguments]") return Array.from(iter);
    }

    function _arrayWithoutHoles(arr) {
      if (Array.isArray(arr)) {
        for (var i = 0, arr2 = new Array(arr.length); i < arr.length; i++) {
          arr2[i] = arr[i];
        }return arr2;
      }
    }

    function _defineProperty(obj, key, value) {
      if (key in obj) {
        Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true });
      } else {
        obj[key] = value;
      }return obj;
    }

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    var _default = function _default(_ref) {
      var dataLayoutBuilder = _ref.dataLayoutBuilder;

      var _useContext = (0, _react.useContext)(_FormViewContext.default),
          _useContext2 = _slicedToArray(_useContext, 2),
          _useContext2$ = _useContext2[0],
          dataDefinition = _useContext2$.dataDefinition,
          fieldSets = _useContext2$.fieldSets,
          dispatch = _useContext2[1];

      var defaultLanguageId = Liferay.ThemeDisplay.getDefaultLanguageId();
      return function (fieldName) {
        var _dataDefinition$dataD = dataDefinition.dataDefinitionFields.find(function (_ref2) {
          var name = _ref2.name;
          return fieldName === name;
        }),
            rows = _dataDefinition$dataD.customProperties.rows,
            label = _dataDefinition$dataD.label,
            nestedDataDefinitionFields = _dataDefinition$dataD.nestedDataDefinitionFields;

        var fieldLabel = label[defaultLanguageId];
        var dataLayoutRows = JSON.parse(rows).map(function (_ref3) {
          var columns = _ref3.columns;
          return columns.map(function (_ref4) {
            var fieldNames = _ref4.fields,
                columnSize = _ref4.size;
            return {
              dataLayoutColumns: [{
                columnSize: columnSize,
                fieldNames: fieldNames
              }]
            };
          })[0];
        });
        var fieldSetDefinition = {
          availableLanguageIds: [defaultLanguageId],
          dataDefinitionFields: nestedDataDefinitionFields,
          defaultDataLayout: {
            dataLayoutPages: [{
              dataLayoutRows: dataLayoutRows,
              description: _defineProperty({}, defaultLanguageId, ''),
              title: _defineProperty({}, defaultLanguageId, '')
            }],
            name: _defineProperty({}, defaultLanguageId, "".concat(fieldLabel, "Layout"))
          },
          name: _defineProperty({}, defaultLanguageId, fieldLabel)
        };
        (0, _client.addItem)("/o/data-engine/v2.0/data-definitions/by-content-type/app-builder-fieldset", fieldSetDefinition).then(function (dataDefinitionFieldSet) {
          var ddmStructureId = dataDefinitionFieldSet.id;
          dispatch({
            payload: {
              fieldSets: [].concat(_toConsumableArray(fieldSets), [dataDefinitionFieldSet])
            },
            type: _dataEngineTaglib.DataLayoutBuilderActions.UPDATE_FIELDSETS
          });
          var dataDefinitionFields = dataDefinition.dataDefinitionFields.map(function (definitionField) {
            if (definitionField.name === fieldName) {
              return _objectSpread(_objectSpread({}, definitionField), {}, {
                customProperties: {
                  ddmStructureId: ddmStructureId,
                  ddmStructureLayoutId: dataDefinitionFieldSet.defaultDataLayout.id,
                  rows: ''
                }
              });
            }

            return definitionField;
          });
          dispatch({
            payload: {
              dataDefinition: _objectSpread(_objectSpread({}, dataDefinition), {}, {
                dataDefinitionFields: dataDefinitionFields
              })
            },
            type: _dataEngineTaglib.DataLayoutBuilderActions.UPDATE_DATA_DEFINITION
          });
          dataLayoutBuilder.dispatch('fieldEdited', {
            fieldName: fieldName,
            propertyName: 'ddmStructureId',
            propertyValue: ddmStructureId
          });
          (0, _toast.successToast)(Liferay.Language.get('fieldset-saved'));
        }).catch(function (_ref5) {
          var message = _ref5.message;
          return (0, _toast.errorToast)(message);
        });
      };
    };

    exports.default = _default;
    //# sourceMappingURL=useSaveAsFieldset.es.js.map
  }
});
//# sourceMappingURL=useSaveAsFieldset.es.js.map