Liferay.Loader.define("app-builder-web@1.0.73/js/utils/findFieldByName.es", ['module', 'exports', 'require'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.findFieldByName = void 0;

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * This library is free software; you can redistribute it and/or modify it under
     * the terms of the GNU Lesser General Public License as published by the Free
     * Software Foundation; either version 2.1 of the License, or (at your option)
     * any later version.
     *
     * This library is distributed in the hope that it will be useful, but WITHOUT
     * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
     * details.
     */
    var findFieldByName = function findFieldByName(dataDefinitionFields, fieldName) {
      var result;

      (function traverse(dataDefinitionFields) {
        return dataDefinitionFields.forEach(function (dataDefinition) {
          var name = dataDefinition.name,
              _dataDefinition$neste = dataDefinition.nestedDataDefinitionFields,
              nestedDataDefinitionFields = _dataDefinition$neste === void 0 ? [] : _dataDefinition$neste;

          if (name === fieldName) {
            result = dataDefinition;
            return;
          }

          traverse(nestedDataDefinitionFields);
        });
      })(dataDefinitionFields);
      return result;
    };

    exports.findFieldByName = findFieldByName;
    //# sourceMappingURL=findFieldByName.es.js.map
  }
});
//# sourceMappingURL=findFieldByName.es.js.map