Liferay.Loader.define("app-builder-web@1.0.73/js/utils/time.es", ['module', 'exports', 'require', 'app-builder-web$moment/min/moment-with-locales'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.fromNow = void 0;

    var _momentWithLocales = _interopRequireDefault(require("app-builder-web$moment/min/moment-with-locales"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * This library is free software; you can redistribute it and/or modify it under
     * the terms of the GNU Lesser General Public License as published by the Free
     * Software Foundation; either version 2.1 of the License, or (at your option)
     * any later version.
     *
     * This library is distributed in the hope that it will be useful, but WITHOUT
     * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
     * details.
     */
    var getLanguage = function getLanguage() {
      var language = Liferay.ThemeDisplay.getBCP47LanguageId();

      return {
        'zh-Hans-CN': 'zh-CN'
      }[language] || language;
    };

    var fromNow = function fromNow(date) {
      return (0, _momentWithLocales.default)(date).locale(getLanguage()).fromNow();
    };

    exports.fromNow = fromNow;
    //# sourceMappingURL=time.es.js.map
  }
});
//# sourceMappingURL=time.es.js.map