<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/init.jsp" %>

<div id="<portlet:namespace />-app-builder-root">

	<%
	AppBuilderApp appBuilderApp = (AppBuilderApp)request.getAttribute(AppBuilderWebKeys.APP);
	%>

	<react:component
		module="js/pages/entry/ViewEntriesApp.es"
		props='<%=
			HashMapBuilder.<String, Object>put(
				"appDeploymentType", request.getAttribute(AppBuilderWebKeys.APP_DEPLOYMENT_TYPE)
			).put(
				"appId", appBuilderApp.getAppBuilderAppId()
			).put(
				"appTab", request.getAttribute(AppBuilderWebKeys.APP_TAB)
			).put(
				"basePortletURL", String.valueOf(renderResponse.createRenderURL())
			).put(
				"dataDefinitionId", appBuilderApp.getDdmStructureId()
			).put(
				"dataLayoutId", appBuilderApp.getDdmStructureLayoutId()
			).put(
				"dataListViewId", appBuilderApp.getDeDataListViewId()
			).put(
				"defaultDelta", PropsValues.SEARCH_CONTAINER_PAGE_DEFAULT_DELTA
			).put(
				"deltaValues", PropsValues.SEARCH_CONTAINER_PAGE_DELTA_VALUES
			).put(
				"portraitURL", request.getAttribute(AppBuilderWebKeys.APP_PORTRAIT_URL)
			).put(
				"showFormView", request.getAttribute(AppBuilderWebKeys.SHOW_FORM_VIEW)
			).put(
				"showTableView", request.getAttribute(AppBuilderWebKeys.SHOW_TABLE_VIEW)
			).build()
		%>'
	/>
</div>