Liferay.Loader.define("app-builder-workflow-web@1.0.40/js/pages/apps/edit/DeployAppModal.es", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/button', '@frontend-taglib-clay$clayui/modal', 'app-builder-web/js/pages/apps/edit/DeployApp.es', 'app-builder-web/js/pages/apps/edit/EditAppContext.es', 'frontend-js-react-web$react'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = DeployAppModal;

    var _button = _interopRequireDefault(require("@frontend-taglib-clay$clayui/button"));

    var _modal = _interopRequireWildcard(require("@frontend-taglib-clay$clayui/modal"));

    var _DeployApp = require("app-builder-web/js/pages/apps/edit/DeployApp.es");

    var _EditAppContext = _interopRequireDefault(require("app-builder-web/js/pages/apps/edit/EditAppContext.es"));

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    function DeployAppModal(_ref) {
      var onSave = _ref.onSave;

      var _useContext = (0, _react.useContext)(_EditAppContext.default),
          isDeployModalVisible = _useContext.isDeployModalVisible,
          setDeployModalVisible = _useContext.setDeployModalVisible,
          app = _useContext.state.app;

      var _useState = (0, _react.useState)(false),
          _useState2 = _slicedToArray(_useState, 2),
          isDeploying = _useState2[0],
          setDeploying = _useState2[1];

      var _useModal = (0, _modal.useModal)({
        onClose: function onClose() {
          setDeploying(false);
          setDeployModalVisible(false);
        }
      }),
          observer = _useModal.observer,
          onClose = _useModal.onClose;

      if (!isDeployModalVisible) {
        return (/*#__PURE__*/_react.default.createElement(_react.default.Fragment, null)
        );
      }

      return (/*#__PURE__*/_react.default.createElement(_modal.default, {
          center: true,
          observer: observer,
          size: "md"
        }, /*#__PURE__*/_react.default.createElement(_modal.default.Header, null, Liferay.Language.get('deploy')), /*#__PURE__*/_react.default.createElement(_modal.default.Body, null, /*#__PURE__*/_react.default.createElement(_DeployApp.DeploySettings, null)), /*#__PURE__*/_react.default.createElement(_modal.default.Footer, {
          last: /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_button.default, {
            className: "mr-3",
            disabled: isDeploying,
            displayType: "secondary",
            onClick: onClose,
            small: true
          }, Liferay.Language.get('cancel')), /*#__PURE__*/_react.default.createElement(_button.default, {
            disabled: isDeploying || app.appDeployments.length === 0,
            onClick: function onDone() {
              setDeploying(true);

              if (!app.active) {
                onSave(onClose, true);
              } else {
                onClose();
              }
            },
            small: true
          }, Liferay.Language.get('done')))
        }))
      );
    }
    //# sourceMappingURL=DeployAppModal.es.js.map
  }
});
//# sourceMappingURL=DeployAppModal.es.js.map