Liferay.Loader.define("data-engine-taglib@2.5.29/data_layout_builder/js/AppContextProvider.es", ['module', 'exports', 'require', 'frontend-js-react-web$react', './AppContext.es', './actions.es', './utils/client.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _AppContext = _interopRequireWildcard(require("./AppContext.es"));

    var _actions = require("./actions.es");

    var _client = require("./utils/client.es");

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _toConsumableArray(arr) {
      return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _nonIterableSpread();
    }

    function _nonIterableSpread() {
      throw new TypeError("Invalid attempt to spread non-iterable instance");
    }

    function _iterableToArray(iter) {
      if (Symbol.iterator in Object(iter) || Object.prototype.toString.call(iter) === "[object Arguments]") return Array.from(iter);
    }

    function _arrayWithoutHoles(arr) {
      if (Array.isArray(arr)) {
        for (var i = 0, arr2 = new Array(arr.length); i < arr.length; i++) {
          arr2[i] = arr[i];
        }return arr2;
      }
    }

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    var _default = function _default(_ref) {
      var children = _ref.children,
          config = _ref.config,
          contentType = _ref.contentType,
          dataDefinitionId = _ref.dataDefinitionId,
          dataLayoutBuilder = _ref.dataLayoutBuilder,
          dataLayoutId = _ref.dataLayoutId,
          fieldSetContentType = _ref.fieldSetContentType,
          groupId = _ref.groupId;
      var reducer = (0, _AppContext.createReducer)(dataLayoutBuilder);

      var _useReducer = (0, _react.useReducer)(reducer, _AppContext.initialState),
          _useReducer2 = _slicedToArray(_useReducer, 2),
          state = _useReducer2[0],
          dispatch = _useReducer2[1];

      (0, _react.useEffect)(function () {
        return dispatch({
          payload: {
            config: config
          },
          type: _actions.UPDATE_CONFIG
        });
      }, [config, dispatch]);
      (0, _react.useEffect)(function () {
        dispatch({
          payload: {
            dataDefinitionId: dataDefinitionId,
            dataLayoutId: dataLayoutId
          },
          type: _actions.UPDATE_IDS
        });
      }, [dataDefinitionId, dataLayoutId, dispatch]);
      (0, _react.useEffect)(function () {
        if (dataLayoutId) {
          (0, _client.getItem)("/o/data-engine/v2.0/data-layouts/".concat(dataLayoutId)).then(function (dataLayout) {
            return dispatch({
              payload: {
                dataLayout: dataLayout
              },
              type: _actions.UPDATE_DATA_LAYOUT
            });
          });
        }
      }, [dataLayoutId, dispatch]);
      (0, _react.useEffect)(function () {
        if (dataDefinitionId) {
          (0, _client.getItem)("/o/data-engine/v2.0/data-definitions/".concat(dataDefinitionId)).then(function (dataDefinition) {
            return dispatch({
              payload: {
                dataDefinition: dataDefinition
              },
              type: _actions.UPDATE_DATA_DEFINITION
            });
          });
        }
      }, [dataDefinitionId, dispatch]);
      (0, _react.useEffect)(function () {
        if (config.allowFieldSets && contentType) {
          var _fieldSetContentType = fieldSetContentType;

          if (!_fieldSetContentType) {
            _fieldSetContentType = contentType;
          }

          var globalFieldSetsPromise = [];

          if (groupId) {
            globalFieldSetsPromise = (0, _client.getItem)("/o/data-engine/v2.0/sites/".concat(groupId, "/data-definitions/by-content-type/").concat(_fieldSetContentType));
          }

          var groupFieldSetsPromise = (0, _client.getItem)("/o/data-engine/v2.0/data-definitions/by-content-type/".concat(_fieldSetContentType));
          Promise.all([globalFieldSetsPromise, groupFieldSetsPromise]).then(function (_ref2) {
            var _ref3 = _slicedToArray(_ref2, 2),
                _ref3$0$items = _ref3[0].items,
                globalFieldSets = _ref3$0$items === void 0 ? [] : _ref3$0$items,
                _ref3$1$items = _ref3[1].items,
                groupFieldSets = _ref3$1$items === void 0 ? [] : _ref3$1$items;

            dispatch({
              payload: {
                fieldSets: [].concat(_toConsumableArray(globalFieldSets), _toConsumableArray(groupFieldSets))
              },
              type: _actions.UPDATE_FIELDSETS
            });
          }).catch(function (error) {});
        }
      }, [config.allowFieldSets, contentType, dispatch, fieldSetContentType, groupId]);
      return (/*#__PURE__*/_react.default.createElement(_AppContext.default.Provider, {
          value: [state, dispatch]
        }, children)
      );
    };

    exports.default = _default;
    //# sourceMappingURL=AppContextProvider.es.js.map
  }
});
//# sourceMappingURL=AppContextProvider.es.js.map