Liferay.Loader.define("data-engine-taglib@2.5.29/data_layout_builder/js/components/field-sets/actions/useCreateFieldSet.es", ['module', 'exports', 'require', 'frontend-js-react-web$react', '../../../AppContext.es', '../../../actions.es', '../../../data-layout-builder/DataLayoutBuilderContext.es', '../../../utils/client.es', '../../../utils/toast.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _react = require("frontend-js-react-web$react");

    var _AppContext = _interopRequireDefault(require("../../../AppContext.es"));

    var _actions = require("../../../actions.es");

    var _DataLayoutBuilderContext = _interopRequireDefault(require("../../../data-layout-builder/DataLayoutBuilderContext.es"));

    var _client = require("../../../utils/client.es");

    var _toast = require("../../../utils/toast.es");

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _toConsumableArray(arr) {
      return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _nonIterableSpread();
    }

    function _nonIterableSpread() {
      throw new TypeError("Invalid attempt to spread non-iterable instance");
    }

    function _iterableToArray(iter) {
      if (Symbol.iterator in Object(iter) || Object.prototype.toString.call(iter) === "[object Arguments]") return Array.from(iter);
    }

    function _arrayWithoutHoles(arr) {
      if (Array.isArray(arr)) {
        for (var i = 0, arr2 = new Array(arr.length); i < arr.length; i++) {
          arr2[i] = arr[i];
        }return arr2;
      }
    }

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    var _default = function _default(_ref) {
      var availableLanguageIds = _ref.availableLanguageIds,
          childrenContext = _ref.childrenContext;

      var _useContext = (0, _react.useContext)(_AppContext.default),
          _useContext2 = _slicedToArray(_useContext, 2),
          fieldSets = _useContext2[0].fieldSets,
          dispatch = _useContext2[1];

      var childrenState = childrenContext.state;

      var _useContext3 = (0, _react.useContext)(_DataLayoutBuilderContext.default),
          _useContext4 = _slicedToArray(_useContext3, 1),
          dataLayoutBuilder = _useContext4[0];

      var _dataLayoutBuilder$pr = dataLayoutBuilder.props,
          contentType = _dataLayoutBuilder$pr.contentType,
          fieldSetContentType = _dataLayoutBuilder$pr.fieldSetContentType;
      return function (name) {
        var dataDefinitionFields = childrenState.dataDefinition.dataDefinitionFields,
            dataLayoutPages = childrenState.dataLayout.dataLayoutPages;

        return (0, _client.addItem)("/o/data-engine/v2.0/data-definitions/by-content-type/".concat(fieldSetContentType || contentType), {
          availableLanguageIds: availableLanguageIds,
          dataDefinitionFields: dataDefinitionFields,
          defaultDataLayout: {
            dataLayoutPages: dataLayoutPages,
            name: name
          },
          name: name
        }).then(function (dataDefinitionFieldSet) {
          dispatch({
            payload: {
              fieldSets: [].concat(_toConsumableArray(fieldSets), [dataDefinitionFieldSet])
            },
            type: _actions.UPDATE_FIELDSETS
          });
          (0, _toast.successToast)(Liferay.Language.get('fieldset-saved'));
          return Promise.resolve();
        }).catch(function (_ref2) {
          var message = _ref2.message;
          return (0, _toast.errorToast)(message);
        });
      };
    };

    exports.default = _default;
    //# sourceMappingURL=useCreateFieldSet.es.js.map
  }
});
//# sourceMappingURL=useCreateFieldSet.es.js.map