Liferay.Loader.define("data-engine-taglib@2.5.29/data_layout_builder/js/components/rules/RuleList.es", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/button', '@frontend-taglib-clay$clayui/layout', 'frontend-js-react-web$react', '../../AppContext.es', '../empty-state/EmptyState.es', './RuleItem.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _button = _interopRequireDefault(require("@frontend-taglib-clay$clayui/button"));

    var _layout = _interopRequireDefault(require("@frontend-taglib-clay$clayui/layout"));

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _AppContext = _interopRequireDefault(require("../../AppContext.es"));

    var _EmptyState = _interopRequireDefault(require("../empty-state/EmptyState.es"));

    var _RuleItem = _interopRequireDefault(require("./RuleItem.es"));

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function ownKeys(object, enumerableOnly) {
      var keys = Object.keys(object);if (Object.getOwnPropertySymbols) {
        var symbols = Object.getOwnPropertySymbols(object);if (enumerableOnly) symbols = symbols.filter(function (sym) {
          return Object.getOwnPropertyDescriptor(object, sym).enumerable;
        });keys.push.apply(keys, symbols);
      }return keys;
    }

    function _objectSpread(target) {
      for (var i = 1; i < arguments.length; i++) {
        var source = arguments[i] != null ? arguments[i] : {};if (i % 2) {
          ownKeys(Object(source), true).forEach(function (key) {
            _defineProperty(target, key, source[key]);
          });
        } else if (Object.getOwnPropertyDescriptors) {
          Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
        } else {
          ownKeys(Object(source)).forEach(function (key) {
            Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
          });
        }
      }return target;
    }

    function _defineProperty(obj, key, value) {
      if (key in obj) {
        Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true });
      } else {
        obj[key] = value;
      }return obj;
    }

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    var _default = function _default(_ref) {
      var keywords = _ref.keywords,
          toggleRulesEditorVisibility = _ref.toggleRulesEditorVisibility;

      var _useContext = (0, _react.useContext)(_AppContext.default),
          _useContext2 = _slicedToArray(_useContext, 1),
          dataRules = _useContext2[0].dataLayout.dataRules;

      var filteredDataRules = dataRules.map(function (rule, index) {
        return _objectSpread(_objectSpread({}, rule), {}, {
          ruleEditedIndex: index
        });
      }).filter(function (_ref2) {
        var name = _ref2.name;
        return new RegExp(keywords, 'ig').test(name[Liferay.ThemeDisplay.getLanguageId()]);
      });
      return (/*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, !filteredDataRules.length ? /*#__PURE__*/_react.default.createElement(_EmptyState.default, {
          emptyState: {
            button: function button() {
              return (/*#__PURE__*/_react.default.createElement(_button.default, {
                  displayType: "secondary",
                  onClick: function onClick() {
                    return toggleRulesEditorVisibility();
                  }
                }, Liferay.Language.get('create-new-rule'))
              );
            },
            description: Liferay.Language.get('there-are-no-rules-description'),
            title: Liferay.Language.get('there-are-no-rules')
          },
          keywords: keywords,
          small: true
        }) : /*#__PURE__*/_react.default.createElement(_layout.default.ContentCol, {
          className: "rule-list"
        }, /*#__PURE__*/_react.default.createElement("hr", null), filteredDataRules.map(function (rule, index) {
          return (/*#__PURE__*/_react.default.createElement(_RuleItem.default, {
              key: index,
              rule: rule,
              toggleRulesEditorVisibility: toggleRulesEditorVisibility
            })
          );
        })))
      );
    };

    exports.default = _default;
    //# sourceMappingURL=RuleList.es.js.map
  }
});
//# sourceMappingURL=RuleList.es.js.map