Liferay.Loader.define("data-engine-taglib@2.5.29/data_layout_builder/js/drag-and-drop/withDragAndDropContext.es", ['module', 'exports', 'require', 'frontend-js-react-web$react-dnd', 'frontend-js-react-web$react-dnd-html5-backend'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = withDragAndDropContext;

    var _reactDnd = require("frontend-js-react-web$react-dnd");

    var _reactDndHtml5Backend = require("frontend-js-react-web$react-dnd-html5-backend");

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * This library is free software; you can redistribute it and/or modify it under
     * the terms of the GNU Lesser General Public License as published by the Free
     * Software Foundation; either version 2.1 of the License, or (at your option)
     * any later version.
     *
     * This library is distributed in the hope that it will be useful, but WITHOUT
     * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
     * details.
     */
    function withDragAndDropContext(Component) {
      return function (props) {
        return (/*#__PURE__*/React.createElement(_reactDnd.DndProvider, {
            backend: _reactDndHtml5Backend.HTML5Backend
          }, /*#__PURE__*/React.createElement(Component, props))
        );
      };
    }
    //# sourceMappingURL=withDragAndDropContext.es.js.map
  }
});
//# sourceMappingURL=withDragAndDropContext.es.js.map