Liferay.Loader.define("data-engine-taglib@2.5.29/data_layout_builder/js/plugins/fields-sidebar/components/FieldsSidebarSettingsHeader.es", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/button', '@frontend-taglib-clay$clayui/drop-down', '@frontend-taglib-clay$clayui/icon', 'dynamic-data-mapping-form-renderer', 'frontend-js-react-web$react', '../../../AppContext.es', '../../../data-layout-builder/DataLayoutBuilderContext.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = _default;

    var _button = _interopRequireWildcard(require("@frontend-taglib-clay$clayui/button"));

    var _dropDown = _interopRequireDefault(require("@frontend-taglib-clay$clayui/drop-down"));

    var _icon = _interopRequireDefault(require("@frontend-taglib-clay$clayui/icon"));

    var _dynamicDataMappingFormRenderer = require("dynamic-data-mapping-form-renderer");

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _AppContext = _interopRequireDefault(require("../../../AppContext.es"));

    var _DataLayoutBuilderContext = _interopRequireDefault(require("../../../data-layout-builder/DataLayoutBuilderContext.es"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    function _default() {
      var _useContext = (0, _react.useContext)(_AppContext.default),
          _useContext2 = _slicedToArray(_useContext, 1),
          _useContext2$ = _useContext2[0],
          fieldTypes = _useContext2$.fieldTypes,
          focusedCustomObjectField = _useContext2$.focusedCustomObjectField,
          focusedField = _useContext2$.focusedField;

      var settingsContext = focusedField.settingsContext;

      if (focusedCustomObjectField.settingsContext) {
        settingsContext = focusedCustomObjectField.settingsContext;
      }

      var visitor = new _dynamicDataMappingFormRenderer.PagesVisitor(settingsContext.pages);
      var typeField = visitor.findField(function (field) {
        return field.fieldName === 'type';
      });
      var fieldType = fieldTypes.find(function (_ref) {
        var name = _ref.name;
        return name === typeField.value;
      });

      var _useContext3 = (0, _react.useContext)(_DataLayoutBuilderContext.default),
          _useContext4 = _slicedToArray(_useContext3, 1),
          dataLayoutBuilder = _useContext4[0];

      if (!fieldType) {
        return null;
      }

      return (/*#__PURE__*/_react.default.createElement("div", {
          className: "d-flex"
        }, /*#__PURE__*/_react.default.createElement(_button.ClayButtonWithIcon, {
          className: "mr-2",
          displayType: "secondary",
          monospaced: false,
          onClick: function handleFocusedFieldBlur() {
            dataLayoutBuilder.dispatch('sidebarFieldBlurred');
          },
          symbol: "angle-left"
        }), /*#__PURE__*/_react.default.createElement(_dropDown.default, {
          className: "d-inline-flex flex-grow-1",
          onActiveChange: function onActiveChange() {},
          trigger: /*#__PURE__*/_react.default.createElement(_button.default, {
            className: "d-inline-flex flex-grow-1",
            disabled: true,
            displayType: "secondary"
          }, /*#__PURE__*/_react.default.createElement(_icon.default, {
            className: "mr-2 mt-1",
            symbol: fieldType.icon
          }), fieldType.label, /*#__PURE__*/_react.default.createElement("span", {
            className: "d-inline-flex ml-auto navbar-breakpoint-down-d-none pt-2"
          }, /*#__PURE__*/_react.default.createElement(_icon.default, {
            className: "inline-item inline-item-after",
            symbol: "caret-bottom"
          })))
        }))
      );
    }
    //# sourceMappingURL=FieldsSidebarSettingsHeader.es.js.map
  }
});
//# sourceMappingURL=FieldsSidebarSettingsHeader.es.js.map