Liferay.Loader.define("dynamic-data-mapping-form-web@3.0.69/admin/js/util/FormURL.es", ['module', 'exports', 'require'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    function _classCallCheck(instance, Constructor) {
      if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
      }
    }

    function _defineProperties(target, props) {
      for (var i = 0; i < props.length; i++) {
        var descriptor = props[i];descriptor.enumerable = descriptor.enumerable || false;descriptor.configurable = true;if ("value" in descriptor) descriptor.writable = true;Object.defineProperty(target, descriptor.key, descriptor);
      }
    }

    function _createClass(Constructor, protoProps, staticProps) {
      if (protoProps) _defineProperties(Constructor.prototype, protoProps);if (staticProps) _defineProperties(Constructor, staticProps);return Constructor;
    }

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * This library is free software; you can redistribute it and/or modify it under
     * the terms of the GNU Lesser General Public License as published by the Free
     * Software Foundation; either version 2.1 of the License, or (at your option)
     * any later version.
     *
     * This library is distributed in the hope that it will be useful, but WITHOUT
     * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
     * details.
     */
    var FormURL = /*#__PURE__*/function () {
      function FormURL(formInstanceId) {
        var published = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;
        var requireAuthentication = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : false;

        _classCallCheck(this, FormURL);

        this.formInstanceId = formInstanceId;
        this.published = published;
        this.requireAuthentication = requireAuthentication;
      }

      _createClass(FormURL, [{
        key: "create",
        value: function create() {
          var formURL;

          if (this.requireAuthentication) {
            formURL = Liferay.DDM.FormSettings.restrictedFormURL;
          } else {
            formURL = Liferay.DDM.FormSettings.sharedFormURL;
          }

          return formURL + this.formInstanceId;
        }
      }]);

      return FormURL;
    }();

    var _default = FormURL;
    exports.default = _default;
    //# sourceMappingURL=FormURL.es.js.map
  }
});
//# sourceMappingURL=FormURL.es.js.map