Liferay.Loader.define("analytics-reports-web@1.0.39/js/components/Translation", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/button', '@frontend-taglib-clay$clayui/drop-down', '@frontend-taglib-clay$clayui/icon', '@frontend-taglib-clay$clayui/label', '@frontend-taglib-clay$clayui/layout', 'frontend-js-react-web$prop-types', 'frontend-js-react-web$react', '../context/ChartStateContext'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = Translation;

    var _button = _interopRequireDefault(require("@frontend-taglib-clay$clayui/button"));

    var _dropDown = _interopRequireDefault(require("@frontend-taglib-clay$clayui/drop-down"));

    var _icon = _interopRequireDefault(require("@frontend-taglib-clay$clayui/icon"));

    var _label = _interopRequireDefault(require("@frontend-taglib-clay$clayui/label"));

    var _layout = _interopRequireDefault(require("@frontend-taglib-clay$clayui/layout"));

    var _propTypes = _interopRequireDefault(require("frontend-js-react-web$prop-types"));

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _ChartStateContext = require("../context/ChartStateContext");

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    function Translation(_ref) {
      var defaultLanguage = _ref.defaultLanguage,
          onSelectedLanguageClick = _ref.onSelectedLanguageClick,
          viewURLs = _ref.viewURLs;

      var _useState = (0, _react.useState)(false),
          _useState2 = _slicedToArray(_useState, 2),
          active = _useState2[0],
          setActive = _useState2[1];

      var selectedLanguage = (0, _react.useMemo)(function () {
        var _viewURLs$find;

        return ((_viewURLs$find = viewURLs.find(function (language) {
          return language.selected;
        })) === null || _viewURLs$find === void 0 ? void 0 : _viewURLs$find.languageId) || defaultLanguage;
      }, [defaultLanguage, viewURLs]);
      var chartState = (0, _ChartStateContext.useChartState)();
      return (/*#__PURE__*/_react.default.createElement(_layout.default.ContentRow, null, /*#__PURE__*/_react.default.createElement(_layout.default.ContentCol, {
          expand: true
        }, /*#__PURE__*/_react.default.createElement("h5", null, Liferay.Language.get('languages-translated-into')), /*#__PURE__*/_react.default.createElement("span", {
          className: "text-secondary"
        }, Liferay.Language.get('select-language-to-view-its-metrics'))), /*#__PURE__*/_react.default.createElement(_layout.default.ContentCol, null, /*#__PURE__*/_react.default.createElement(_dropDown.default, {
          active: active,
          hasLeftSymbols: true,
          onActiveChange: setActive,
          trigger: /*#__PURE__*/_react.default.createElement(_button.default, {
            className: "btn-monospaced",
            displayType: "secondary",
            small: true
          }, /*#__PURE__*/_react.default.createElement(_icon.default, {
            symbol: selectedLanguage.toLowerCase()
          }), /*#__PURE__*/_react.default.createElement("span", {
            className: "d-block font-weight-normal",
            style: {
              fontSize: '9px'
            }
          }, selectedLanguage))
        }, /*#__PURE__*/_react.default.createElement(_dropDown.default.ItemList, null, Object.values(viewURLs).map(function (language, index) {
          return (/*#__PURE__*/_react.default.createElement(_dropDown.default.Item, {
              active: language.selected && language.languageId,
              key: index,
              onClick: function onClick() {
                onSelectedLanguageClick(language.viewURL, chartState.timeSpanKey, chartState.timeSpanOffset);
              },
              symbolLeft: language.languageId.toLowerCase()
            }, /*#__PURE__*/_react.default.createElement(_layout.default.ContentRow, null, /*#__PURE__*/_react.default.createElement(_layout.default.ContentCol, {
              expand: true
            }, /*#__PURE__*/_react.default.createElement("span", null, language.languageId)), /*#__PURE__*/_react.default.createElement(_layout.default.ContentCol, null, /*#__PURE__*/_react.default.createElement(_label.default, {
              displayType: language.default ? 'primary' : 'success'
            }, language.default ? Liferay.Language.get('default') : Liferay.Language.get('translated')))))
          );
        })))))
      );
    }
    //# sourceMappingURL=Translation.js.map
  }
});
//# sourceMappingURL=Translation.js.map