Liferay.Loader.define("layout-content-page-editor-web@2.0.110/page_editor/app/actions/addFragmentEntryLinks", ['module', 'exports', 'require', './types'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = addFragmentEntryLinks;

    var _types = require("./types");

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * This library is free software; you can redistribute it and/or modify it under
     * the terms of the GNU Lesser General Public License as published by the Free
     * Software Foundation; either version 2.1 of the License, or (at your option)
     * any later version.
     *
     * This library is distributed in the hope that it will be useful, but WITHOUT
     * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
     * details.
     */

    /**
     * @param {object} data
     * @param {object[]} data.fragmentEntryLinks
     * @param {object} data.layoutData
     */
    function addFragmentEntryLinks(_ref) {
      var addedItemId = _ref.addedItemId,
          fragmentEntryLinks = _ref.fragmentEntryLinks,
          layoutData = _ref.layoutData;
      return {
        fragmentEntryLinks: fragmentEntryLinks,
        itemId: addedItemId,
        layoutData: layoutData,
        type: _types.ADD_FRAGMENT_ENTRY_LINKS
      };
    }
    //# sourceMappingURL=addFragmentEntryLinks.js.map
  }
});
//# sourceMappingURL=addFragmentEntryLinks.js.map