Liferay.Loader.define('layout-content-page-editor-web@2.0.110/page_editor/app/actions/types', ['module', 'exports', 'require'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.UPDATE_PAGE_CONTENTS = exports.UPDATE_UNDO_ACTIONS = exports.UPDATE_ROW_COLUMNS = exports.UPDATE_REDO_ACTIONS = exports.UPDATE_NETWORK = exports.UPDATE_LAYOUT_DATA = exports.UPDATE_LANGUAGE_ID = exports.UPDATE_FRAGMENT_ENTRY_LINK_CONTENT = exports.UPDATE_FRAGMENT_ENTRY_LINK_CONFIGURATION = exports.UPDATE_ITEM_CONFIG = exports.UPDATE_EDITABLE_VALUES = exports.UPDATE_COL_SIZE = exports.UNLOAD_REDUCER = exports.TOGGLE_SHOW_RESOLVED_COMMENTS = exports.TOGGLE_PERMISSION = exports.SWITCH_VIEWPORT_SIZE = exports.SWITCH_SIDEBAR_PANEL = exports.SET_FRAGMENT_EDITABLES = exports.MOVE_ITEM = exports.LOAD_REDUCER = exports.INIT = exports.EDIT_FRAGMENT_ENTRY_LINK_COMMENT = exports.DUPLICATE_ITEM = exports.DELETE_WIDGETS = exports.DELETE_ITEM = exports.DELETE_FRAGMENT_ENTRY_LINK_COMMENT = exports.CHANGE_MASTER_LAYOUT = exports.ADD_UNDO_ACTION = exports.ADD_REDO_ACTION = exports.ADD_MAPPED_INFO_ITEM = exports.ADD_ITEM = exports.ADD_FRAGMENT_ENTRY_LINK_COMMENT = exports.ADD_FRAGMENT_ENTRY_LINKS = exports.ADD_FRAGMENT_COMPOSITION = void 0;

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * This library is free software; you can redistribute it and/or modify it under
     * the terms of the GNU Lesser General Public License as published by the Free
     * Software Foundation; either version 2.1 of the License, or (at your option)
     * any later version.
     *
     * This library is distributed in the hope that it will be useful, but WITHOUT
     * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
     * details.
     */
    var ADD_FRAGMENT_COMPOSITION = 'ADD_FRAGMENT_COMPOSITION';
    exports.ADD_FRAGMENT_COMPOSITION = ADD_FRAGMENT_COMPOSITION;
    var ADD_FRAGMENT_ENTRY_LINKS = 'ADD_FRAGMENT_ENTRY_LINKS';
    exports.ADD_FRAGMENT_ENTRY_LINKS = ADD_FRAGMENT_ENTRY_LINKS;
    var ADD_FRAGMENT_ENTRY_LINK_COMMENT = 'ADD_FRAGMENT_ENTRY_LINK_COMMENT';
    exports.ADD_FRAGMENT_ENTRY_LINK_COMMENT = ADD_FRAGMENT_ENTRY_LINK_COMMENT;
    var ADD_ITEM = 'ADD_ITEM';
    exports.ADD_ITEM = ADD_ITEM;
    var ADD_MAPPED_INFO_ITEM = 'ADD_MAPPED_INFO_ITEM';
    exports.ADD_MAPPED_INFO_ITEM = ADD_MAPPED_INFO_ITEM;
    var ADD_REDO_ACTION = 'ADD_REDO_ACTION';
    exports.ADD_REDO_ACTION = ADD_REDO_ACTION;
    var ADD_UNDO_ACTION = 'ADD_UNDO_ACTION';
    exports.ADD_UNDO_ACTION = ADD_UNDO_ACTION;
    var CHANGE_MASTER_LAYOUT = 'CHANGE_MASTER_LAYOUT';
    exports.CHANGE_MASTER_LAYOUT = CHANGE_MASTER_LAYOUT;
    var DELETE_FRAGMENT_ENTRY_LINK_COMMENT = 'DELETE_FRAGMENT_ENTRY_LINK_COMMENT';
    exports.DELETE_FRAGMENT_ENTRY_LINK_COMMENT = DELETE_FRAGMENT_ENTRY_LINK_COMMENT;
    var DELETE_ITEM = 'DELETE_ITEM';
    exports.DELETE_ITEM = DELETE_ITEM;
    var DELETE_WIDGETS = 'DELETE_WIDGETS';
    exports.DELETE_WIDGETS = DELETE_WIDGETS;
    var DUPLICATE_ITEM = 'DUPLICATE_ITEM';
    exports.DUPLICATE_ITEM = DUPLICATE_ITEM;
    var EDIT_FRAGMENT_ENTRY_LINK_COMMENT = 'EDIT_FRAGMENT_ENTRY_LINK_COMMENT';
    exports.EDIT_FRAGMENT_ENTRY_LINK_COMMENT = EDIT_FRAGMENT_ENTRY_LINK_COMMENT;
    var INIT = 'INIT';
    exports.INIT = INIT;
    var LOAD_REDUCER = 'LOAD_REDUCER';
    exports.LOAD_REDUCER = LOAD_REDUCER;
    var MOVE_ITEM = 'MOVE_ITEM';
    exports.MOVE_ITEM = MOVE_ITEM;
    var SET_FRAGMENT_EDITABLES = 'SET_FRAGMENT_EDITABLES';
    exports.SET_FRAGMENT_EDITABLES = SET_FRAGMENT_EDITABLES;
    var SWITCH_SIDEBAR_PANEL = 'SWITCH_SIDEBAR_PANEL';
    exports.SWITCH_SIDEBAR_PANEL = SWITCH_SIDEBAR_PANEL;
    var SWITCH_VIEWPORT_SIZE = 'SWITCH_VIEWPORT_SIZE';
    exports.SWITCH_VIEWPORT_SIZE = SWITCH_VIEWPORT_SIZE;
    var TOGGLE_PERMISSION = 'TOGGLE_PERMISSION';
    exports.TOGGLE_PERMISSION = TOGGLE_PERMISSION;
    var TOGGLE_SHOW_RESOLVED_COMMENTS = 'TOGGLE_SHOW_RESOLVED_COMMENTS';
    exports.TOGGLE_SHOW_RESOLVED_COMMENTS = TOGGLE_SHOW_RESOLVED_COMMENTS;
    var UNLOAD_REDUCER = 'UNLOAD_REDUCER';
    exports.UNLOAD_REDUCER = UNLOAD_REDUCER;
    var UPDATE_COL_SIZE = 'UPDATE_COL_SIZE';
    exports.UPDATE_COL_SIZE = UPDATE_COL_SIZE;
    var UPDATE_EDITABLE_VALUES = 'UPDATE_EDITABLE_VALUES';
    exports.UPDATE_EDITABLE_VALUES = UPDATE_EDITABLE_VALUES;
    var UPDATE_ITEM_CONFIG = 'UPDATE_ITEM_CONFIG';
    exports.UPDATE_ITEM_CONFIG = UPDATE_ITEM_CONFIG;
    var UPDATE_FRAGMENT_ENTRY_LINK_CONFIGURATION = 'UPDATE_FRAGMENT_ENTRY_LINK_CONFIGURATION';
    exports.UPDATE_FRAGMENT_ENTRY_LINK_CONFIGURATION = UPDATE_FRAGMENT_ENTRY_LINK_CONFIGURATION;
    var UPDATE_FRAGMENT_ENTRY_LINK_CONTENT = 'UPDATE_FRAGMENT_ENTRY_LINK_CONTENT';
    exports.UPDATE_FRAGMENT_ENTRY_LINK_CONTENT = UPDATE_FRAGMENT_ENTRY_LINK_CONTENT;
    var UPDATE_LANGUAGE_ID = 'UPDATE_LANGUAGE_ID';
    exports.UPDATE_LANGUAGE_ID = UPDATE_LANGUAGE_ID;
    var UPDATE_LAYOUT_DATA = 'UPDATE_LAYOUT_DATA';
    exports.UPDATE_LAYOUT_DATA = UPDATE_LAYOUT_DATA;
    var UPDATE_NETWORK = 'UPDATE_NETWORK';
    exports.UPDATE_NETWORK = UPDATE_NETWORK;
    var UPDATE_REDO_ACTIONS = 'UPDATE_REDO_ACTIONS';
    exports.UPDATE_REDO_ACTIONS = UPDATE_REDO_ACTIONS;
    var UPDATE_ROW_COLUMNS = 'UPDATE_ROW_COLUMNS';
    exports.UPDATE_ROW_COLUMNS = UPDATE_ROW_COLUMNS;
    var UPDATE_UNDO_ACTIONS = 'UPDATE_UNDO_ACTIONS';
    exports.UPDATE_UNDO_ACTIONS = UPDATE_UNDO_ACTIONS;
    var UPDATE_PAGE_CONTENTS = 'UPDATE_PAGE_CONTENTS';
    exports.UPDATE_PAGE_CONTENTS = UPDATE_PAGE_CONTENTS;
    //# sourceMappingURL=types.js.map
  }
});
//# sourceMappingURL=types.js.map