Liferay.Loader.define("layout-content-page-editor-web@2.0.110/page_editor/app/processors/index", ['module', 'exports', 'require', './BackgroundImageProcessor', './FallbackProcessor', './HTMLProcessor', './ImageProcessor', './LinkProcessor', './RichTextProcessor', './TextProcessor'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _BackgroundImageProcessor = _interopRequireDefault(require("./BackgroundImageProcessor"));

    var _FallbackProcessor = _interopRequireDefault(require("./FallbackProcessor"));

    var _HTMLProcessor = _interopRequireDefault(require("./HTMLProcessor"));

    var _ImageProcessor = _interopRequireDefault(require("./ImageProcessor"));

    var _LinkProcessor = _interopRequireDefault(require("./LinkProcessor"));

    var _RichTextProcessor = _interopRequireDefault(require("./RichTextProcessor"));

    var _TextProcessor = _interopRequireDefault(require("./TextProcessor"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * This library is free software; you can redistribute it and/or modify it under
     * the terms of the GNU Lesser General Public License as published by the Free
     * Software Foundation; either version 2.1 of the License, or (at your option)
     * any later version.
     *
     * This library is distributed in the hope that it will be useful, but WITHOUT
     * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
     * details.
     */
    var _default = {
      'background-image': _BackgroundImageProcessor.default,
      fallback: _FallbackProcessor.default,
      html: _HTMLProcessor.default,
      image: _ImageProcessor.default,
      link: _LinkProcessor.default,
      'rich-text': _RichTextProcessor.default,
      text: _TextProcessor.default
    };
    exports.default = _default;
    //# sourceMappingURL=index.js.map
  }
});
//# sourceMappingURL=index.js.map