Liferay.Loader.define("layout-content-page-editor-web@2.0.110/page_editor/app/reducers/layoutDataReducer", ['module', 'exports', 'require', '../actions/types'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = layoutDataReducer;
    exports.INITIAL_STATE = void 0;

    var _types = require("../actions/types");

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * This library is free software; you can redistribute it and/or modify it under
     * the terms of the GNU Lesser General Public License as published by the Free
     * Software Foundation; either version 2.1 of the License, or (at your option)
     * any later version.
     *
     * This library is distributed in the hope that it will be useful, but WITHOUT
     * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
     * details.
     */
    var INITIAL_STATE = {
      items: {}
    };
    exports.INITIAL_STATE = INITIAL_STATE;

    function layoutDataReducer() {
      var layoutData = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : INITIAL_STATE;
      var action = arguments.length > 1 ? arguments[1] : undefined;

      switch (action.type) {
        case _types.UPDATE_COL_SIZE:
        case _types.UPDATE_LAYOUT_DATA:
        case _types.ADD_FRAGMENT_ENTRY_LINKS:
        case _types.ADD_ITEM:
        case _types.DELETE_ITEM:
        case _types.DUPLICATE_ITEM:
        case _types.MOVE_ITEM:
        case _types.UPDATE_FRAGMENT_ENTRY_LINK_CONFIGURATION:
        case _types.UPDATE_ITEM_CONFIG:
        case _types.UPDATE_ROW_COLUMNS:
          return action.layoutData;

        default:
          return layoutData;
      }
    }
    //# sourceMappingURL=layoutDataReducer.js.map
  }
});
//# sourceMappingURL=layoutDataReducer.js.map