Liferay.Loader.define("layout-content-page-editor-web@2.0.110/page_editor/app/thunks/addItem", ['module', 'exports', 'require', '../actions/addItem', '../services/LayoutService'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = addItem;

    var _addItem = _interopRequireDefault(require("../actions/addItem"));

    var _LayoutService = _interopRequireDefault(require("../services/LayoutService"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * This library is free software; you can redistribute it and/or modify it under
     * the terms of the GNU Lesser General Public License as published by the Free
     * Software Foundation; either version 2.1 of the License, or (at your option)
     * any later version.
     *
     * This library is distributed in the hope that it will be useful, but WITHOUT
     * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
     * details.
     */
    function addItem(_ref) {
      var itemType = _ref.itemType,
          parentItemId = _ref.parentItemId,
          position = _ref.position,
          _ref$selectItem = _ref.selectItem,
          selectItem = _ref$selectItem === void 0 ? function () {} : _ref$selectItem,
          store = _ref.store;
      return function (dispatch) {
        var segmentsExperienceId = store.segmentsExperienceId;
        return _LayoutService.default.addItem({
          itemType: itemType,
          onNetworkStatus: dispatch,
          parentItemId: parentItemId,
          position: position,
          segmentsExperienceId: segmentsExperienceId
        }).then(function (_ref2) {
          var addedItemId = _ref2.addedItemId,
              layoutData = _ref2.layoutData;
          dispatch((0, _addItem.default)({
            itemId: addedItemId,
            layoutData: layoutData
          }));

          if (addedItemId) {
            selectItem(addedItemId);
          }
        });
      };
    }
    //# sourceMappingURL=addItem.js.map
  }
});
//# sourceMappingURL=addItem.js.map