Liferay.Loader.define("layout-content-page-editor-web@2.0.110/page_editor/app/thunks/updateFragmentConfiguration", ['module', 'exports', 'require', '../actions/updateFragmentEntryLinkConfiguration', '../config/constants/freemarkerFragmentEntryProcessor', '../services/FragmentService'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = updateFragmentConfiguration;

    var _updateFragmentEntryLinkConfiguration = _interopRequireDefault(require("../actions/updateFragmentEntryLinkConfiguration"));

    var _freemarkerFragmentEntryProcessor = require("../config/constants/freemarkerFragmentEntryProcessor");

    var _FragmentService = _interopRequireDefault(require("../services/FragmentService"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function ownKeys(object, enumerableOnly) {
      var keys = Object.keys(object);if (Object.getOwnPropertySymbols) {
        var symbols = Object.getOwnPropertySymbols(object);if (enumerableOnly) symbols = symbols.filter(function (sym) {
          return Object.getOwnPropertyDescriptor(object, sym).enumerable;
        });keys.push.apply(keys, symbols);
      }return keys;
    }

    function _objectSpread(target) {
      for (var i = 1; i < arguments.length; i++) {
        var source = arguments[i] != null ? arguments[i] : {};if (i % 2) {
          ownKeys(Object(source), true).forEach(function (key) {
            _defineProperty(target, key, source[key]);
          });
        } else if (Object.getOwnPropertyDescriptors) {
          Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
        } else {
          ownKeys(Object(source)).forEach(function (key) {
            Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
          });
        }
      }return target;
    }

    function _defineProperty(obj, key, value) {
      if (key in obj) {
        Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true });
      } else {
        obj[key] = value;
      }return obj;
    }

    function updateFragmentConfiguration(_ref) {
      var configurationValues = _ref.configurationValues,
          fragmentEntryLink = _ref.fragmentEntryLink;
      var editableValues = fragmentEntryLink.editableValues,
          fragmentEntryLinkId = fragmentEntryLink.fragmentEntryLinkId;

      var nextEditableValues = _objectSpread(_objectSpread({}, editableValues), {}, _defineProperty({}, _freemarkerFragmentEntryProcessor.FREEMARKER_FRAGMENT_ENTRY_PROCESSOR, configurationValues));

      return function (dispatch) {
        return _FragmentService.default.updateConfigurationValues({
          configurationValues: nextEditableValues,
          fragmentEntryLinkId: fragmentEntryLinkId,
          onNetworkStatus: dispatch
        }).then(function (_ref2) {
          var fragmentEntryLink = _ref2.fragmentEntryLink,
              layoutData = _ref2.layoutData;
          dispatch((0, _updateFragmentEntryLinkConfiguration.default)({
            fragmentEntryLink: fragmentEntryLink,
            fragmentEntryLinkId: fragmentEntryLinkId,
            layoutData: layoutData
          }));
        });
      };
    }
    //# sourceMappingURL=updateFragmentConfiguration.js.map
  }
});
//# sourceMappingURL=updateFragmentConfiguration.js.map