Liferay.Loader.define("layout-content-page-editor-web@2.0.110/page_editor/plugins/experience/actions/duplicateExperience", ['module', 'exports', 'require', '../actions'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = duplicateExperience;

    var _actions = require("../actions");

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * This library is free software; you can redistribute it and/or modify it under
     * the terms of the GNU Lesser General Public License as published by the Free
     * Software Foundation; either version 2.1 of the License, or (at your option)
     * any later version.
     *
     * This library is distributed in the hope that it will be useful, but WITHOUT
     * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
     * details.
     */
    function duplicateExperience(_ref) {
      var fragmentEntryLinks = _ref.fragmentEntryLinks,
          layoutData = _ref.layoutData,
          segmentsExperience = _ref.segmentsExperience;
      return {
        payload: {
          fragmentEntryLinks: fragmentEntryLinks,
          layoutData: layoutData,
          segmentsExperience: segmentsExperience
        },
        type: _actions.DUPLICATE_SEGMENTS_EXPERIENCE
      };
    }
    //# sourceMappingURL=duplicateExperience.js.map
  }
});
//# sourceMappingURL=duplicateExperience.js.map