Liferay.Loader.define("layout-seo-web@1.0.45/js/seo/PreviewSeoEvents.es", ['module', 'exports', 'require'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.previewSeoOnChange = exports.previewSeoFireChange = void 0;

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * This library is free software; you can redistribute it and/or modify it under
     * the terms of the GNU Lesser General Public License as published by the Free
     * Software Foundation; either version 2.1 of the License, or (at your option)
     * any later version.
     *
     * This library is distributed in the hope that it will be useful, but WITHOUT
     * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
     * details.
     */
    var previewSeoFireChange = function previewSeoFireChange(portletNamespace, data) {
      return Liferay.fire("".concat(portletNamespace, "PreviewSeo:changed"), {
        data: data
      });
    };

    exports.previewSeoFireChange = previewSeoFireChange;

    var previewSeoOnChange = function previewSeoOnChange(portletNamespace, cb) {
      return Liferay.on("".concat(portletNamespace, "PreviewSeo:changed"), function (event) {
        cb(event.data);
      });
    };

    exports.previewSeoOnChange = previewSeoOnChange;
    //# sourceMappingURL=PreviewSeoEvents.es.js.map
  }
});
//# sourceMappingURL=PreviewSeoEvents.es.js.map