Liferay.Loader.define("layout-seo-web@1.0.45/js/seo/display_page_templates/components/MappingPanel", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/button', '@frontend-taglib-clay$clayui/form', '@frontend-taglib-clay$clayui/icon', 'frontend-js-react-web$classnames', 'frontend-js-react-web$prop-types', 'frontend-js-react-web$react', '../hooks/useOnClickOutside'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _button = _interopRequireDefault(require("@frontend-taglib-clay$clayui/button"));

    var _form = _interopRequireWildcard(require("@frontend-taglib-clay$clayui/form"));

    var _icon = _interopRequireDefault(require("@frontend-taglib-clay$clayui/icon"));

    var _classnames = _interopRequireDefault(require("frontend-js-react-web$classnames"));

    var _propTypes = require("frontend-js-react-web$prop-types");

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _useOnClickOutside = _interopRequireDefault(require("../hooks/useOnClickOutside"));

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    var noop = function noop() {};

    var normalizeField = function normalizeField(_ref) {
      var key = _ref.key,
          label = _ref.label;
      return {
        label: label,
        value: key
      };
    };

    function MappingPanel(_ref2) {
      var _ref2$isActive = _ref2.isActive,
          isActive = _ref2$isActive === void 0 ? false : _ref2$isActive,
          name = _ref2.name,
          fields = _ref2.fields,
          field = _ref2.field,
          source = _ref2.source,
          _ref2$onChange = _ref2.onChange,
          onChange = _ref2$onChange === void 0 ? noop : _ref2$onChange;

      var _useState = (0, _react.useState)(false),
          _useState2 = _slicedToArray(_useState, 2),
          isPanelOpen = _useState2[0],
          setIsPanelOpen = _useState2[1];

      var wrapperRef = (0, _react.useRef)(null);
      (0, _useOnClickOutside.default)([wrapperRef.current], function () {
        return setIsPanelOpen(false);
      });

      return (/*#__PURE__*/_react.default.createElement("div", {
          className: "dpt-mapping-panel-wrapper",
          ref: wrapperRef
        }, /*#__PURE__*/_react.default.createElement(_button.default, {
          className: (0, _classnames.default)('dpt-mapping-btn lfr-portal-tooltip', {
            active: isActive
          }),
          displayType: "secondary",
          monospaced: true,
          onClick: function onClick() {
            setIsPanelOpen(function (state) {
              return !state;
            });
          },
          title: Liferay.Language.get('map')
        }, /*#__PURE__*/_react.default.createElement(_icon.default, {
          symbol: "bolt"
        })), isPanelOpen && /*#__PURE__*/_react.default.createElement("div", {
          className: "dpt-mapping-panel popover popover-scrollable",
          onClick: function onClick(event) {
            return event.stopPropagation();
          }
        }, /*#__PURE__*/_react.default.createElement("div", {
          className: "popover-body"
        }, /*#__PURE__*/_react.default.createElement(_form.default.Group, {
          small: true
        }, /*#__PURE__*/_react.default.createElement("label", {
          htmlFor: "".concat(name, "_mappingSelectorSource")
        }, Liferay.Language.get('source')), /*#__PURE__*/_react.default.createElement(_form.ClayInput, {
          id: "".concat(name, "_mappingSelectorSource"),
          readOnly: true,
          value: source.initialValue
        })), /*#__PURE__*/_react.default.createElement(_form.default.Group, {
          small: true
        }, /*#__PURE__*/_react.default.createElement("label", {
          htmlFor: "".concat(name, "_mappingSelectorFieldSelect")
        }, Liferay.Language.get('field')), /*#__PURE__*/_react.default.createElement(_form.ClaySelectWithOption, {
          id: "".concat(name, "_mappingSelectorFieldSelect"),
          onChange: function handleChangeField(event) {
            var value = event.target.value;
            var field = fields.find(function (_ref3) {
              var key = _ref3.key;
              return key === value;
            });
            onChange({
              field: field,
              source: source
            });
          },
          options: fields.map(normalizeField),
          value: field.key
        })))))
      );
    }

    var _default = MappingPanel;
    exports.default = _default;
    //# sourceMappingURL=MappingPanel.js.map
  }
});
//# sourceMappingURL=MappingPanel.js.map