Liferay.Loader.define("site-membership-web@4.0.37/js/UserGroupsManagementToolbarDefaultEventHandler.es", ['module', 'exports', 'require', 'frontend-js-web', 'frontend-js-metal-web$metal-dom'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _frontendJsWeb = require("frontend-js-web");

    var _metalDom = _interopRequireDefault(require("frontend-js-metal-web$metal-dom"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    function _classCallCheck(instance, Constructor) {
      if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
      }
    }

    function _defineProperties(target, props) {
      for (var i = 0; i < props.length; i++) {
        var descriptor = props[i];descriptor.enumerable = descriptor.enumerable || false;descriptor.configurable = true;if ("value" in descriptor) descriptor.writable = true;Object.defineProperty(target, descriptor.key, descriptor);
      }
    }

    function _createClass(Constructor, protoProps, staticProps) {
      if (protoProps) _defineProperties(Constructor.prototype, protoProps);if (staticProps) _defineProperties(Constructor, staticProps);return Constructor;
    }

    function _possibleConstructorReturn(self, call) {
      if (call && (_typeof(call) === "object" || typeof call === "function")) {
        return call;
      }return _assertThisInitialized(self);
    }

    function _assertThisInitialized(self) {
      if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
      }return self;
    }

    function _getPrototypeOf(o) {
      _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
      };return _getPrototypeOf(o);
    }

    function _inherits(subClass, superClass) {
      if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
      }subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } });if (superClass) _setPrototypeOf(subClass, superClass);
    }

    function _setPrototypeOf(o, p) {
      _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) {
        o.__proto__ = p;return o;
      };return _setPrototypeOf(o, p);
    }

    var UserGroupsManagementToolbarDefaultEventHandler = /*#__PURE__*/function (_DefaultEventHandler) {
      _inherits(UserGroupsManagementToolbarDefaultEventHandler, _DefaultEventHandler);

      function UserGroupsManagementToolbarDefaultEventHandler() {
        _classCallCheck(this, UserGroupsManagementToolbarDefaultEventHandler);

        return _possibleConstructorReturn(this, _getPrototypeOf(UserGroupsManagementToolbarDefaultEventHandler).apply(this, arguments));
      }

      _createClass(UserGroupsManagementToolbarDefaultEventHandler, [{
        key: "deleteSelectedUserGroups",
        value: function deleteSelectedUserGroups() {
          if (confirm(Liferay.Language.get('are-you-sure-you-want-to-delete-this'))) {
            submitForm(this.one('#fm'));
          }
        }
      }, {
        key: "removeUserGroupRole",
        value: function removeUserGroupRole(itemData) {
          if (confirm(itemData.message)) {
            submitForm(this.one('#fm'), itemData.removeUserGroupRoleURL);
          }
        }
      }, {
        key: "selectRoles",
        value: function selectRoles(itemData) {
          var _this = this;

          (0, _frontendJsWeb.openSelectionModal)({
            onSelect: function onSelect(event) {
              location.href = (0, _frontendJsWeb.addParams)("".concat(_this.ns('roleId'), "=").concat(event.id), itemData.viewRoleURL);
            },
            selectEventName: this.ns('selectRole'),
            title: Liferay.Language.get('select-role'),
            url: itemData.selectRolesURL
          });
        }
      }, {
        key: "selectRole",
        value: function selectRole(itemData) {
          var _this2 = this;

          (0, _frontendJsWeb.openSelectionModal)({
            buttonAddLabel: Liferay.Language.get('done'),
            multiple: true,
            onSelect: function onSelect(selectedItem) {
              if (selectedItem) {
                var fm = _this2.one('#fm');

                selectedItem.forEach(function (item) {
                  _metalDom.default.append(fm, item);
                });
                submitForm(fm, itemData.editUserGroupsRolesURL);
              }
            },
            selectEventName: this.ns('selectRole'),
            title: Liferay.Language.get('assign-roles'),
            url: itemData.selectRoleURL
          });
        }
      }, {
        key: "selectUserGroups",
        value: function selectUserGroups(itemData) {
          var _this3 = this;

          (0, _frontendJsWeb.openSelectionModal)({
            buttonAddLabel: Liferay.Language.get('done'),
            multiple: true,
            onSelect: function onSelect(selectedItem) {
              if (selectedItem) {
                var addGroupUserGroupsFm = _this3.one('#addGroupUserGroupsFm');

                selectedItem.forEach(function (item) {
                  _metalDom.default.append(addGroupUserGroupsFm, item);
                });
                submitForm(addGroupUserGroupsFm);
              }
            },
            selectEventName: this.ns('selectUserGroups'),
            title: Liferay.Util.sub(Liferay.Language.get('assign-user-groups-to-this-x'), itemData.groupTypeLabel),
            url: itemData.selectUserGroupsURL
          });
        }
      }]);

      return UserGroupsManagementToolbarDefaultEventHandler;
    }(_frontendJsWeb.DefaultEventHandler);

    var _default = UserGroupsManagementToolbarDefaultEventHandler;
    exports.default = _default;
    //# sourceMappingURL=UserGroupsManagementToolbarDefaultEventHandler.es.js.map
  }
});
//# sourceMappingURL=UserGroupsManagementToolbarDefaultEventHandler.es.js.map