Liferay.Loader.define("commerce-frontend-js@3.0.30/ServiceProvider/commerce-admin-pricing/v2.0/DiscountAccount", ['module', 'exports', 'require', '../../../utilities/AJAX/index'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _index = _interopRequireDefault(require("../../../utilities/AJAX/index"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * This library is free software; you can redistribute it and/or modify it under
     * the terms of the GNU Lesser General Public License as published by the Free
     * Software Foundation; either version 2.1 of the License, or (at your option)
     * any later version.
     *
     * This library is distributed in the hope that it will be useful, but WITHOUT
     * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
     * details.
     */
    var DISCOUNTS_PATH = '/discounts';
    var DISCOUNT_RULES_PATH = '/discount-accounts';
    var VERSION = 'v2.0';

    function resolvePath() {
      var basePath = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';
      var discountId = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : '';
      var discountAccountId = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : '';
      return "".concat(basePath).concat(VERSION).concat(DISCOUNTS_PATH, "/").concat(discountId, "/").concat(DISCOUNT_RULES_PATH, "/").concat(discountAccountId);
    }

    var _default = function _default(basePath) {
      return {
        addDiscountAccount: function addDiscountAccount(discountId, json) {
          return _index.default.POST(resolvePath(basePath, discountId), json);
        }
      };
    };

    exports.default = _default;
    //# sourceMappingURL=DiscountAccount.js.map
  }
});
//# sourceMappingURL=DiscountAccount.js.map