Liferay.Loader.define("commerce-frontend-js@3.0.30/components/dataset_display/views/list/List", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/form', '@frontend-taglib-clay$clayui/list', 'frontend-js-react-web$classnames', 'frontend-js-react-web$prop-types', 'frontend-js-react-web$react', '../../../data_renderers/ImageRenderer'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _form = require("@frontend-taglib-clay$clayui/form");

    var _list = _interopRequireDefault(require("@frontend-taglib-clay$clayui/list"));

    var _classnames = _interopRequireDefault(require("frontend-js-react-web$classnames"));

    var _propTypes = _interopRequireDefault(require("frontend-js-react-web$prop-types"));

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _ImageRenderer = _interopRequireDefault(require("../../../data_renderers/ImageRenderer"));

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * This library is free software; you can redistribute it and/or modify it under
     * the terms of the GNU Lesser General Public License as published by the Free
     * Software Foundation; either version 2.1 of the License, or (at your option)
     * any later version.
     *
     * This library is distributed in the hope that it will be useful, but WITHOUT
     * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
     * details.
     */
    function List(props) {
      var _useContext = (0, _react.useContext)(props.datasetDisplayContext),
          selectItems = _useContext.selectItems,
          selectedItemsKey = _useContext.selectedItemsKey,
          selectedItemsValue = _useContext.selectedItemsValue,
          selectionType = _useContext.selectionType;

      return (/*#__PURE__*/_react.default.createElement(_list.default, null, props.items.map(function (item, i) {
          return (/*#__PURE__*/_react.default.createElement(_list.default.Item, {
              className: (0, _classnames.default)(i ? 'border-left-0 border-bottom-0 border-right-0' : 'border-0'),
              flex: true,
              key: item.id
            }, /*#__PURE__*/_react.default.createElement(_list.default.ItemField, {
              className: "justify-content-center"
            }, selectionType === 'single' ? /*#__PURE__*/_react.default.createElement(_form.ClayRadio, {
              checked: selectedItemsValue.map(function (el) {
                return String(el);
              }).includes(String(item[selectedItemsKey])),
              onChange: function onChange() {
                return selectItems(item[selectedItemsKey]);
              }
            }) : /*#__PURE__*/_react.default.createElement(_form.ClayCheckbox, {
              checked: selectedItemsValue.map(function (el) {
                return String(el);
              }).includes(String(item[selectedItemsKey])),
              onChange: function onChange() {
                return selectItems(item[selectedItemsKey]);
              }
            })), props.schema.thumbnail && item[props.schema.thumbnail] && /*#__PURE__*/_react.default.createElement(_list.default.ItemField, null, /*#__PURE__*/_react.default.createElement(_ImageRenderer.default, {
              value: item[props.schema.thumbnail]
            })), /*#__PURE__*/_react.default.createElement(_list.default.ItemField, {
              className: "justify-content-center",
              expand: true
            }, props.schema.title && /*#__PURE__*/_react.default.createElement(_list.default.ItemTitle, null, item[props.schema.title]), props.schema.description && /*#__PURE__*/_react.default.createElement(_list.default.ItemText, null, item[props.schema.description])))
          );
        }))
      );
    }

    List.defaultTypes = {
      activeItemValue: ''
    };
    var _default = List;
    exports.default = _default;
    //# sourceMappingURL=List.js.map
  }
});
//# sourceMappingURL=List.js.map