Liferay.Loader.define("commerce-frontend-js@3.0.30/components/dataset_display/views/timeline/Timeline", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/list', 'frontend-js-react-web$classnames', 'frontend-js-react-web$prop-types', 'frontend-js-react-web$react'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _list = _interopRequireDefault(require("@frontend-taglib-clay$clayui/list"));

    var _classnames = _interopRequireDefault(require("frontend-js-react-web$classnames"));

    var _propTypes = _interopRequireDefault(require("frontend-js-react-web$prop-types"));

    var _react = _interopRequireDefault(require("frontend-js-react-web$react"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _extends() {
      _extends = Object.assign || function (target) {
        for (var i = 1; i < arguments.length; i++) {
          var source = arguments[i];for (var key in source) {
            if (Object.prototype.hasOwnProperty.call(source, key)) {
              target[key] = source[key];
            }
          }
        }return target;
      };return _extends.apply(this, arguments);
    }

    function TimelineEntry(props) {
      return (/*#__PURE__*/_react.default.createElement("li", {
          className: "timeline-item"
        }, /*#__PURE__*/_react.default.createElement("div", {
          className: "panel panel-secondary"
        }, /*#__PURE__*/_react.default.createElement("div", {
          className: "timeline-increment"
        }, /*#__PURE__*/_react.default.createElement("span", {
          className: "timeline-icon"
        })), /*#__PURE__*/_react.default.createElement("div", {
          className: "panel-body"
        }, /*#__PURE__*/_react.default.createElement("div", {
          className: "mb-2 row"
        }, /*#__PURE__*/_react.default.createElement("div", {
          className: "col"
        }, /*#__PURE__*/_react.default.createElement("h4", {
          className: "mb-0"
        }, props.title)), /*#__PURE__*/_react.default.createElement("div", {
          className: "col-auto"
        }, props.description)), /*#__PURE__*/_react.default.createElement("small", null, props.date))))
      );
    }

    TimelineEntry.defaultProps = {};

    function Timeline(props) {
      return (/*#__PURE__*/_react.default.createElement(_list.default, {
          className: (0, _classnames.default)('mb-0', 'timeline')
        }, props.items.map(function (item, i) {
          return (/*#__PURE__*/_react.default.createElement(TimelineEntry, _extends({
              key: i
            }, item, {
              borderBottom: i !== props.items.length - 1,
              datasetDisplayContext: props.datasetDisplayContext
            }))
          );
        }))
      );
    }

    Timeline.defaultProps = {
      items: []
    };
    var _default = Timeline;
    exports.default = _default;
    //# sourceMappingURL=Timeline.js.map
  }
});
//# sourceMappingURL=Timeline.js.map