Liferay.Loader.define("commerce-frontend-js@3.0.30/components/gallery/MainImage", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/loading-indicator', 'frontend-js-react-web$prop-types', 'frontend-js-react-web$react', './Arrows'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = MainImage;

    var _loadingIndicator = _interopRequireDefault(require("@frontend-taglib-clay$clayui/loading-indicator"));

    var _propTypes = _interopRequireDefault(require("frontend-js-react-web$prop-types"));

    var _react = _interopRequireDefault(require("frontend-js-react-web$react"));

    var _Arrows = _interopRequireDefault(require("./Arrows"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * This library is free software; you can redistribute it and/or modify it under
     * the terms of the GNU Lesser General Public License as published by the Free
     * Software Foundation; either version 2.1 of the License, or (at your option)
     * any later version.
     *
     * This library is distributed in the hope that it will be useful, but WITHOUT
     * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
     * details.
     */
    function MainImage(_ref) {
      var background = _ref.background,
          _ref$loading = _ref.loading,
          loading = _ref$loading === void 0 ? false : _ref$loading,
          onNext = _ref.onNext,
          onPrev = _ref.onPrev,
          onZoom = _ref.onZoom,
          src = _ref.src,
          title = _ref.title;
      return (/*#__PURE__*/_react.default.createElement("div", {
          className: "card main-image",
          onClick: onZoom,
          style: {
            background: background
          }
        }, /*#__PURE__*/_react.default.createElement("div", {
          className: "aspect-ratio aspect-ratio-4-to-3"
        }, /*#__PURE__*/_react.default.createElement("img", {
          alt: title,
          className: "aspect-ratio-item-center-middle aspect-ratio-item-fluid aspect-ratio-item-vertical-fluid",
          src: src
        })), /*#__PURE__*/_react.default.createElement(_Arrows.default, {
          onNext: onNext,
          onPrev: onPrev
        }), loading ? /*#__PURE__*/_react.default.createElement(_loadingIndicator.default, null) : null)
      );
    }
    //# sourceMappingURL=MainImage.js.map
  }
});
//# sourceMappingURL=MainImage.js.map