Liferay.Loader.define("commerce-frontend-js@3.0.30/components/gallery/Thumbnail", ['module', 'exports', 'require', 'frontend-js-react-web$classnames', 'frontend-js-react-web$prop-types', 'frontend-js-react-web$react'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = Thumbnail;

    var _classnames = _interopRequireDefault(require("frontend-js-react-web$classnames"));

    var _propTypes = _interopRequireDefault(require("frontend-js-react-web$prop-types"));

    var _react = _interopRequireDefault(require("frontend-js-react-web$react"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * This library is free software; you can redistribute it and/or modify it under
     * the terms of the GNU Lesser General Public License as published by the Free
     * Software Foundation; either version 2.1 of the License, or (at your option)
     * any later version.
     *
     * This library is distributed in the hope that it will be useful, but WITHOUT
     * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
     * details.
     */
    function Thumbnail(_ref) {
      var _ref$active = _ref.active,
          active = _ref$active === void 0 ? false : _ref$active,
          background = _ref.background,
          onClick = _ref.onClick,
          src = _ref.src,
          title = _ref.title;
      var cardClasses = (0, _classnames.default)('card', 'card-interactive', 'card-interactive-primary', {
        active: active
      });
      return (/*#__PURE__*/_react.default.createElement("div", {
          className: cardClasses,
          onClick: onClick,
          style: {
            background: background
          }
        }, /*#__PURE__*/_react.default.createElement("div", {
          className: "aspect-ratio aspect-ratio-4-to-3"
        }, /*#__PURE__*/_react.default.createElement("img", {
          alt: title,
          className: "aspect-ratio-item-center-middle aspect-ratio-item-fluid aspect-ratio-item-vertical-fluid",
          src: src
        })))
      );
    }
    //# sourceMappingURL=Thumbnail.js.map
  }
});
//# sourceMappingURL=Thumbnail.js.map