Liferay.Loader.define("commerce-frontend-js@3.0.30/components/item_finder/Expose", ['module', 'exports', 'require', 'frontend-js-react-web$react'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = Expose;

    var _react = _interopRequireDefault(require("frontend-js-react-web$react"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * This library is free software; you can redistribute it and/or modify it under
     * the terms of the GNU Lesser General Public License as published by the Free
     * Software Foundation; either version 2.1 of the License, or (at your option)
     * any later version.
     *
     * This library is distributed in the hope that it will be useful, but WITHOUT
     * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
     * details.
     */
    function Expose(_ref) {
      var active = _ref.active,
          children = _ref.children,
          onClose = _ref.onClose;

      var content = _react.default.useRef();

      _react.default.useEffect(function () {
        var handleEscKey = function handleEscKey(e) {
          return e.key === 'Escape' && onClose();
        };

        if (active) {
          window.addEventListener('keydown', handleEscKey);
        } else {
          window.removeEventListener('keydown', handleEscKey);
        }
      }, [active, onClose]);

      return (/*#__PURE__*/_react.default.createElement("div", {
          className: "expose mb-4 ".concat(active ? 'is-open' : 'is-closed')
        }, /*#__PURE__*/_react.default.createElement("div", {
          className: "expose__backdrop",
          onClick: onClose
        }), /*#__PURE__*/_react.default.createElement("div", {
          className: "expose__content",
          ref: content
        }, children))
      );
    }
    //# sourceMappingURL=Expose.js.map
  }
});
//# sourceMappingURL=Expose.js.map