Liferay.Loader.define('commerce-frontend-js@3.0.30/components/mini_cart/util/constants', ['module', 'exports', 'require'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.YOUR_ORDER = exports.VIEW_DETAILS = exports.SUBMIT_ORDER = exports.REVIEW_ORDER = exports.REMOVE_ALL_ITEMS = exports.ORDER_IS_EMPTY = exports.ADD_PRODUCT = exports.SUMMARY = exports.ORDER_BUTTON = exports.OPENER = exports.ITEMS_LIST_ACTIONS = exports.ITEMS_LIST = exports.ITEM = exports.HEADER = exports.CART = exports.WORKFLOW_STATUS_APPROVED = exports.ORDER_UUID_PARAMETER = exports.ORDER_DETAILS_ENDPOINT = exports.DISCOUNT_LEVEL_PREFIX = exports.DEFAULT_ORDER_DETAILS_PORTLET_ID = void 0;

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * This library is free software; you can redistribute it and/or modify it under
     * the terms of the GNU Lesser General Public License as published by the Free
     * Software Foundation; either version 2.1 of the License, or (at your option)
     * any later version.
     *
     * This library is distributed in the hope that it will be useful, but WITHOUT
     * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
     * details.
     */

    /**
     * Cart implementation constants
     */
    var DEFAULT_ORDER_DETAILS_PORTLET_ID = 'com_liferay_commerce_order_content_web_internal_portlet_' + 'CommerceOpenOrderContentPortlet';
    exports.DEFAULT_ORDER_DETAILS_PORTLET_ID = DEFAULT_ORDER_DETAILS_PORTLET_ID;
    var DISCOUNT_LEVEL_PREFIX = 'discountPercentageLevel';
    exports.DISCOUNT_LEVEL_PREFIX = DISCOUNT_LEVEL_PREFIX;
    var ORDER_DETAILS_ENDPOINT = '/pending-orders';
    exports.ORDER_DETAILS_ENDPOINT = ORDER_DETAILS_ENDPOINT;
    var ORDER_UUID_PARAMETER = 'commerceOrderUuid';
    exports.ORDER_UUID_PARAMETER = ORDER_UUID_PARAMETER;
    var WORKFLOW_STATUS_APPROVED = 0;
    /**
     * Cart component types keys constants
     */

    exports.WORKFLOW_STATUS_APPROVED = WORKFLOW_STATUS_APPROVED;
    var CART = 'Cart';
    exports.CART = CART;
    var HEADER = 'Header';
    exports.HEADER = HEADER;
    var ITEM = 'Item';
    exports.ITEM = ITEM;
    var ITEMS_LIST = 'ItemsList';
    exports.ITEMS_LIST = ITEMS_LIST;
    var ITEMS_LIST_ACTIONS = 'ItemsListActions';
    exports.ITEMS_LIST_ACTIONS = ITEMS_LIST_ACTIONS;
    var OPENER = 'Opener';
    exports.OPENER = OPENER;
    var ORDER_BUTTON = 'OrderButton';
    exports.ORDER_BUTTON = ORDER_BUTTON;
    var SUMMARY = 'Summary';
    /**
     * Cart labels keys constants
     *
     * These strings are not used as language keys,
     * but rather to both document and override language keys.
     *
     * @see ./labels.js
     */

    exports.SUMMARY = SUMMARY;
    var ADD_PRODUCT = 'Add a product to the cart';
    exports.ADD_PRODUCT = ADD_PRODUCT;
    var ORDER_IS_EMPTY = 'Your order is empty';
    exports.ORDER_IS_EMPTY = ORDER_IS_EMPTY;
    var REMOVE_ALL_ITEMS = 'Remove all items';
    exports.REMOVE_ALL_ITEMS = REMOVE_ALL_ITEMS;
    var REVIEW_ORDER = 'Review order';
    exports.REVIEW_ORDER = REVIEW_ORDER;
    var SUBMIT_ORDER = 'Submit order';
    exports.SUBMIT_ORDER = SUBMIT_ORDER;
    var VIEW_DETAILS = 'View details';
    exports.VIEW_DETAILS = VIEW_DETAILS;
    var YOUR_ORDER = 'Your order';
    exports.YOUR_ORDER = YOUR_ORDER;
    //# sourceMappingURL=constants.js.map
  }
});
//# sourceMappingURL=constants.js.map