Liferay.Loader.define("commerce-frontend-js@3.0.30/utilities/launcher", ['module', 'exports', 'require', 'frontend-js-react-web'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = launcher;

    var _frontendJsReactWeb = require("frontend-js-react-web");

    function ownKeys(object, enumerableOnly) {
      var keys = Object.keys(object);if (Object.getOwnPropertySymbols) {
        var symbols = Object.getOwnPropertySymbols(object);if (enumerableOnly) symbols = symbols.filter(function (sym) {
          return Object.getOwnPropertyDescriptor(object, sym).enumerable;
        });keys.push.apply(keys, symbols);
      }return keys;
    }

    function _objectSpread(target) {
      for (var i = 1; i < arguments.length; i++) {
        var source = arguments[i] != null ? arguments[i] : {};if (i % 2) {
          ownKeys(Object(source), true).forEach(function (key) {
            _defineProperty(target, key, source[key]);
          });
        } else if (Object.getOwnPropertyDescriptors) {
          Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
        } else {
          ownKeys(Object(source)).forEach(function (key) {
            Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
          });
        }
      }return target;
    }

    function _defineProperty(obj, key, value) {
      if (key in obj) {
        Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true });
      } else {
        obj[key] = value;
      }return obj;
    }

    function launcher(Component, componentId, containerId) {
      var props = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : {};

      var container = window.document.getElementById(containerId),
          renderData = _objectSpread({
        componentId: componentId
      }, props);

      (0, _frontendJsReactWeb.render)(Component, renderData, container);
    }
    //# sourceMappingURL=launcher.js.map
  }
});
//# sourceMappingURL=launcher.js.map