Liferay.Loader.define("commerce-organization-web@4.0.23/js/components/Member", ['module', 'exports', 'require', 'frontend-js-react-web$prop-types', 'frontend-js-react-web$react'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _propTypes = _interopRequireDefault(require("frontend-js-react-web$prop-types"));

    var _react = _interopRequireDefault(require("frontend-js-react-web$react"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * The contents of this file are subject to the terms of the Liferay Enterprise
     * Subscription License ("License"). You may not use this file except in
     * compliance with the License. You can obtain a copy of the License by
     * contacting Liferay, Inc. See the License for the specific language governing
     * permissions and limitations under the License, including but not limited to
     * distribution rights of the Software.
     */
    function Member(props) {
      var _props$member = props.member,
          role = _props$member.email,
          imageUrl = _props$member.imageUrl,
          name = _props$member.name;
      return (/*#__PURE__*/_react.default.createElement("li", {
          className: "member",
          role: "button",
          tabIndex: "-1"
        }, /*#__PURE__*/_react.default.createElement("span", {
          className: "member-picture",
          style: {
            background: "url(/image".concat(imageUrl, ") center no-repeat #CCC")
          }
        }), /*#__PURE__*/_react.default.createElement("span", {
          className: "member-data"
        }, /*#__PURE__*/_react.default.createElement("p", {
          className: "member-data-name"
        }, name), /*#__PURE__*/_react.default.createElement("p", null, /*#__PURE__*/_react.default.createElement("span", {
          className: "member-data-role"
        }, role))))
      );
    }

    Member.defaultProps = {
      name: '',
      pictureUrl: '',
      role: '',
      tabIndex: 5
    };
    var _default = Member;
    exports.default = _default;
    //# sourceMappingURL=Member.js.map
  }
});
//# sourceMappingURL=Member.js.map