Liferay.Loader.define("commerce-organization-web@4.0.23/js/components/PaneOrgInfo", ['module', 'exports', 'require', 'frontend-js-react-web$react', '../utils/utils'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = PaneOrgInfo;

    var _react = _interopRequireDefault(require("frontend-js-react-web$react"));

    var _utils = require("../utils/utils");

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * The contents of this file are subject to the terms of the Liferay Enterprise
     * Subscription License ("License"). You may not use this file except in
     * compliance with the License. You can obtain a copy of the License by
     * contacting Liferay, Inc. See the License for the specific language governing
     * permissions and limitations under the License, including but not limited to
     * distribution rights of the Software.
     */
    function PaneOrgInfo(props) {
      var childrenNo = props.childrenNo,
          colorIdentifier = props.colorIdentifier,
          orgName = props.orgName;
      return (/*#__PURE__*/_react.default.createElement("div", {
          className: "pane-org-info"
        }, /*#__PURE__*/_react.default.createElement("div", {
          className: 'org-color-identifier',
          style: {
            backgroundColor: colorIdentifier
          }
        }), /*#__PURE__*/_react.default.createElement("div", {
          className: "org-data"
        }, /*#__PURE__*/_react.default.createElement("p", null, orgName), /*#__PURE__*/_react.default.createElement("p", null, childrenNo ? "".concat(childrenNo, " ").concat((0, _utils.getLocalizedText)('suborganizations')) : "".concat((0, _utils.getLocalizedText)('suborganization')))), /*#__PURE__*/_react.default.createElement("div", {
          className: "org-actions",
          role: "button",
          tabIndex: "1"
        }, /*#__PURE__*/_react.default.createElement("p", {
          style: {
            display: 'none'
          }
        }, "\u22C5\u22C5\u22C5")))
      );
    }
    //# sourceMappingURL=PaneOrgInfo.js.map
  }
});
//# sourceMappingURL=PaneOrgInfo.js.map