Liferay.Loader.define("app-builder-web@1.0.73/js/components/management-toolbar/ManagementToolbar.es", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/management-toolbar', 'frontend-js-react-web$react', './ManagementToolbarFilterAndOrder.es', './ManagementToolbarRight.es', './ManagementToolbarSearch', './SearchContext.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _managementToolbar = _interopRequireDefault(require("@frontend-taglib-clay$clayui/management-toolbar"));

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _ManagementToolbarFilterAndOrder = _interopRequireDefault(require("./ManagementToolbarFilterAndOrder.es"));

    var _ManagementToolbarRight = _interopRequireDefault(require("./ManagementToolbarRight.es"));

    var _ManagementToolbarSearch = _interopRequireDefault(require("./ManagementToolbarSearch"));

    var _SearchContext = _interopRequireDefault(require("./SearchContext.es"));

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    var _default = function _default(_ref) {
      var addButton = _ref.addButton,
          columns = _ref.columns,
          disabled = _ref.disabled,
          filters = _ref.filters;

      var _useContext = (0, _react.useContext)(_SearchContext.default),
          _useContext2 = _slicedToArray(_useContext, 2),
          keywords = _useContext2[0].keywords,
          dispatch = _useContext2[1];

      var _useState = (0, _react.useState)(false),
          _useState2 = _slicedToArray(_useState, 2),
          showMobile = _useState2[0],
          setShowMobile = _useState2[1];

      return (/*#__PURE__*/_react.default.createElement(_managementToolbar.default, null, /*#__PURE__*/_react.default.createElement(_ManagementToolbarFilterAndOrder.default, {
          columns: columns,
          disabled: disabled,
          filters: filters
        }), /*#__PURE__*/_react.default.createElement(_ManagementToolbarSearch.default, {
          disabled: disabled,
          onSubmit: function onSubmit(searchText) {
            return dispatch({
              keywords: searchText,
              type: 'SEARCH'
            });
          },
          searchText: keywords,
          setShowMobile: setShowMobile,
          showMobile: showMobile
        }), /*#__PURE__*/_react.default.createElement(_ManagementToolbarRight.default, {
          addButton: addButton,
          setShowMobile: setShowMobile
        }))
      );
    };

    exports.default = _default;
    //# sourceMappingURL=ManagementToolbar.es.js.map
  }
});
//# sourceMappingURL=ManagementToolbar.es.js.map