Liferay.Loader.define("app-builder-web@1.0.73/js/components/navigation-bar/NavigationBar.es", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/navigation-bar', 'frontend-js-react-web$react', 'app-builder-web$react-router-dom'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _navigationBar = _interopRequireDefault(require("@frontend-taglib-clay$clayui/navigation-bar"));

    var _react = _interopRequireDefault(require("frontend-js-react-web$react"));

    var _reactRouterDom = require("app-builder-web$react-router-dom");

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * This library is free software; you can redistribute it and/or modify it under
     * the terms of the GNU Lesser General Public License as published by the Free
     * Software Foundation; either version 2.1 of the License, or (at your option)
     * any later version.
     *
     * This library is distributed in the hope that it will be useful, but WITHOUT
     * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
     * details.
     */
    var Item = _navigationBar.default.Item;

    var _default = (0, _reactRouterDom.withRouter)(function (_ref) {
      var url = _ref.match.url,
          tabs = _ref.tabs;

      var blur = function blur(event) {
        event.target.blur();
      };

      return (/*#__PURE__*/_react.default.createElement(_navigationBar.default, {
          triggerLabel: tabs.find(function (_ref2) {
            var active = _ref2.active;
            return active;
          }).label
        }, tabs.map(function (_ref3, index) {
          var exact = _ref3.exact,
              label = _ref3.label,
              path = _ref3.path;
          return (/*#__PURE__*/_react.default.createElement(Item, {
              key: index
            }, /*#__PURE__*/_react.default.createElement(_reactRouterDom.NavLink, {
              activeClassName: "active",
              className: "nav-link",
              exact: exact,
              onClick: blur,
              to: path(url)
            }, label))
          );
        }))
      );
    });

    exports.default = _default;
    //# sourceMappingURL=NavigationBar.es.js.map
  }
});
//# sourceMappingURL=NavigationBar.es.js.map