Liferay.Loader.define("app-builder-web@1.0.73/js/components/table/DropDownAction.es", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/drop-down', 'frontend-js-react-web$react'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _dropDown = _interopRequireDefault(require("@frontend-taglib-clay$clayui/drop-down"));

    var _react = _interopRequireDefault(require("frontend-js-react-web$react"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * This library is free software; you can redistribute it and/or modify it under
     * the terms of the GNU Lesser General Public License as published by the Free
     * Software Foundation; either version 2.1 of the License, or (at your option)
     * any later version.
     *
     * This library is distributed in the hope that it will be useful, but WITHOUT
     * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
     * details.
     */
    var Divider = _dropDown.default.Divider,
        Item = _dropDown.default.Item;

    var _default = function _default(_ref) {
      var _ref$action = _ref.action,
          action = _ref$action.action,
          name = _ref$action.name,
          item = _ref.item,
          setActive = _ref.setActive;

      if (name === 'divider') {
        return (/*#__PURE__*/_react.default.createElement(Divider, null)
        );
      }

      return (/*#__PURE__*/_react.default.createElement(Item, {
          onClick: function onClick(event) {
            event.preventDefault();
            setActive(false);

            if (action) {
              action(item);
            }
          }
        }, typeof name === 'function' ? name(item) : name)
      );
    };

    exports.default = _default;
    //# sourceMappingURL=DropDownAction.es.js.map
  }
});
//# sourceMappingURL=DropDownAction.es.js.map