Liferay.Loader.define("app-builder-web@1.0.73/js/components/table/TableWithPagination.es", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/layout', '@frontend-taglib-clay$clayui/pagination-bar', 'frontend-js-react-web$react', '../../AppContext.es', '../loading/Loading.es', '../management-toolbar/SearchContext.es', './EmptyState.es', './Table.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _layout = _interopRequireDefault(require("@frontend-taglib-clay$clayui/layout"));

    var _paginationBar = require("@frontend-taglib-clay$clayui/pagination-bar");

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _AppContext = require("../../AppContext.es");

    var _Loading = require("../loading/Loading.es");

    var _SearchContext = _interopRequireDefault(require("../management-toolbar/SearchContext.es"));

    var _EmptyState = require("./EmptyState.es");

    var _Table = _interopRequireDefault(require("./Table.es"));

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    var TableWithPagination = function TableWithPagination(_ref) {
      var actions = _ref.actions,
          columns = _ref.columns,
          editMode = _ref.editMode,
          items = _ref.items,
          noActionsMessage = _ref.noActionsMessage,
          totalCount = _ref.totalCount;

      var _useContext = (0, _react.useContext)(_AppContext.AppContext),
          _useContext$deltaValu = _useContext.deltaValues,
          deltaValues = _useContext$deltaValu === void 0 ? [4, 8, 20, 40, 60] : _useContext$deltaValu;

      var _useContext2 = (0, _react.useContext)(_SearchContext.default),
          _useContext3 = _slicedToArray(_useContext2, 2),
          _useContext3$ = _useContext3[0],
          page = _useContext3$.page,
          pageSize = _useContext3$.pageSize,
          dispatch = _useContext3[1];

      var deltas = deltaValues.map(function (label) {
        return {
          label: label
        };
      });
      return (/*#__PURE__*/_react.default.createElement(_layout.default.ContainerFluid, null, /*#__PURE__*/_react.default.createElement(_Table.default, {
          actions: actions,
          columns: columns,
          editMode: editMode,
          items: items,
          noActionsMessage: noActionsMessage
        }), totalCount > deltaValues[0] && /*#__PURE__*/_react.default.createElement("div", {
          className: "taglib-search-iterator-page-iterator-bottom"
        }, /*#__PURE__*/_react.default.createElement(_paginationBar.ClayPaginationBarWithBasicItems, {
          activeDelta: Number(pageSize),
          activePage: Number(page),
          deltas: deltas,
          ellipsisBuffer: 3,
          onDeltaChange: function onDeltaChange(pageSize) {
            return dispatch({
              pageSize: pageSize,
              type: 'CHANGE_PAGE_SIZE'
            });
          },
          onPageChange: function onPageChange(page) {
            return dispatch({
              page: page,
              type: 'CHANGE_PAGE'
            });
          },
          totalItems: totalCount
        })))
      );
    };

    var _default = (0, _Loading.withLoading)((0, _EmptyState.withEmpty)(TableWithPagination));

    exports.default = _default;
    //# sourceMappingURL=TableWithPagination.es.js.map
  }
});
//# sourceMappingURL=TableWithPagination.es.js.map