Liferay.Loader.define("app-builder-web@1.0.73/js/hooks/useDeployApp.es", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/button', '@frontend-taglib-clay$clayui/list', '@frontend-taglib-clay$clayui/modal', 'frontend-js-react-web$react', '../pages/apps/constants.es', '../utils/client.es', '../utils/utils.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _button = _interopRequireDefault(require("@frontend-taglib-clay$clayui/button"));

    var _list = _interopRequireDefault(require("@frontend-taglib-clay$clayui/list"));

    var _modal = require("@frontend-taglib-clay$clayui/modal");

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _constants = require("../pages/apps/constants.es");

    var _client = require("../utils/client.es");

    var _utils = require("../utils/utils.es");

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    var _default = function _default() {
      var _useContext = (0, _react.useContext)(_modal.Context),
          _useContext2 = _slicedToArray(_useContext, 2),
          onClose = _useContext2[0].onClose,
          dispatch = _useContext2[1];

      var deployApp = function deployApp(item, undeploy) {
        return (0, _client.updateItem)({
          endpoint: "/o/app-builder/v1.0/apps/".concat(item.id, "/").concat(undeploy ? 'undeploy' : 'deploy')
        }).then(function () {
          return true;
        }).catch(function (error) {
          return error;
        });
      };

      return {
        deployApp: deployApp,
        undeployApp: function undeployApp(app) {
          return new Promise(function (resolve, reject) {
            dispatch({
              payload: {
                body: /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement("p", null, Liferay.Language.get('undeploy-warning')), /*#__PURE__*/_react.default.createElement(_list.default, null, /*#__PURE__*/_react.default.createElement(_list.default.Header, null, Liferay.Language.get('app')), /*#__PURE__*/_react.default.createElement(_list.default.Item, {
                  flex: true
                }, /*#__PURE__*/_react.default.createElement(_list.default.ItemField, {
                  expand: true
                }, /*#__PURE__*/_react.default.createElement("span", null, /*#__PURE__*/_react.default.createElement("b", null, Liferay.Language.get('name'), ":"), ' ', app.appName), /*#__PURE__*/_react.default.createElement("span", null, /*#__PURE__*/_react.default.createElement("b", null, Liferay.Language.get('deployed-as'), ":"), ' ', (0, _utils.concatValues)(app.appDeployments.map(function (_ref) {
                  var type = _ref.type;
                  return _constants.DEPLOYMENT_TYPES[type];
                }))), /*#__PURE__*/_react.default.createElement("span", null, /*#__PURE__*/_react.default.createElement("b", null, Liferay.Language.get('modified-date'), ":"), ' ', app.dateModified))))),
                footer: [/*#__PURE__*/_react.default.createElement(_react.default.Fragment, null), /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null), /*#__PURE__*/_react.default.createElement(_button.default.Group, {
                  key: 0,
                  spaced: true
                }, /*#__PURE__*/_react.default.createElement(_button.default, {
                  displayType: "secondary",
                  key: 1,
                  onClick: onClose
                }, Liferay.Language.get('cancel')), /*#__PURE__*/_react.default.createElement(_button.default, {
                  key: 2,
                  onClick: function onClick() {
                    deployApp(app, true).then(function (result) {
                      onClose();
                      resolve(result);
                    }).catch(reject);
                  }
                }, _constants.DEPLOYMENT_ACTION.undeploy))],
                header: _constants.DEPLOYMENT_ACTION.undeploy,
                size: 'md',
                status: 'warning'
              },
              type: 1
            });
          });
        }
      };
    };

    exports.default = _default;
    //# sourceMappingURL=useDeployApp.es.js.map
  }
});
//# sourceMappingURL=useDeployApp.es.js.map