Liferay.Loader.define("app-builder-web@1.0.73/js/pages/apps/ListAppsTabs.es", ['module', 'exports', 'require', 'frontend-js-react-web$react', '../../AppContext.es', '../../components/control-menu/ControlMenu.es', '../../components/navigation-bar/NavigationBar.es', '../../hooks/useLazy.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _AppContext = require("../../AppContext.es");

    var _ControlMenu = _interopRequireDefault(require("../../components/control-menu/ControlMenu.es"));

    var _NavigationBar = _interopRequireDefault(require("../../components/navigation-bar/NavigationBar.es"));

    var _useLazy = _interopRequireDefault(require("../../hooks/useLazy.es"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function ownKeys(object, enumerableOnly) {
      var keys = Object.keys(object);if (Object.getOwnPropertySymbols) {
        var symbols = Object.getOwnPropertySymbols(object);if (enumerableOnly) symbols = symbols.filter(function (sym) {
          return Object.getOwnPropertyDescriptor(object, sym).enumerable;
        });keys.push.apply(keys, symbols);
      }return keys;
    }

    function _objectSpread(target) {
      for (var i = 1; i < arguments.length; i++) {
        var source = arguments[i] != null ? arguments[i] : {};if (i % 2) {
          ownKeys(Object(source), true).forEach(function (key) {
            _defineProperty(target, key, source[key]);
          });
        } else if (Object.getOwnPropertyDescriptors) {
          Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
        } else {
          ownKeys(Object(source)).forEach(function (key) {
            Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
          });
        }
      }return target;
    }

    function _defineProperty(obj, key, value) {
      if (key in obj) {
        Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true });
      } else {
        obj[key] = value;
      }return obj;
    }

    function _objectWithoutProperties(source, excluded) {
      if (source == null) return {};var target = _objectWithoutPropertiesLoose(source, excluded);var key, i;if (Object.getOwnPropertySymbols) {
        var sourceSymbolKeys = Object.getOwnPropertySymbols(source);for (i = 0; i < sourceSymbolKeys.length; i++) {
          key = sourceSymbolKeys[i];if (excluded.indexOf(key) >= 0) continue;if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue;target[key] = source[key];
        }
      }return target;
    }

    function _objectWithoutPropertiesLoose(source, excluded) {
      if (source == null) return {};var target = {};var sourceKeys = Object.keys(source);var key, i;for (i = 0; i < sourceKeys.length; i++) {
        key = sourceKeys[i];if (excluded.indexOf(key) >= 0) continue;target[key] = source[key];
      }return target;
    }

    var _default = function _default(props) {
      var _useContext = (0, _react.useContext)(_AppContext.AppContext),
          appsTabs = _useContext.appsTabs,
          appsTabsKeys = _useContext.appsTabsKeys;

      var _props$match$params$t = props.match.params.tab,
          tab = _props$match$params$t === void 0 ? appsTabsKeys[0] : _props$match$params$t;
      (0, _react.useEffect)(function () {
        if (props.history.location.pathname === '/') {
          props.history.replace("".concat(tab));
        } // eslint-disable-next-line react-hooks/exhaustive-deps
      }, []);

      var _appsTabs$tab = appsTabs[tab],
          listEntryPoint = _appsTabs$tab.listEntryPoint,
          otherProps = _objectWithoutProperties(_appsTabs$tab, ["listEntryPoint"]);

      var navTabs = Object.values(appsTabs).map(function (_ref) {
        var label = _ref.label,
            scope = _ref.scope;
        return {
          active: tab === scope,
          label: label,
          path: function path() {
            return "/".concat(scope);
          }
        };
      });
      var TabContent = (0, _useLazy.default)();
      return (/*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_ControlMenu.default, {
          title: Liferay.Language.get('apps')
        }), /*#__PURE__*/_react.default.createElement(_NavigationBar.default, {
          tabs: navTabs
        }), /*#__PURE__*/_react.default.createElement(TabContent, {
          module: listEntryPoint,
          props: _objectSpread(_objectSpread({}, props), otherProps)
        }))
      );
    };

    exports.default = _default;
    //# sourceMappingURL=ListAppsTabs.es.js.map
  }
});
//# sourceMappingURL=ListAppsTabs.es.js.map