Liferay.Loader.define("app-builder-web@1.0.73/js/pages/apps/ListStandardApps.es", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/popover', 'frontend-js-react-web$react', '../../AppContext.es', '../../components/button/Button.es', '../../utils/clickOutside.es', './ListApps.es', './NewAppPopover.es', './constants.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _popover = _interopRequireDefault(require("@frontend-taglib-clay$clayui/popover"));

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _AppContext = require("../../AppContext.es");

    var _Button = _interopRequireDefault(require("../../components/button/Button.es"));

    var _clickOutside = _interopRequireDefault(require("../../utils/clickOutside.es"));

    var _ListApps = _interopRequireDefault(require("./ListApps.es"));

    var _NewAppPopover = _interopRequireDefault(require("./NewAppPopover.es"));

    var _constants = require("./constants.es");

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _extends() {
      _extends = Object.assign || function (target) {
        for (var i = 1; i < arguments.length; i++) {
          var source = arguments[i];for (var key in source) {
            if (Object.prototype.hasOwnProperty.call(source, key)) {
              target[key] = source[key];
            }
          }
        }return target;
      };return _extends.apply(this, arguments);
    }

    function _toConsumableArray(arr) {
      return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _nonIterableSpread();
    }

    function _nonIterableSpread() {
      throw new TypeError("Invalid attempt to spread non-iterable instance");
    }

    function _arrayWithoutHoles(arr) {
      if (Array.isArray(arr)) {
        for (var i = 0, arr2 = new Array(arr.length); i < arr.length; i++) {
          arr2[i] = arr[i];
        }return arr2;
      }
    }

    function _toArray(arr) {
      return _arrayWithHoles(arr) || _iterableToArray(arr) || _nonIterableRest();
    }

    function _iterableToArray(iter) {
      if (Symbol.iterator in Object(iter) || Object.prototype.toString.call(iter) === "[object Arguments]") return Array.from(iter);
    }

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    function _objectWithoutProperties(source, excluded) {
      if (source == null) return {};var target = _objectWithoutPropertiesLoose(source, excluded);var key, i;if (Object.getOwnPropertySymbols) {
        var sourceSymbolKeys = Object.getOwnPropertySymbols(source);for (i = 0; i < sourceSymbolKeys.length; i++) {
          key = sourceSymbolKeys[i];if (excluded.indexOf(key) >= 0) continue;if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue;target[key] = source[key];
        }
      }return target;
    }

    function _objectWithoutPropertiesLoose(source, excluded) {
      if (source == null) return {};var target = {};var sourceKeys = Object.keys(source);var key, i;for (i = 0; i < sourceKeys.length; i++) {
        key = sourceKeys[i];if (excluded.indexOf(key) >= 0) continue;target[key] = source[key];
      }return target;
    }

    var _default = function _default(_ref) {
      var scope = _ref.scope,
          restProps = _objectWithoutProperties(_ref, ["scope"]);

      var _useContext = (0, _react.useContext)(_AppContext.AppContext),
          userId = _useContext.userId;

      var popoverRef = (0, _react.useRef)();

      var _useState = (0, _react.useState)(),
          _useState2 = _slicedToArray(_useState, 2),
          alignElement = _useState2[0],
          setAlignElement = _useState2[1];

      var _useState3 = (0, _react.useState)(false),
          _useState4 = _slicedToArray(_useState3, 2),
          isPopoverVisible = _useState4[0],
          setPopoverVisible = _useState4[1];

      var _useState5 = (0, _react.useState)(false),
          _useState6 = _slicedToArray(_useState5, 2),
          showTooltip = _useState6[0],
          setShowTooltip = _useState6[1];

      var onClickAddButton = function onClickAddButton(event) {
        event.stopPropagation();
        setAlignElement(event.target);
        setPopoverVisible(!isPopoverVisible);
        setShowTooltip(false);
      };

      var updateAlignElement = function updateAlignElement(element) {
        if (!isPopoverVisible) {
          setAlignElement(element);
        }
      };

      var onHoverAddButton = function onHoverAddButton(_ref2) {
        var target = _ref2.target;
        setShowTooltip(true);
        updateAlignElement(target);
      };

      (0, _react.useEffect)(function () {
        var clickHandler = function clickHandler(_ref3) {
          var target = _ref3.target;

          if ((0, _clickOutside.default)(target, popoverRef.current)) {
            setPopoverVisible(false);
          }
        };

        window.addEventListener('click', clickHandler);
        return function () {
          return window.removeEventListener('click', clickHandler);
        };
      }, [popoverRef]);

      var _COLUMNS = _toArray(_constants.COLUMNS),
          firstColumn = _COLUMNS[0],
          otherColumns = _COLUMNS.slice(1);

      var columns = [firstColumn, {
        key: 'dataDefinitionName',
        value: Liferay.Language.get('object')
      }].concat(_toConsumableArray(otherColumns));
      var emptyState = {
        button: function button() {
          return (/*#__PURE__*/_react.default.createElement(_Button.default, {
              displayType: "secondary",
              onClick: onClickAddButton,
              onMouseOver: function onMouseOver(_ref4) {
                var target = _ref4.target;
                return updateAlignElement(target);
              }
            }, Liferay.Language.get('create-new-app'))
          );
        },
        description: Liferay.Language.get('create-a-standard-app-to-collect-and-manage-an-objects-data'),
        title: Liferay.Language.get('there-are-no-apps-yet')
      };
      var filters = [].concat(_toConsumableArray(_constants.FILTERS), [{
        items: [{
          label: Liferay.Language.get('me'),
          value: userId
        }],
        key: 'userIds',
        multiple: true,
        name: 'author'
      }]);
      return (/*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_ListApps.default, _extends({
          listViewProps: {
            addButton: function addButton() {
              return (/*#__PURE__*/_react.default.createElement(_popover.default, {
                  alignPosition: "bottom-right",
                  header: Liferay.Language.get('standard-app'),
                  show: showTooltip && !isPopoverVisible,
                  trigger: /*#__PURE__*/_react.default.createElement(_Button.default, {
                    className: "nav-btn nav-btn-monospaced",
                    onClick: onClickAddButton,
                    onMouseOut: function onMouseOut() {
                      return setShowTooltip(false);
                    },
                    onMouseOver: onHoverAddButton,
                    symbol: "plus"
                  })
                }, Liferay.Language.get('create-an-app-to-collect-and-manage-an-objects-data'))
              );
            },
            columns: columns,
            emptyState: emptyState,
            endpoint: "/o/app-builder/v1.0/apps?scope=".concat(scope),
            filters: filters
          }
        }, restProps)), /*#__PURE__*/_react.default.createElement(_NewAppPopover.default, _extends({
          alignElement: alignElement,
          onCancel: function onCancel() {
            return setPopoverVisible(false);
          },
          ref: popoverRef,
          setVisible: setPopoverVisible,
          visible: isPopoverVisible
        }, restProps)))
      );
    };

    exports.default = _default;
    //# sourceMappingURL=ListStandardApps.es.js.map
  }
});
//# sourceMappingURL=ListStandardApps.es.js.map