Liferay.Loader.define("app-builder-web@1.0.73/js/pages/apps/edit/DeployApp.es", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/layout', 'frontend-js-react-web$react', './settings/ProductMenuSettings.es', './settings/Settings.es', './settings/WidgetTip.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = exports.DeploySettings = void 0;

    var _layout = _interopRequireDefault(require("@frontend-taglib-clay$clayui/layout"));

    var _react = _interopRequireDefault(require("frontend-js-react-web$react"));

    var _ProductMenuSettings = _interopRequireDefault(require("./settings/ProductMenuSettings.es"));

    var _Settings = _interopRequireDefault(require("./settings/Settings.es"));

    var _WidgetTip = _interopRequireDefault(require("./settings/WidgetTip.es"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * This library is free software; you can redistribute it and/or modify it under
     * the terms of the GNU Lesser General Public License as published by the Free
     * Software Foundation; either version 2.1 of the License, or (at your option)
     * any later version.
     *
     * This library is distributed in the hope that it will be useful, but WITHOUT
     * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
     * details.
     */
    var Divider = function Divider() {
      return (/*#__PURE__*/_react.default.createElement("div", {
          className: "mb-4 pl-4 pr-4"
        }, /*#__PURE__*/_react.default.createElement("div", {
          className: "d-flex flex-column"
        }, /*#__PURE__*/_react.default.createElement("h4", {
          className: "card-divider"
        })))
      );
    };

    var DeploySettings = function DeploySettings() {
      return (/*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_Settings.default, {
          deploymentType: "widget",
          subtitle: Liferay.Language.get('deploy-a-widget'),
          tip: _WidgetTip.default,
          title: Liferay.Language.get('widget')
        }), /*#__PURE__*/_react.default.createElement(Divider, null), /*#__PURE__*/_react.default.createElement(_Settings.default, {
          deploymentType: "standalone",
          subtitle: Liferay.Language.get('deploy-a-standalone-app-with-a-direct-link'),
          title: Liferay.Language.get('standalone')
        }), /*#__PURE__*/_react.default.createElement(Divider, null), /*#__PURE__*/_react.default.createElement(_Settings.default, {
          deploymentType: "productMenu",
          settings: _ProductMenuSettings.default,
          subtitle: Liferay.Language.get('deploy-into-applications-or-a-site-menu'),
          title: Liferay.Language.get('product-menu')
        }))
      );
    };

    exports.DeploySettings = DeploySettings;

    var _default = function _default() {
      return (/*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_layout.default.ContentRow, {
          className: "mb-4 pl-4 pr-4"
        }, /*#__PURE__*/_react.default.createElement(_layout.default.ContentCol, null, /*#__PURE__*/_react.default.createElement("h2", null, "".concat(Liferay.Language.get('deploy-as'), "...")))), /*#__PURE__*/_react.default.createElement(DeploySettings, null), /*#__PURE__*/_react.default.createElement(Divider, null))
      );
    };

    exports.default = _default;
    //# sourceMappingURL=DeployApp.es.js.map
  }
});
//# sourceMappingURL=DeployApp.es.js.map