Liferay.Loader.define("app-builder-web@1.0.73/js/pages/apps/edit/settings/Settings.es", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/layout', 'frontend-js-react-web$react', '../../../../components/toggle-switch/ToggleSwitch.es', '../EditAppContext.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _layout = _interopRequireDefault(require("@frontend-taglib-clay$clayui/layout"));

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _ToggleSwitch = _interopRequireDefault(require("../../../../components/toggle-switch/ToggleSwitch.es"));

    var _EditAppContext = _interopRequireWildcard(require("../EditAppContext.es"));

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * This library is free software; you can redistribute it and/or modify it under
     * the terms of the GNU Lesser General Public License as published by the Free
     * Software Foundation; either version 2.1 of the License, or (at your option)
     * any later version.
     *
     * This library is distributed in the hope that it will be useful, but WITHOUT
     * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
     * details.
     */
    var _default = function _default(_ref) {
      var deploymentType = _ref.deploymentType,
          _ref$tip = _ref.tip,
          tip = _ref$tip === void 0 ? function () {
        return null;
      } : _ref$tip,
          _ref$settings = _ref.settings,
          settings = _ref$settings === void 0 ? function () {
        return null;
      } : _ref$settings,
          subtitle = _ref.subtitle,
          title = _ref.title;

      var _useContext = (0, _react.useContext)(_EditAppContext.default),
          dispatch = _useContext.dispatch,
          appDeployments = _useContext.state.app.appDeployments;

      var checked = appDeployments.some(function (appDeployment) {
        return appDeployment.type === deploymentType;
      });
      return (/*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_layout.default.ContentRow, {
          className: "justify-content-between mb-3 pl-4 pr-4"
        }, /*#__PURE__*/_react.default.createElement(_layout.default.ContentCol, null, /*#__PURE__*/_react.default.createElement(_layout.default.ContentSection, {
          containerElement: "section"
        }, /*#__PURE__*/_react.default.createElement("h3", null, title, tip()), /*#__PURE__*/_react.default.createElement("p", {
          className: "list-group-subtext"
        }, /*#__PURE__*/_react.default.createElement("small", null, subtitle)))), /*#__PURE__*/_react.default.createElement(_layout.default.ContentCol, {
          className: "right"
        }, /*#__PURE__*/_react.default.createElement(_ToggleSwitch.default, {
          checked: checked,
          onChange: function onChange(checked) {
            if (checked) {
              dispatch({
                deploymentType: deploymentType,
                type: _EditAppContext.ADD_DEPLOYMENT
              });
            } else {
              dispatch({
                deploymentType: deploymentType,
                type: _EditAppContext.REMOVE_DEPLOYMENT
              });
            }
          }
        }))), checked && settings())
      );
    };

    exports.default = _default;
    //# sourceMappingURL=Settings.es.js.map
  }
});
//# sourceMappingURL=Settings.es.js.map