Liferay.Loader.define("app-builder-web@1.0.73/js/pages/entry/NoPermissionEntry.es", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/button', 'frontend-js-web', 'frontend-js-react-web$react', '../../AppContext.es', '../../components/empty-state/NoPermissionState.es', '../../utils/toast.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _button = _interopRequireDefault(require("@frontend-taglib-clay$clayui/button"));

    var _frontendJsWeb = require("frontend-js-web");

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _AppContext = require("../../AppContext.es");

    var _NoPermissionState = _interopRequireDefault(require("../../components/empty-state/NoPermissionState.es"));

    var _toast = require("../../utils/toast.es");

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    var _default = function _default() {
      var _useContext = (0, _react.useContext)(_AppContext.AppContext),
          appDeploymentType = _useContext.appDeploymentType;

      var _useState = (0, _react.useState)(),
          _useState2 = _slicedToArray(_useState, 2),
          bodyHTML = _useState2[0],
          setBodyHTML = _useState2[1];

      var isSignedIn = themeDisplay.isSignedIn();
      var showLoginButton = !isSignedIn && appDeploymentType === 'standalone';
      (0, _react.useEffect)(function () {
        if (showLoginButton) {
          var _window$location = window.location,
              href = _window$location.href,
              origin = _window$location.origin;
          var signInURL = "".concat(origin, "/c/portal/login");
          signInURL = Liferay.Util.addParams("p_p_id=com_liferay_login_web_portlet_LoginPortlet", signInURL);
          signInURL = Liferay.Util.addParams("windowState=exclusive", signInURL);
          (0, _frontendJsWeb.fetch)("".concat(signInURL, "&redirect=").concat(href)).then(function (response) {
            return response.text();
          }).then(function (html) {
            return setBodyHTML(html);
          }).catch(function (error) {
            return (0, _toast.errorToast)(error.message);
          });
        }
      }, [isSignedIn, showLoginButton]);

      return (/*#__PURE__*/_react.default.createElement(_NoPermissionState.default, {
          description: isSignedIn ? Liferay.Language.get('you-do-not-have-permissions-to-access-this-app-contact-the-app-administrator-to-request-the-access') : Liferay.Language.get('you-do-not-have-access-to-this-app-sign-in-to-access-it'),
          title: Liferay.Language.get('no-permissions')
        }, showLoginButton && /*#__PURE__*/_react.default.createElement(_button.default, {
          onClick: function openSignInModal() {
            if (bodyHTML) {
              (0, _frontendJsWeb.openModal)({
                bodyHTML: bodyHTML,
                height: '400px',
                onOpen: function onOpen() {
                  return Liferay.Util.focusFormField('.modal #_com_liferay_login_web_portlet_LoginPortlet_login');
                },
                size: 'md',
                title: Liferay.Language.get('sign-in')
              });
            }
          }
        }, Liferay.Language.get('sign-in')))
      );
    };

    exports.default = _default;
    //# sourceMappingURL=NoPermissionEntry.es.js.map
  }
});
//# sourceMappingURL=NoPermissionEntry.es.js.map