Liferay.Loader.define("app-builder-web@1.0.73/js/pages/entry/PersonalMenuEntry.es", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/button', '@frontend-taglib-clay$clayui/drop-down', '@frontend-taglib-clay$clayui/icon', '@frontend-taglib-clay$clayui/sticker', 'frontend-js-react-web$react'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = PersonalMenuEntry;

    var _button = _interopRequireDefault(require("@frontend-taglib-clay$clayui/button"));

    var _dropDown = require("@frontend-taglib-clay$clayui/drop-down");

    var _icon = _interopRequireDefault(require("@frontend-taglib-clay$clayui/icon"));

    var _sticker = _interopRequireDefault(require("@frontend-taglib-clay$clayui/sticker"));

    var _react = _interopRequireDefault(require("frontend-js-react-web$react"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * This library is free software; you can redistribute it and/or modify it under
     * the terms of the GNU Lesser General Public License as published by the Free
     * Software Foundation; either version 2.1 of the License, or (at your option)
     * any later version.
     *
     * This library is distributed in the hope that it will be useful, but WITHOUT
     * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
     * details.
     */
    function PersonalMenuEntry(_ref) {
      var _ref$size = _ref.size,
          size = _ref$size === void 0 ? 'lg' : _ref$size,
          portraitURL = _ref.portraitURL,
          _ref$items = _ref.items,
          items = _ref$items === void 0 ? [] : _ref$items;
      return (/*#__PURE__*/_react.default.createElement(_dropDown.ClayDropDownWithItems, {
          items: items,
          menuElementAttrs: {
            className: 'dropdown-menu-personal-menu'
          },
          trigger: /*#__PURE__*/_react.default.createElement(_button.default, {
            "aria-label": Liferay.Language.get('personal-menu'),
            displayType: "unstyled"
          }, /*#__PURE__*/_react.default.createElement("span", {
            className: "sticker sticker-".concat(size)
          }, /*#__PURE__*/_react.default.createElement(_sticker.default, {
            displayType: "light",
            shape: "circle",
            size: size
          }, portraitURL ? /*#__PURE__*/_react.default.createElement("img", {
            className: "sticker-img",
            src: portraitURL
          }) : /*#__PURE__*/_react.default.createElement(_icon.default, {
            symbol: "user"
          }))))
        })
      );
    }
    //# sourceMappingURL=PersonalMenuEntry.es.js.map
  }
});
//# sourceMappingURL=PersonalMenuEntry.es.js.map