Liferay.Loader.define("app-builder-web@1.0.73/js/pages/entry/PortalEntry.es", ['module', 'exports', 'require', 'data-engine-taglib', 'frontend-js-react-web$react', 'frontend-js-react-web$react-dom', '../../AppContext.es', '../../hooks/usePermissions.es', '../../utils/client.es', '../../utils/lang.es', './PersonalMenuEntry.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = exports.getStorageLanguageId = void 0;

    var _dataEngineTaglib = require("data-engine-taglib");

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _reactDom = require("frontend-js-react-web$react-dom");

    var _AppContext = require("../../AppContext.es");

    var _usePermissions2 = _interopRequireDefault(require("../../hooks/usePermissions.es"));

    var _client = require("../../utils/client.es");

    var _lang = require("../../utils/lang.es");

    var _PersonalMenuEntry = _interopRequireDefault(require("./PersonalMenuEntry.es"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _extends() {
      _extends = Object.assign || function (target) {
        for (var i = 1; i < arguments.length; i++) {
          var source = arguments[i];for (var key in source) {
            if (Object.prototype.hasOwnProperty.call(source, key)) {
              target[key] = source[key];
            }
          }
        }return target;
      };return _extends.apply(this, arguments);
    }

    function ownKeys(object, enumerableOnly) {
      var keys = Object.keys(object);if (Object.getOwnPropertySymbols) {
        var symbols = Object.getOwnPropertySymbols(object);if (enumerableOnly) symbols = symbols.filter(function (sym) {
          return Object.getOwnPropertyDescriptor(object, sym).enumerable;
        });keys.push.apply(keys, symbols);
      }return keys;
    }

    function _objectSpread(target) {
      for (var i = 1; i < arguments.length; i++) {
        var source = arguments[i] != null ? arguments[i] : {};if (i % 2) {
          ownKeys(Object(source), true).forEach(function (key) {
            _defineProperty(target, key, source[key]);
          });
        } else if (Object.getOwnPropertyDescriptors) {
          Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
        } else {
          ownKeys(Object(source)).forEach(function (key) {
            Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
          });
        }
      }return target;
    }

    function _defineProperty(obj, key, value) {
      if (key in obj) {
        Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true });
      } else {
        obj[key] = value;
      }return obj;
    }

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    var STORAGE_KEY = '@app-builder/standalone/language';

    var setStorageLanguageId = function setStorageLanguageId(appId, value) {
      localStorage.setItem("".concat(STORAGE_KEY, "/").concat(appId), value);
    };

    var getStorageLanguageId = function getStorageLanguageId(appId) {
      return localStorage.getItem("".concat(STORAGE_KEY, "/").concat(appId)) || themeDisplay.getLanguageId();
    };

    exports.getStorageLanguageId = getStorageLanguageId;

    var TranslationManagerPortal = function TranslationManagerPortal(_ref) {
      var appId = _ref.appId,
          dataDefinitionId = _ref.dataDefinitionId,
          setUserLanguageId = _ref.setUserLanguageId,
          showAppName = _ref.showAppName,
          userLanguageId = _ref.userLanguageId;

      var _usePermissions = (0, _usePermissions2.default)(),
          viewPermission = _usePermissions.view;

      var _useState = (0, _react.useState)({
        app: {
          name: {}
        },
        dataDefinition: {
          availableLanguageIds: [],
          defaultLanguageId: ''
        }
      }),
          _useState2 = _slicedToArray(_useState, 2),
          _useState2$ = _useState2[0],
          app = _useState2$.app,
          dataDefinition = _useState2$.dataDefinition,
          setState = _useState2[1];

      var defaultLanguageId = dataDefinition.defaultLanguageId;

      (0, _react.useEffect)(function () {
        if (viewPermission && showAppName) {
          (0, _client.getItem)("/o/app-builder/v1.0/apps/".concat(appId)).then(function (app) {
            return setState(function (prevState) {
              return _objectSpread(_objectSpread({}, prevState), {}, {
                app: app
              });
            });
          });
        }
      }, [appId, showAppName, viewPermission]);
      (0, _react.useEffect)(function () {
        if (viewPermission && dataDefinitionId) {
          (0, _client.getItem)("/o/data-engine/v2.0/data-definitions/".concat(dataDefinitionId)).then(function (dataDefinition) {
            return setState(function (prevState) {
              return _objectSpread(_objectSpread({}, prevState), {}, {
                dataDefinition: dataDefinition
              });
            });
          });
        }
      }, [dataDefinitionId, viewPermission]);
      var availableLanguageIds = dataDefinition.availableLanguageIds.reduce(function (acc, cur) {
        acc[cur] = cur;
        return acc;
      }, {});

      var appStandaloneName = document.querySelector('#appStandaloneName');
      var appTranslationManager = document.querySelector('#appTranslationManager');

      if (!viewPermission) {
        return (/*#__PURE__*/_react.default.createElement(_react.default.Fragment, null)
        );
      }

      return (/*#__PURE__*/_react.default.createElement("div", null, showAppName && appStandaloneName && /*#__PURE__*/(0, _reactDom.createPortal)((0, _lang.getLocalizedUserPreferenceValue)(app.name, userLanguageId, defaultLanguageId), appStandaloneName), appTranslationManager && /*#__PURE__*/(0, _reactDom.createPortal)( /*#__PURE__*/_react.default.createElement(_dataEngineTaglib.TranslationManager, {
          availableLanguageIds: availableLanguageIds,
          editingLanguageId: function getEditingLanguageId() {
            if (availableLanguageIds[userLanguageId]) {
              return userLanguageId;
            }

            return defaultLanguageId;
          }(),
          onEditingLanguageIdChange: function onEditingLanguageIdChange(languageId) {
            setStorageLanguageId(appId, languageId);
            setUserLanguageId(languageId);
          },
          showUserView: true
        }), appTranslationManager))
      );
    };

    var _default = function _default(props) {
      var _useContext = (0, _react.useContext)(_AppContext.AppContext),
          appId = _useContext.appId,
          portraitURL = _useContext.portraitURL;

      var appPersonalMenu = document.querySelector('#app-personal-menu');
      return (/*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, appPersonalMenu && themeDisplay.isSignedIn() && /*#__PURE__*/(0, _reactDom.createPortal)( /*#__PURE__*/_react.default.createElement(_PersonalMenuEntry.default, {
          items: [{
            label: themeDisplay.getUserName(),
            type: 'group'
          }, {
            type: 'divider'
          }, {
            label: Liferay.Language.get('sign-out'),
            onClick: function onClick() {
              window.location.href = "".concat(window.location.origin, "/c/portal/logout");
            }
          }],
          portraitURL: portraitURL
        }), appPersonalMenu), /*#__PURE__*/_react.default.createElement(TranslationManagerPortal, _extends({
          appId: appId
        }, props)))
      );
    };

    exports.default = _default;
    //# sourceMappingURL=PortalEntry.es.js.map
  }
});
//# sourceMappingURL=PortalEntry.es.js.map