Liferay.Loader.define("app-builder-workflow-web@1.0.40/js/hooks/useAppWorkflow.es", ['module', 'exports', 'require', 'app-builder-web/js/utils/client.es', 'app-builder-web/js/utils/toast.es', 'frontend-js-react-web$react'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = useAppWorkflow;

    var _client = require("app-builder-web/js/utils/client.es");

    var _toast = require("app-builder-web/js/utils/toast.es");

    var _react = require("frontend-js-react-web$react");

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    function useAppWorkflow(appId) {
      var _useState = (0, _react.useState)({}),
          _useState2 = _slicedToArray(_useState, 2),
          appWorkflow = _useState2[0],
          setAppWorkflow = _useState2[1];

      (0, _react.useEffect)(function () {
        if (appId) {
          (0, _client.getItem)("/o/app-builder-workflow/v1.0/apps/".concat(appId, "/app-workflows")).then(setAppWorkflow).catch(function () {
            return (0, _toast.errorToast)();
          });
        }
      }, [appId]);
      return appWorkflow;
    }
    //# sourceMappingURL=useAppWorkflow.es.js.map
  }
});
//# sourceMappingURL=useAppWorkflow.es.js.map