Liferay.Loader.define("app-builder-workflow-web@1.0.40/js/hooks/useDataRecordApps.es", ['module', 'exports', 'require', 'app-builder-web/js/utils/client.es', 'app-builder-web/js/utils/toast.es', 'frontend-js-react-web$react'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = useDataRecordApps;

    var _client = require("app-builder-web/js/utils/client.es");

    var _toast = require("app-builder-web/js/utils/toast.es");

    var _react = require("frontend-js-react-web$react");

    function ownKeys(object, enumerableOnly) {
      var keys = Object.keys(object);if (Object.getOwnPropertySymbols) {
        var symbols = Object.getOwnPropertySymbols(object);if (enumerableOnly) symbols = symbols.filter(function (sym) {
          return Object.getOwnPropertyDescriptor(object, sym).enumerable;
        });keys.push.apply(keys, symbols);
      }return keys;
    }

    function _objectSpread(target) {
      for (var i = 1; i < arguments.length; i++) {
        var source = arguments[i] != null ? arguments[i] : {};if (i % 2) {
          ownKeys(Object(source), true).forEach(function (key) {
            _defineProperty(target, key, source[key]);
          });
        } else if (Object.getOwnPropertyDescriptors) {
          Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
        } else {
          ownKeys(Object(source)).forEach(function (key) {
            Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
          });
        }
      }return target;
    }

    function _defineProperty(obj, key, value) {
      if (key in obj) {
        Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true });
      } else {
        obj[key] = value;
      }return obj;
    }

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    function useDataRecordApps(appId) {
      var dataRecordIds = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : [];

      var _useState = (0, _react.useState)({}),
          _useState2 = _slicedToArray(_useState, 2),
          dataRecordLinks = _useState2[0],
          setDataRecordLinks = _useState2[1];

      (0, _react.useEffect)(function () {
        if (appId && dataRecordIds.length) {
          (0, _client.addItem)("/o/app-builder-workflow/v1.0/apps/".concat(appId, "/app-workflows/data-record-links"), {
            dataRecordIds: dataRecordIds
          }).then(function (_ref) {
            var items = _ref.items;
            setDataRecordLinks(items.reduce(function (links, _ref2) {
              var appWorkflow = _ref2.appWorkflow,
                  dataRecordId = _ref2.dataRecordId;
              return _objectSpread(_objectSpread({}, links), {}, _defineProperty({}, dataRecordId, appWorkflow));
            }, {}));
          }).catch(function () {
            return (0, _toast.errorToast)();
          });
        }
      }, [appId, dataRecordIds]);
      return dataRecordLinks;
    }
    //# sourceMappingURL=useDataRecordApps.es.js.map
  }
});
//# sourceMappingURL=useDataRecordApps.es.js.map