Liferay.Loader.define("app-builder-workflow-web@1.0.40/js/pages/apps/edit/ApplyAppChangesModal.es", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/button', '@frontend-taglib-clay$clayui/icon', '@frontend-taglib-clay$clayui/modal', 'app-builder-web/js/pages/apps/edit/EditAppContext.es', 'frontend-js-react-web$react'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = ApplyAppChangesModal;

    var _button = _interopRequireDefault(require("@frontend-taglib-clay$clayui/button"));

    var _icon = _interopRequireDefault(require("@frontend-taglib-clay$clayui/icon"));

    var _modal = _interopRequireWildcard(require("@frontend-taglib-clay$clayui/modal"));

    var _EditAppContext = _interopRequireDefault(require("app-builder-web/js/pages/apps/edit/EditAppContext.es"));

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * The contents of this file are subject to the terms of the Liferay Enterprise
     * Subscription License ("License"). You may not use this file except in
     * compliance with the License. You can obtain a copy of the License by
     * contacting Liferay, Inc. See the License for the specific language governing
     * permissions and limitations under the License, including but not limited to
     * distribution rights of the Software.
     */
    function ApplyAppChangesModal(_ref) {
      var onSave = _ref.onSave;

      var _useContext = (0, _react.useContext)(_EditAppContext.default),
          isAppChangesModalVisible = _useContext.isAppChangesModalVisible,
          setAppChangesModalVisible = _useContext.setAppChangesModalVisible;

      var _useModal = (0, _modal.useModal)({
        onClose: function onClose() {
          return setAppChangesModalVisible(false);
        }
      }),
          observer = _useModal.observer,
          onClose = _useModal.onClose;

      if (!isAppChangesModalVisible) {
        return (/*#__PURE__*/_react.default.createElement(_react.default.Fragment, null)
        );
      }

      return (/*#__PURE__*/_react.default.createElement(_modal.default, {
          center: true,
          className: "save-app-modal",
          observer: observer
        }, /*#__PURE__*/_react.default.createElement(_modal.default.Header, {
          className: "border-0"
        }, /*#__PURE__*/_react.default.createElement(_icon.default, {
          className: "circle-icon info mr-3",
          fontSize: "26px",
          symbol: "exclamation-full"
        }), Liferay.Language.get('applying-app-updates')), /*#__PURE__*/_react.default.createElement(_modal.default.Body, null, /*#__PURE__*/_react.default.createElement("span", {
          className: "text-secondary"
        }, Liferay.Language.get('some-of-the-updates-cannot-be-applied-to-existing-app-data'))), /*#__PURE__*/_react.default.createElement(_modal.default.Footer, {
          last: /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_button.default, {
            className: "mr-3",
            displayType: "secondary",
            onClick: onClose,
            small: true
          }, Liferay.Language.get('cancel')), /*#__PURE__*/_react.default.createElement(_button.default, {
            onClick: function onClick() {
              return onSave(setAppChangesModalVisible);
            },
            small: true
          }, Liferay.Language.get('save')))
        }))
      );
    }
    //# sourceMappingURL=ApplyAppChangesModal.es.js.map
  }
});
//# sourceMappingURL=ApplyAppChangesModal.es.js.map