Liferay.Loader.define("data-engine-taglib@2.5.29/data_layout_builder/js/components/drop-down/DropDown.es", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/button', '@frontend-taglib-clay$clayui/drop-down', '@frontend-taglib-clay$clayui/popover', 'frontend-js-react-web$react'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _button = require("@frontend-taglib-clay$clayui/button");

    var _dropDown = _interopRequireWildcard(require("@frontend-taglib-clay$clayui/drop-down"));

    var _popover = _interopRequireDefault(require("@frontend-taglib-clay$clayui/popover"));

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    var Item = _dropDown.default.Item,
        ItemList = _dropDown.default.ItemList;

    var _default = function _default(_ref) {
      var actions = _ref.actions,
          disabled = _ref.disabled;

      var _useState = (0, _react.useState)(false),
          _useState2 = _slicedToArray(_useState, 2),
          active = _useState2[0],
          setActive = _useState2[1];

      var _useState3 = (0, _react.useState)(false),
          _useState4 = _slicedToArray(_useState3, 2),
          showPopover = _useState4[0],
          setShowPopover = _useState4[1];

      var DropdownButton = /*#__PURE__*/_react.default.createElement(_button.ClayButtonWithIcon, {
        className: "page-link",
        disabled: disabled,
        displayType: "unstyled",
        symbol: "ellipsis-v"
      });

      if (actions.length === 0) {
        return DropdownButton;
      }

      var onSelectItem = function onSelectItem(event, action) {
        event.preventDefault();

        if (typeof action.action === 'function') {
          action.action();
        }

        setActive(false);
      };

      (0, _react.useEffect)(function () {
        if (showPopover && !active) {
          setShowPopover(false);
        }
      }, [active, showPopover]);
      return (/*#__PURE__*/_react.default.createElement(_dropDown.default, {
          active: active,
          alignmentPosition: _dropDown.Align.RightCenter,
          className: "dropdown-action",
          onActiveChange: function onActiveChange(item) {
            return setActive(item);
          },
          trigger: DropdownButton
        }, /*#__PURE__*/_react.default.createElement(ItemList, null, actions.map(function (action, index) {
          var ItemWrapper = function ItemWrapper() {
            return (/*#__PURE__*/_react.default.createElement(Item, {
                className: action.className,
                key: index,
                onClick: function onClick(event) {
                  return onSelectItem(event, action);
                }
              }, action.name)
            );
          };

          if (action.popover) {
            var _action$popover = action.popover,
                alignPosition = _action$popover.alignPosition,
                body = _action$popover.body,
                header = _action$popover.header;
            return (/*#__PURE__*/_react.default.createElement(_popover.default, {
                alignPosition: alignPosition,
                disableScroll: true,
                header: header,
                show: showPopover,
                style: {
                  zIndex: 1420
                },
                trigger: /*#__PURE__*/_react.default.createElement("div", {
                  onMouseOut: function onMouseOut() {
                    return setShowPopover(false);
                  },
                  onMouseOver: function onMouseOver() {
                    return setShowPopover(true);
                  }
                }, /*#__PURE__*/_react.default.createElement(ItemWrapper, null))
              }, body)
            );
          }

          return (/*#__PURE__*/_react.default.createElement(ItemWrapper, {
              key: index
            })
          );
        })))
      );
    };

    exports.default = _default;
    //# sourceMappingURL=DropDown.es.js.map
  }
});
//# sourceMappingURL=DropDown.es.js.map