Liferay.Loader.define("data-engine-taglib@2.5.29/data_layout_builder/js/components/modal/ModalWithEventPrevented.es", ['module', 'exports', 'require', 'frontend-js-react-web$react'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _react = require("frontend-js-react-web$react");

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * This library is free software; you can redistribute it and/or modify it under
     * the terms of the GNU Lesser General Public License as published by the Free
     * Software Foundation; either version 2.1 of the License, or (at your option)
     * any later version.
     *
     * This library is distributed in the hope that it will be useful, but WITHOUT
     * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
     * details.
     */
    var _default = function _default(_ref) {
      var children = _ref.children;

      var handleDocumentClick = function handleDocumentClick(event) {
        if (event.target.classList.contains('modal')) {
          return;
        }

        event.preventDefault();
      };

      (0, _react.useEffect)(function () {
        document.addEventListener('click', handleDocumentClick);
        return function () {
          document.removeEventListener('click', handleDocumentClick);
        };
      }, []);
      return children;
    };

    exports.default = _default;
    //# sourceMappingURL=ModalWithEventPrevented.es.js.map
  }
});
//# sourceMappingURL=ModalWithEventPrevented.es.js.map