Liferay.Loader.define("data-engine-taglib@2.5.29/data_layout_builder/js/components/search-input/SearchInput.es", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/button', '@frontend-taglib-clay$clayui/form', 'frontend-js-react-web$react'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.SearchInputWithForm = exports.default = void 0;

    var _button = require("@frontend-taglib-clay$clayui/button");

    var _form = _interopRequireWildcard(require("@frontend-taglib-clay$clayui/form"));

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _extends() {
      _extends = Object.assign || function (target) {
        for (var i = 1; i < arguments.length; i++) {
          var source = arguments[i];for (var key in source) {
            if (Object.prototype.hasOwnProperty.call(source, key)) {
              target[key] = source[key];
            }
          }
        }return target;
      };return _extends.apply(this, arguments);
    }

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    function _objectWithoutProperties(source, excluded) {
      if (source == null) return {};var target = _objectWithoutPropertiesLoose(source, excluded);var key, i;if (Object.getOwnPropertySymbols) {
        var sourceSymbolKeys = Object.getOwnPropertySymbols(source);for (i = 0; i < sourceSymbolKeys.length; i++) {
          key = sourceSymbolKeys[i];if (excluded.indexOf(key) >= 0) continue;if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue;target[key] = source[key];
        }
      }return target;
    }

    function _objectWithoutPropertiesLoose(source, excluded) {
      if (source == null) return {};var target = {};var sourceKeys = Object.keys(source);var key, i;for (i = 0; i < sourceKeys.length; i++) {
        key = sourceKeys[i];if (excluded.indexOf(key) >= 0) continue;target[key] = source[key];
      }return target;
    }

    var SearchInput = /*#__PURE__*/_react.default.forwardRef(function (_ref, ref) {
      var _ref$clearButton = _ref.clearButton,
          clearButton = _ref$clearButton === void 0 ? true : _ref$clearButton,
          _ref$onChange = _ref.onChange,
          _onChange = _ref$onChange === void 0 ? function () {} : _ref$onChange,
          _ref$onSubmit = _ref.onSubmit,
          onSubmit = _ref$onSubmit === void 0 ? function () {} : _ref$onSubmit,
          _ref$searchText = _ref.searchText,
          searchText = _ref$searchText === void 0 ? '' : _ref$searchText,
          restProps = _objectWithoutProperties(_ref, ["clearButton", "onChange", "onSubmit", "searchText"]);

      var _useState = (0, _react.useState)(searchText),
          _useState2 = _slicedToArray(_useState, 2),
          value = _useState2[0],
          setValue = _useState2[1];

      var fallbackRef = (0, _react.useRef)(null);
      var searchInputRef = ref ? ref : fallbackRef;
      (0, _react.useEffect)(function () {
        setValue(searchText);
      }, [searchText]);

      var onClear = function onClear() {
        setValue('');

        _onChange('');

        searchInputRef.current.focus();
      };

      var SearchButton = /*#__PURE__*/_react.default.createElement(_button.ClayButtonWithIcon, _extends({
        displayType: "unstyled",
        key: "searcgButton",
        onClick: function onClick(_) {
          return onSubmit(value);
        },
        symbol: "search"
      }, restProps));

      if (clearButton && value) {
        SearchButton = /*#__PURE__*/_react.default.createElement(_button.ClayButtonWithIcon, {
          displayType: "unstyled",
          key: "clearButton",
          onClick: onClear,
          symbol: "times"
        });
      }

      return (/*#__PURE__*/_react.default.createElement(_form.ClayInput.Group, null, /*#__PURE__*/_react.default.createElement(_form.ClayInput.GroupItem, null, /*#__PURE__*/_react.default.createElement(_form.ClayInput, _extends({
          "aria-label": Liferay.Language.get('search'),
          className: "input-group-inset input-group-inset-after",
          onChange: function onChange(_ref2) {
            var value = _ref2.target.value;
            setValue(value);

            _onChange(value);
          },
          placeholder: "".concat(Liferay.Language.get('search'), "..."),
          ref: searchInputRef,
          type: "text",
          value: value
        }, restProps)), /*#__PURE__*/_react.default.createElement(_form.ClayInput.GroupInsetItem, {
          after: true
        }, SearchButton)))
      );
    });

    var SearchInputWithForm = function SearchInputWithForm(_ref3) {
      var _ref3$onSubmit = _ref3.onSubmit,
          onSubmit = _ref3$onSubmit === void 0 ? function () {} : _ref3$onSubmit,
          restProps = _objectWithoutProperties(_ref3, ["onSubmit"]);

      var _useState3 = (0, _react.useState)(''),
          _useState4 = _slicedToArray(_useState3, 2),
          searchText = _useState4[0],
          setSearchText = _useState4[1];

      var handleSubmit = function handleSubmit(value) {
        onSubmit(value.trim());
      };

      return (/*#__PURE__*/_react.default.createElement(_form.default, {
          onSubmit: function onSubmit(event) {
            event.preventDefault();
            handleSubmit(searchText);
          }
        }, /*#__PURE__*/_react.default.createElement(SearchInput, _extends({
          clearButton: false,
          onChange: function onChange(searchText) {
            return setSearchText(searchText);
          },
          onSubmit: handleSubmit
        }, restProps)))
      );
    };

    exports.SearchInputWithForm = SearchInputWithForm;
    var _default = SearchInput;
    exports.default = _default;
    //# sourceMappingURL=SearchInput.es.js.map
  }
});
//# sourceMappingURL=SearchInput.es.js.map