Liferay.Loader.define("data-engine-taglib@2.5.29/data_layout_builder/js/plugins/fields-sidebar/components/FieldsSidebar.es", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/form', 'frontend-js-react-web$classnames', 'frontend-js-react-web$react', '../../../AppContext.es', '../../../components/sidebar/Sidebar.es', './FieldsSidebarBody.es', './FieldsSidebarSettingsBody.es', './FieldsSidebarSettingsHeader.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = _default;

    var _form = _interopRequireDefault(require("@frontend-taglib-clay$clayui/form"));

    var _classnames = _interopRequireDefault(require("frontend-js-react-web$classnames"));

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _AppContext = _interopRequireDefault(require("../../../AppContext.es"));

    var _Sidebar = _interopRequireDefault(require("../../../components/sidebar/Sidebar.es"));

    var _FieldsSidebarBody = _interopRequireDefault(require("./FieldsSidebarBody.es"));

    var _FieldsSidebarSettingsBody = _interopRequireDefault(require("./FieldsSidebarSettingsBody.es"));

    var _FieldsSidebarSettingsHeader = _interopRequireDefault(require("./FieldsSidebarSettingsHeader.es"));

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _defineProperty(obj, key, value) {
      if (key in obj) {
        Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true });
      } else {
        obj[key] = value;
      }return obj;
    }

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    function _default(_ref) {
      var title = _ref.title;

      var _useContext = (0, _react.useContext)(_AppContext.default),
          _useContext2 = _slicedToArray(_useContext, 1),
          _useContext2$ = _useContext2[0],
          focusedCustomObjectField = _useContext2$.focusedCustomObjectField,
          focusedField = _useContext2$.focusedField;

      var _useState = (0, _react.useState)(''),
          _useState2 = _slicedToArray(_useState, 2),
          keywords = _useState2[0],
          setKeywords = _useState2[1];

      var hasFocusedField = Object.keys(focusedField).length > 0;
      var hasFocusedCustomObjectField = Object.keys(focusedCustomObjectField).length > 0;
      var displaySettings = hasFocusedCustomObjectField || hasFocusedField;
      return (/*#__PURE__*/_react.default.createElement(_Sidebar.default, {
          className: (0, _classnames.default)(_defineProperty({}, 'display-settings', displaySettings))
        }, /*#__PURE__*/_react.default.createElement(_Sidebar.default.Header, null, /*#__PURE__*/_react.default.createElement(_Sidebar.default.Title, {
          title: title
        }), displaySettings ? /*#__PURE__*/_react.default.createElement(_FieldsSidebarSettingsHeader.default, null) : /*#__PURE__*/_react.default.createElement(_form.default, {
          onSubmit: function onSubmit(event) {
            return event.preventDefault();
          }
        }, /*#__PURE__*/_react.default.createElement(_Sidebar.default.SearchInput, {
          onSearch: function onSearch(keywords) {
            return setKeywords(keywords);
          },
          searchText: keywords
        }))), /*#__PURE__*/_react.default.createElement(_Sidebar.default.Body, null, displaySettings ? /*#__PURE__*/_react.default.createElement(_FieldsSidebarSettingsBody.default, null) : /*#__PURE__*/_react.default.createElement(_FieldsSidebarBody.default, {
          keywords: keywords,
          setKeywords: setKeywords
        })))
      );
    }
    //# sourceMappingURL=FieldsSidebar.es.js.map
  }
});
//# sourceMappingURL=FieldsSidebar.es.js.map