Liferay.Loader.define("data-engine-taglib@2.5.29/data_layout_builder/js/plugins/fields-sidebar/components/FieldsSidebarBody.es", ['module', 'exports', 'require', 'frontend-js-react-web$react', '../../../AppContext.es', '../../../actions.es', '../../../components/field-sets/FieldSets.es', '../../../components/field-types/FieldTypeList.es', '../../../components/sidebar/Sidebar.es', '../../../data-layout-builder/DataLayoutBuilderContext.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = _default;

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _AppContext = _interopRequireDefault(require("../../../AppContext.es"));

    var _actions = require("../../../actions.es");

    var _FieldSets = _interopRequireDefault(require("../../../components/field-sets/FieldSets.es"));

    var _FieldTypeList = _interopRequireDefault(require("../../../components/field-types/FieldTypeList.es"));

    var _Sidebar = _interopRequireDefault(require("../../../components/sidebar/Sidebar.es"));

    var _DataLayoutBuilderContext = _interopRequireDefault(require("../../../data-layout-builder/DataLayoutBuilderContext.es"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    function _default(_ref) {
      var keywords = _ref.keywords,
          setKeywords = _ref.setKeywords;

      var _useContext = (0, _react.useContext)(_DataLayoutBuilderContext.default),
          _useContext2 = _slicedToArray(_useContext, 1),
          dataLayoutBuilder = _useContext2[0];

      var _useContext3 = (0, _react.useContext)(_AppContext.default),
          _useContext4 = _slicedToArray(_useContext3, 1),
          allowFieldSets = _useContext4[0].config.allowFieldSets;

      var onDoubleClick = function onDoubleClick(_ref2) {
        var name = _ref2.name;

        var _dataLayoutBuilder$ge = dataLayoutBuilder.getStore(),
            activePage = _dataLayoutBuilder$ge.activePage,
            pages = _dataLayoutBuilder$ge.pages;

        dataLayoutBuilder.dispatch('fieldAdded', (0, _actions.dropLayoutBuilderField)({
          addedToPlaceholder: true,
          dataLayoutBuilder: dataLayoutBuilder,
          fieldTypeName: name,
          indexes: {
            columnIndex: 0,
            pageIndex: activePage,
            rowIndex: pages[activePage].rows.length
          }
        }));
      };

      var fieldTypes = dataLayoutBuilder.getFieldTypes().filter(function (_ref3) {
        var group = _ref3.group;
        return group === 'basic';
      });
      fieldTypes.sort(function (_ref4, _ref5) {
        var a = _ref4.displayOrder;
        var b = _ref5.displayOrder;
        return a - b;
      });
      var tabs = [{
        label: Liferay.Language.get('fields'),
        render: function render() {
          return (/*#__PURE__*/_react.default.createElement(_FieldTypeList.default, {
              fieldTypes: fieldTypes,
              keywords: keywords,
              onDoubleClick: onDoubleClick
            })
          );
        }
      }];

      if (allowFieldSets) {
        tabs.push({
          label: Liferay.Language.get('fieldsets'),
          render: function render() {
            return (/*#__PURE__*/_react.default.createElement(_FieldSets.default, {
                keywords: keywords
              })
            );
          }
        });
      }

      return (/*#__PURE__*/_react.default.createElement(_Sidebar.default.Tabs, {
          setKeywords: setKeywords,
          tabs: tabs
        })
      );
    }
    //# sourceMappingURL=FieldsSidebarBody.es.js.map
  }
});
//# sourceMappingURL=FieldsSidebarBody.es.js.map