Liferay.Loader.define("data-engine-taglib@2.5.29/data_layout_builder/js/plugins/rules-sidebar/components/RulesSidebar.es", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/button', '@frontend-taglib-clay$clayui/form', '@frontend-taglib-clay$clayui/layout', 'frontend-js-react-web$react', '../../../components/rules/RuleEditorModal.es', '../../../components/rules/RuleList.es', '../../../components/sidebar/Sidebar.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = _default;

    var _button = require("@frontend-taglib-clay$clayui/button");

    var _form = _interopRequireDefault(require("@frontend-taglib-clay$clayui/form"));

    var _layout = _interopRequireDefault(require("@frontend-taglib-clay$clayui/layout"));

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _RuleEditorModal = _interopRequireDefault(require("../../../components/rules/RuleEditorModal.es"));

    var _RuleList = _interopRequireDefault(require("../../../components/rules/RuleList.es"));

    var _Sidebar = _interopRequireDefault(require("../../../components/sidebar/Sidebar.es"));

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    function _default(_ref) {
      var title = _ref.title;

      var _useState = (0, _react.useState)({
        isVisible: false,
        rule: null
      }),
          _useState2 = _slicedToArray(_useState, 2),
          rulesEditorState = _useState2[0],
          setRulesEditorState = _useState2[1];

      var _useState3 = (0, _react.useState)(''),
          _useState4 = _slicedToArray(_useState3, 2),
          keywords = _useState4[0],
          setKeywords = _useState4[1];

      var toggleRulesEditorVisibility = function toggleRulesEditorVisibility(rule) {
        if (rule) {
          rule['logical-operator'] = rule['logicalOperator'];
          delete rule.logicalOperator;
        }

        setRulesEditorState(function (prevState) {
          return {
            isVisible: !prevState.isVisible,
            rule: rule
          };
        });
      };

      return (/*#__PURE__*/_react.default.createElement(_Sidebar.default, null, /*#__PURE__*/_react.default.createElement(_Sidebar.default.Header, null, /*#__PURE__*/_react.default.createElement(_Sidebar.default.Title, {
          title: title
        }), /*#__PURE__*/_react.default.createElement(_layout.default.ContentRow, {
          className: "sidebar-section"
        }, /*#__PURE__*/_react.default.createElement(_layout.default.ContentCol, {
          expand: true
        }, /*#__PURE__*/_react.default.createElement(_form.default, {
          onSubmit: function onSubmit(event) {
            return event.preventDefault();
          }
        }, /*#__PURE__*/_react.default.createElement(_Sidebar.default.SearchInput, {
          onSearch: function onSearch(keywords) {
            return setKeywords(keywords);
          }
        }))), /*#__PURE__*/_react.default.createElement(_layout.default.ContentCol, {
          className: "ml-2"
        }, /*#__PURE__*/_react.default.createElement(_button.ClayButtonWithIcon, {
          displayType: "primary",
          onClick: function onClick() {
            return toggleRulesEditorVisibility();
          },
          symbol: "plus"
        })))), /*#__PURE__*/_react.default.createElement(_Sidebar.default.Body, null, /*#__PURE__*/_react.default.createElement(_RuleList.default, {
          keywords: keywords,
          toggleRulesEditorVisibility: toggleRulesEditorVisibility
        })), /*#__PURE__*/_react.default.createElement(_RuleEditorModal.default, {
          isVisible: rulesEditorState.isVisible,
          onClose: function onClose() {
            return toggleRulesEditorVisibility();
          },
          rule: rulesEditorState.rule
        }))
      );
    }
    //# sourceMappingURL=RulesSidebar.es.js.map
  }
});
//# sourceMappingURL=RulesSidebar.es.js.map