Liferay.Loader.define("dynamic-data-mapping-form-renderer@5.0.47/js/components/PageRenderer/WizardVariant.es", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/button', 'frontend-js-react-web$classnames', 'frontend-js-react-web$react', '../MultiStep.es', '../PaginationControls.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.Container = void 0;

    var _button = _interopRequireDefault(require("@frontend-taglib-clay$clayui/button"));

    var _classnames = _interopRequireDefault(require("frontend-js-react-web$classnames"));

    var _react = _interopRequireDefault(require("frontend-js-react-web$react"));

    var _MultiStep = require("../MultiStep.es");

    var _PaginationControls = require("../PaginationControls.es");

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * This library is free software; you can redistribute it and/or modify it under
     * the terms of the GNU Lesser General Public License as published by the Free
     * Software Foundation; either version 2.1 of the License, or (at your option)
     * any later version.
     *
     * This library is distributed in the hope that it will be useful, but WITHOUT
     * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
     * details.
     */

    /* eslint-disable react/jsx-fragments */
    var Container = function Container(_ref) {
      var activePage = _ref.activePage,
          children = _ref.children,
          editable = _ref.editable,
          pageIndex = _ref.pageIndex,
          pages = _ref.pages,
          readOnly = _ref.readOnly,
          showSubmitButton = _ref.showSubmitButton,
          _ref$strings = _ref.strings,
          strings = _ref$strings === void 0 ? null : _ref$strings,
          submitLabel = _ref.submitLabel;
      return (/*#__PURE__*/_react.default.createElement("div", {
          className: "ddm-form-page-container wizard"
        }, pages.length > 1 && pageIndex === activePage && /*#__PURE__*/_react.default.createElement(_MultiStep.MultiStep, {
          activePage: activePage,
          editable: editable,
          pages: pages
        }), /*#__PURE__*/_react.default.createElement("div", {
          className: (0, _classnames.default)('ddm-layout-builder ddm-page-container-layout', {
            hide: activePage !== pageIndex
          })
        }, /*#__PURE__*/_react.default.createElement("div", {
          className: "form-builder-layout"
        }, children)), pageIndex === activePage && /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, pages.length > 0 && /*#__PURE__*/_react.default.createElement(_PaginationControls.PaginationControls, {
          activePage: activePage,
          readOnly: readOnly,
          showSubmitButton: showSubmitButton,
          strings: strings,
          submitLabel: submitLabel,
          total: pages.length
        }), !pages.length && showSubmitButton && /*#__PURE__*/_react.default.createElement(_button.default, {
          className: "float-right lfr-ddm-form-submit",
          id: "ddm-form-submit",
          type: "submit"
        }, submitLabel)))
      );
    };

    exports.Container = Container;
    //# sourceMappingURL=WizardVariant.es.js.map
  }
});
//# sourceMappingURL=WizardVariant.es.js.map