Liferay.Loader.define("analytics-reports-web@1.0.39/js/components/EmptyPieChart", ['module', 'exports', 'require', 'frontend-js-react-web$prop-types', 'frontend-js-react-web$react', 'frontend-js-recharts$recharts'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = EmptyPieChart;

    var _propTypes = _interopRequireDefault(require("frontend-js-react-web$prop-types"));

    var _react = _interopRequireDefault(require("frontend-js-react-web$react"));

    var _recharts = require("frontend-js-recharts$recharts");

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * The contents of this file are subject to the terms of the Liferay Enterprise
     * Subscription License ("License"). You may not use this file except in
     * compliance with the License. You can obtain a copy of the License by
     * contacting Liferay, Inc. See the License for the specific language governing
     * permissions and limitations under the License, including but not limited to
     * distribution rights of the Software.
     */
    var EMPTY_PIE_CHART_FILL_COLOR = '#f1f2f5';

    function EmptyPieChart(_ref) {
      var height = _ref.height,
          innerRadius = _ref.innerRadius,
          radius = _ref.radius,
          width = _ref.width;
      return (/*#__PURE__*/_react.default.createElement("div", {
          className: "pie-chart-wrapper--chart"
        }, /*#__PURE__*/_react.default.createElement(_recharts.PieChart, {
          height: height,
          width: width
        }, /*#__PURE__*/_react.default.createElement(_recharts.Pie, {
          cx: "50%",
          cy: "50%",
          data: [{
            value: 100
          }],
          dataKey: "value",
          innerRadius: innerRadius,
          isAnimationActive: false,
          nameKey: 'name',
          outerRadius: radius,
          paddingAngle: 1
        }, /*#__PURE__*/_react.default.createElement(_recharts.Cell, {
          fill: EMPTY_PIE_CHART_FILL_COLOR
        }))))
      );
    }

    EmptyPieChart.proptypes = {
      height: _propTypes.default.number.isRequired,
      innerRadius: _propTypes.default.number.isRequired,
      radius: _propTypes.default.number.isRequired,
      width: _propTypes.default.number.isRequired
    };
    //# sourceMappingURL=EmptyPieChart.js.map
  }
});
//# sourceMappingURL=EmptyPieChart.js.map