Liferay.Loader.define("analytics-reports-web@1.0.39/js/components/detail/KeywordsDetail", ['module', 'exports', 'require', 'frontend-js-metal-web$metal-position', 'frontend-js-react-web$prop-types', 'frontend-js-react-web$react', '../Keywords', '../TotalCount'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = KeywordsDetail;

    var _metalPosition = require("frontend-js-metal-web$metal-position");

    var _propTypes = _interopRequireDefault(require("frontend-js-react-web$prop-types"));

    var _react = _interopRequireDefault(require("frontend-js-react-web$react"));

    var _Keywords = _interopRequireDefault(require("../Keywords"));

    var _TotalCount = _interopRequireDefault(require("../TotalCount"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * The contents of this file are subject to the terms of the Liferay Enterprise
     * Subscription License ("License"). You may not use this file except in
     * compliance with the License. You can obtain a copy of the License by
     * contacting Liferay, Inc. See the License for the specific language governing
     * permissions and limitations under the License, including but not limited to
     * distribution rights of the Software.
     */
    function KeywordsDetail(_ref) {
      var currentPage = _ref.currentPage,
          languageTag = _ref.languageTag,
          trafficShareDataProvider = _ref.trafficShareDataProvider,
          trafficVolumeDataProvider = _ref.trafficVolumeDataProvider;
      return (/*#__PURE__*/_react.default.createElement("div", {
          className: "c-p-3 traffic-source-detail"
        }, /*#__PURE__*/_react.default.createElement(_TotalCount.default, {
          className: "mb-2",
          dataProvider: trafficVolumeDataProvider,
          label: Liferay.Util.sub(Liferay.Language.get('traffic-volume')),
          languageTag: languageTag,
          popoverAlign: _metalPosition.Align.Bottom,
          popoverHeader: Liferay.Language.get('traffic-volume'),
          popoverMessage: Liferay.Language.get('traffic-volume-is-the-number-of-page-views-coming-from-one-channel'),
          popoverPosition: "bottom"
        }), /*#__PURE__*/_react.default.createElement(_TotalCount.default, {
          className: "mb-4",
          dataProvider: trafficShareDataProvider,
          label: Liferay.Util.sub(Liferay.Language.get('traffic-share')),
          percentage: true,
          popoverHeader: Liferay.Language.get('traffic-share'),
          popoverMessage: Liferay.Language.get('traffic-share-is-the-percentage-of-traffic-sent-to-your-page-by-one-channel')
        }), /*#__PURE__*/_react.default.createElement(_Keywords.default, {
          currentPage: currentPage,
          languageTag: languageTag
        }))
      );
    }

    KeywordsDetail.proptypes = {
      currentPage: _propTypes.default.object.isRequired,
      languageTag: _propTypes.default.string.isRequired,
      trafficShareDataProvider: _propTypes.default.func.isRequired,
      trafficVolumeDataProvider: _propTypes.default.func.isRequired
    };
    //# sourceMappingURL=KeywordsDetail.js.map
  }
});
//# sourceMappingURL=KeywordsDetail.js.map