Liferay.Loader.define("layout-content-page-editor-web@2.0.110/page_editor/app/actions/addItem", ['module', 'exports', 'require', './types'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = addItem;

    var _types = require("./types");

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * This library is free software; you can redistribute it and/or modify it under
     * the terms of the GNU Lesser General Public License as published by the Free
     * Software Foundation; either version 2.1 of the License, or (at your option)
     * any later version.
     *
     * This library is distributed in the hope that it will be useful, but WITHOUT
     * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
     * details.
     */
    function addItem(_ref) {
      var itemId = _ref.itemId,
          layoutData = _ref.layoutData,
          _ref$portletIds = _ref.portletIds,
          portletIds = _ref$portletIds === void 0 ? [] : _ref$portletIds;
      return {
        itemId: itemId,
        layoutData: layoutData,
        portletIds: portletIds,
        type: _types.ADD_ITEM
      };
    }
    //# sourceMappingURL=addItem.js.map
  }
});
//# sourceMappingURL=addItem.js.map