Liferay.Loader.define("layout-content-page-editor-web@2.0.110/page_editor/app/actions/updateEditableValues", ['module', 'exports', 'require', './types'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = updateEditableValues;

    var _types = require("./types");

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * This library is free software; you can redistribute it and/or modify it under
     * the terms of the GNU Lesser General Public License as published by the Free
     * Software Foundation; either version 2.1 of the License, or (at your option)
     * any later version.
     *
     * This library is distributed in the hope that it will be useful, but WITHOUT
     * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
     * details.
     */
    function updateEditableValues(_ref) {
      var content = _ref.content,
          editableValues = _ref.editableValues,
          fragmentEntryLinkId = _ref.fragmentEntryLinkId,
          segmentsExperienceId = _ref.segmentsExperienceId;
      return {
        content: content,
        editableValues: editableValues,
        fragmentEntryLinkId: fragmentEntryLinkId,
        segmentsExperienceId: segmentsExperienceId,
        type: _types.UPDATE_EDITABLE_VALUES
      };
    }
    //# sourceMappingURL=updateEditableValues.js.map
  }
});
//# sourceMappingURL=updateEditableValues.js.map