Liferay.Loader.define("layout-content-page-editor-web@2.0.110/page_editor/app/processors/LinkProcessor", ['module', 'exports', 'require', './getAlloyEditorProcessor', './getLinkableEditableEditorWrapper'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _getAlloyEditorProcessor = _interopRequireDefault(require("./getAlloyEditorProcessor"));

    var _getLinkableEditableEditorWrapper = require("./getLinkableEditableEditorWrapper");

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * This library is free software; you can redistribute it and/or modify it under
     * the terms of the GNU Lesser General Public License as published by the Free
     * Software Foundation; either version 2.1 of the License, or (at your option)
     * any later version.
     *
     * This library is distributed in the hope that it will be useful, but WITHOUT
     * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
     * details.
     */
    var _default = (0, _getAlloyEditorProcessor.default)('text', _getLinkableEditableEditorWrapper.getLinkableEditableEditorWrapper, function (element, value, config) {
      var anchor = element instanceof HTMLAnchorElement ? element : element.querySelector('a');

      if (anchor) {
        if (config.href) {
          anchor.href = config.href;
        }

        anchor.innerHTML = value;
        anchor.target = config.target || '';
      }
    });

    exports.default = _default;
    //# sourceMappingURL=LinkProcessor.js.map
  }
});
//# sourceMappingURL=LinkProcessor.js.map