Liferay.Loader.define("layout-content-page-editor-web@2.0.110/page_editor/plugins/experience/reducers/createExperience", ['module', 'exports', 'require', './utils'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _utils = require("./utils");

    function ownKeys(object, enumerableOnly) {
      var keys = Object.keys(object);if (Object.getOwnPropertySymbols) {
        var symbols = Object.getOwnPropertySymbols(object);if (enumerableOnly) symbols = symbols.filter(function (sym) {
          return Object.getOwnPropertyDescriptor(object, sym).enumerable;
        });keys.push.apply(keys, symbols);
      }return keys;
    }

    function _objectSpread(target) {
      for (var i = 1; i < arguments.length; i++) {
        var source = arguments[i] != null ? arguments[i] : {};if (i % 2) {
          ownKeys(Object(source), true).forEach(function (key) {
            _defineProperty(target, key, source[key]);
          });
        } else if (Object.getOwnPropertyDescriptors) {
          Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
        } else {
          ownKeys(Object(source)).forEach(function (key) {
            Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
          });
        }
      }return target;
    }

    function _defineProperty(obj, key, value) {
      if (key in obj) {
        Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true });
      } else {
        obj[key] = value;
      }return obj;
    }

    function createExperienceReducer(state, payload) {
      var nextState = state;
      var fragmentEntryLinks = payload.fragmentEntryLinks,
          layoutData = payload.layoutData,
          segmentsExperience = payload.segmentsExperience;

      var newExperience = _objectSpread(_objectSpread({}, segmentsExperience), {}, {
        hasLockedSegmentsExperiment: false
      });

      nextState = (0, _utils.addExperience)(nextState, newExperience);
      nextState = (0, _utils.storeNewLayoutData)(nextState, newExperience.segmentsExperienceId, layoutData);
      nextState = _objectSpread(_objectSpread({}, nextState), {}, {
        fragmentEntryLinks: _objectSpread(_objectSpread({}, nextState.fragmentEntryLinks), fragmentEntryLinks)
      });
      return nextState;
    }

    var _default = createExperienceReducer;
    exports.default = _default;
    //# sourceMappingURL=createExperience.js.map
  }
});
//# sourceMappingURL=createExperience.js.map