Liferay.Loader.define("layout-content-page-editor-web@2.0.110/page_editor/plugins/experience/thunks/duplicateExperience", ['module', 'exports', 'require', '../../../app/services/ExperienceService', '../actions/duplicateExperience', '../actions/selectExperience'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = duplicateExperience;

    var _ExperienceService = _interopRequireDefault(require("../../../app/services/ExperienceService"));

    var _duplicateExperience = _interopRequireDefault(require("../actions/duplicateExperience"));

    var _selectExperience = _interopRequireDefault(require("../actions/selectExperience"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * This library is free software; you can redistribute it and/or modify it under
     * the terms of the GNU Lesser General Public License as published by the Free
     * Software Foundation; either version 2.1 of the License, or (at your option)
     * any later version.
     *
     * This library is distributed in the hope that it will be useful, but WITHOUT
     * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
     * details.
     */
    function duplicateExperience(_ref) {
      var segmentsExperienceId = _ref.segmentsExperienceId;
      return function (dispatch) {
        return _ExperienceService.default.duplicateExperience({
          body: {
            segmentsExperienceId: segmentsExperienceId
          },
          dispatch: dispatch
        }).then(function (_ref2) {
          var fragmentEntryLinks = _ref2.fragmentEntryLinks,
              layoutData = _ref2.layoutData,
              segmentsExperience = _ref2.segmentsExperience;

          _ExperienceService.default.selectExperience({
            body: {
              segmentsExperienceId: segmentsExperience.segmentsExperienceId
            },
            dispatch: dispatch
          }).then(function (portletIds) {
            return dispatch((0, _selectExperience.default)({
              portletIds: portletIds,
              segmentsExperienceId: segmentsExperience.segmentsExperienceId
            }));
          }).catch(function (error) {
            return error;
          });

          return dispatch((0, _duplicateExperience.default)({
            fragmentEntryLinks: fragmentEntryLinks,
            layoutData: layoutData,
            segmentsExperience: segmentsExperience
          }));
        });
      };
    }
    //# sourceMappingURL=duplicateExperience.js.map
  }
});
//# sourceMappingURL=duplicateExperience.js.map