Liferay.Loader.define("layout-template-admin-web@1.0.64/js/MasterLayoutManagementToolbarDefaultEventHandler.es", ['module', 'exports', 'require', 'frontend-js-web', 'frontend-js-metal-web$metal-state'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _frontendJsWeb = require("frontend-js-web");

    var _metalState = require("frontend-js-metal-web$metal-state");

    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    function _classCallCheck(instance, Constructor) {
      if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
      }
    }

    function _defineProperties(target, props) {
      for (var i = 0; i < props.length; i++) {
        var descriptor = props[i];descriptor.enumerable = descriptor.enumerable || false;descriptor.configurable = true;if ("value" in descriptor) descriptor.writable = true;Object.defineProperty(target, descriptor.key, descriptor);
      }
    }

    function _createClass(Constructor, protoProps, staticProps) {
      if (protoProps) _defineProperties(Constructor.prototype, protoProps);if (staticProps) _defineProperties(Constructor, staticProps);return Constructor;
    }

    function _possibleConstructorReturn(self, call) {
      if (call && (_typeof(call) === "object" || typeof call === "function")) {
        return call;
      }return _assertThisInitialized(self);
    }

    function _assertThisInitialized(self) {
      if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
      }return self;
    }

    function _getPrototypeOf(o) {
      _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
      };return _getPrototypeOf(o);
    }

    function _inherits(subClass, superClass) {
      if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
      }subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } });if (superClass) _setPrototypeOf(subClass, superClass);
    }

    function _setPrototypeOf(o, p) {
      _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) {
        o.__proto__ = p;return o;
      };return _setPrototypeOf(o, p);
    }

    var MasterLayoutManagementToolbarDefaultEventHandler = /*#__PURE__*/function (_DefaultEventHandler) {
      _inherits(MasterLayoutManagementToolbarDefaultEventHandler, _DefaultEventHandler);

      function MasterLayoutManagementToolbarDefaultEventHandler() {
        _classCallCheck(this, MasterLayoutManagementToolbarDefaultEventHandler);

        return _possibleConstructorReturn(this, _getPrototypeOf(MasterLayoutManagementToolbarDefaultEventHandler).apply(this, arguments));
      }

      _createClass(MasterLayoutManagementToolbarDefaultEventHandler, [{
        key: "addMasterLayout",
        value: function addMasterLayout(itemData) {
          (0, _frontendJsWeb.openSimpleInputModal)({
            dialogTitle: Liferay.Language.get('add-master-page'),
            formSubmitURL: itemData.addMasterLayoutURL,
            mainFieldLabel: Liferay.Language.get('name'),
            mainFieldName: 'name',
            mainFieldPlaceholder: Liferay.Language.get('name'),
            namespace: this.namespace,
            spritemap: this.spritemap
          });
        }
      }, {
        key: "deleteSelectedMasterLayouts",
        value: function deleteSelectedMasterLayouts() {
          if (confirm(Liferay.Language.get('are-you-sure-you-want-to-delete-this'))) {
            submitForm(this.one('#fm'));
          }
        }
      }, {
        key: "exportMasterLayouts",
        value: function exportMasterLayouts(itemData) {
          submitForm(this.one('#fm'), itemData.exportMasterLayoutURL);
        }
      }]);

      return MasterLayoutManagementToolbarDefaultEventHandler;
    }(_frontendJsWeb.DefaultEventHandler);

    MasterLayoutManagementToolbarDefaultEventHandler.STATE = {
      spritemap: _metalState.Config.string()
    };
    var _default = MasterLayoutManagementToolbarDefaultEventHandler;
    exports.default = _default;
    //# sourceMappingURL=MasterLayoutManagementToolbarDefaultEventHandler.es.js.map
  }
});
//# sourceMappingURL=MasterLayoutManagementToolbarDefaultEventHandler.es.js.map