Liferay.Loader.define("layout-template-admin-web@1.0.64/js/modal/DisplayPageModalForm.es", ['module', 'exports', 'require', 'frontend-js-react-web$prop-types', 'frontend-js-react-web$react', './FormField.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = exports.DisplayPageModalForm = void 0;

    var _propTypes = _interopRequireDefault(require("frontend-js-react-web$prop-types"));

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _FormField = _interopRequireDefault(require("./FormField.es"));

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function ownKeys(object, enumerableOnly) {
      var keys = Object.keys(object);if (Object.getOwnPropertySymbols) {
        var symbols = Object.getOwnPropertySymbols(object);if (enumerableOnly) symbols = symbols.filter(function (sym) {
          return Object.getOwnPropertyDescriptor(object, sym).enumerable;
        });keys.push.apply(keys, symbols);
      }return keys;
    }

    function _objectSpread(target) {
      for (var i = 1; i < arguments.length; i++) {
        var source = arguments[i] != null ? arguments[i] : {};if (i % 2) {
          ownKeys(Object(source), true).forEach(function (key) {
            _defineProperty(target, key, source[key]);
          });
        } else if (Object.getOwnPropertyDescriptors) {
          Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
        } else {
          ownKeys(Object(source)).forEach(function (key) {
            Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
          });
        }
      }return target;
    }

    function _defineProperty(obj, key, value) {
      if (key in obj) {
        Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true });
      } else {
        obj[key] = value;
      }return obj;
    }

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    var DisplayPageModalForm = /*#__PURE__*/_react.default.forwardRef(function (props, ref) {
      var _useState = (0, _react.useState)([]),
          _useState2 = _slicedToArray(_useState, 2),
          subtypes = _useState2[0],
          setSubtypes = _useState2[1];

      var nameInput = (0, _react.useRef)(null);

      var _useState3 = (0, _react.useState)(props.error),
          _useState4 = _slicedToArray(_useState3, 2),
          error = _useState4[0],
          setError = _useState4[1];

      (0, _react.useEffect)(function () {
        if (nameInput.current) {
          nameInput.current.focus();
        }
      }, []);
      (0, _react.useEffect)(function () {
        setError(props.error);
      }, [props.error]);
      var onChange = (0, _react.useCallback)(function (event) {
        setError(_objectSpread(_objectSpread({}, error), {}, {
          classNameId: null,
          classTypeId: null
        }));
        var select = event.target;
        var selectedMappingId = select.options[select.selectedIndex].value;
        var mappingType = props.mappingTypes.find(function (mappingType) {
          return mappingType.id === selectedMappingId;
        });

        if (mappingType) {
          setSubtypes(mappingType.subtypes);
        } else {
          setSubtypes([]);
        }
      }, [error, props.mappingTypes]);
      return (/*#__PURE__*/_react.default.createElement("form", {
          onSubmit: props.onSubmit,
          ref: ref
        }, /*#__PURE__*/_react.default.createElement(_FormField.default, {
          error: error && error.name,
          id: "".concat(props.namespace, "name"),
          name: Liferay.Language.get('name')
        }, /*#__PURE__*/_react.default.createElement("input", {
          className: 'form-control',
          defaultValue: props.displayPageName,
          id: "".concat(props.namespace, "name"),
          name: "".concat(props.namespace, "name"),
          onChange: function onChange() {
            return setError(_objectSpread(_objectSpread({}, error), {}, {
              name: null
            }));
          },
          ref: nameInput
        })), Array.isArray(props.mappingTypes) && props.mappingTypes.length > 0 && /*#__PURE__*/_react.default.createElement("fieldset", null, /*#__PURE__*/_react.default.createElement(_FormField.default, {
          error: error && error.classNameId,
          id: "".concat(props.namespace, "classNameId"),
          name: Liferay.Language.get('content-type')
        }, /*#__PURE__*/_react.default.createElement("select", {
          className: "form-control",
          name: "".concat(props.namespace, "classNameId"),
          onChange: onChange
        }, /*#__PURE__*/_react.default.createElement("option", {
          value: ""
        }, "-- ".concat(Liferay.Language.get('not-selected'), " --")), props.mappingTypes.map(function (mappingType) {
          return (/*#__PURE__*/_react.default.createElement("option", {
              key: mappingType.id,
              value: mappingType.id
            }, mappingType.label)
          );
        }))), Array.isArray(subtypes) && subtypes.length > 0 && /*#__PURE__*/_react.default.createElement(_FormField.default, {
          error: error && error.classTypeId,
          id: "".concat(props.namespace, "classTypeId"),
          name: Liferay.Language.get('subtype')
        }, /*#__PURE__*/_react.default.createElement("select", {
          className: "form-control",
          name: "".concat(props.namespace, "classTypeId"),
          onChange: function onChange() {
            return setError(_objectSpread(_objectSpread({}, error), {}, {
              classTypeId: null
            }));
          }
        }, /*#__PURE__*/_react.default.createElement("option", {
          value: ""
        }, "-- ".concat(Liferay.Language.get('not-selected'), " --")), subtypes.map(function (subtype) {
          return (/*#__PURE__*/_react.default.createElement("option", {
              key: subtype.id,
              value: subtype.id
            }, subtype.label)
          );
        })))))
      );
    });

    exports.DisplayPageModalForm = DisplayPageModalForm;
    var _default = DisplayPageModalForm;
    exports.default = _default;
    //# sourceMappingURL=DisplayPageModalForm.es.js.map
  }
});
//# sourceMappingURL=DisplayPageModalForm.es.js.map