Liferay.Loader.define("layout-seo-web@1.0.45/js/seo/display_page_templates/SeoMapping", ['module', 'exports', 'require', 'frontend-js-react-web$prop-types', 'frontend-js-react-web$react', './components/MappingInputs', './utils/lang'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = SeoMapping;

    var _propTypes = require("frontend-js-react-web$prop-types");

    var _react = _interopRequireDefault(require("frontend-js-react-web$react"));

    var _MappingInputs = _interopRequireDefault(require("./components/MappingInputs"));

    var _lang = _interopRequireDefault(require("./utils/lang"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * This library is free software; you can redistribute it and/or modify it under
     * the terms of the GNU Lesser General Public License as published by the Free
     * Software Foundation; either version 2.1 of the License, or (at your option)
     * any later version.
     *
     * This library is distributed in the hope that it will be useful, but WITHOUT
     * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
     * details.
     */
    function SeoMapping(_ref) {
      var description = _ref.description,
          fields = _ref.fields,
          portletNamespace = _ref.portletNamespace,
          selectedSource = _ref.selectedSource,
          title = _ref.title;
      return (/*#__PURE__*/_react.default.createElement(_MappingInputs.default, {
          fields: fields,
          inputs: [{
            fieldType: 'text',
            helpMessage: _lang.default.sub(Liferay.Language.get('map-a-x-field-it-will-be-used-as-x'), Liferay.Language.get('text'), Liferay.Language.get('html-title')),
            label: Liferay.Language.get('html-title'),
            name: "".concat(portletNamespace, "TypeSettingsProperties--mapped-title--"),
            selectedFieldKey: title
          }, {
            fieldType: 'text',
            helpMessage: _lang.default.sub(Liferay.Language.get('map-a-x-field-it-will-be-used-as-x'), Liferay.Language.get('text'), Liferay.Language.get('description')),
            label: Liferay.Language.get('description'),
            name: "".concat(portletNamespace, "TypeSettingsProperties--mapped-description--"),
            selectedFieldKey: description
          }],
          selectedSource: selectedSource
        })
      );
    }
    //# sourceMappingURL=SeoMapping.js.map
  }
});
//# sourceMappingURL=SeoMapping.js.map