Liferay.Loader.define("site-membership-web@4.0.37/js/UserDropdownDefaultEventHandler.es", ['module', 'exports', 'require', 'frontend-js-web', 'frontend-js-metal-web$metal-dom'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _frontendJsWeb = require("frontend-js-web");

    var _metalDom = _interopRequireDefault(require("frontend-js-metal-web$metal-dom"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    function _classCallCheck(instance, Constructor) {
      if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
      }
    }

    function _defineProperties(target, props) {
      for (var i = 0; i < props.length; i++) {
        var descriptor = props[i];descriptor.enumerable = descriptor.enumerable || false;descriptor.configurable = true;if ("value" in descriptor) descriptor.writable = true;Object.defineProperty(target, descriptor.key, descriptor);
      }
    }

    function _createClass(Constructor, protoProps, staticProps) {
      if (protoProps) _defineProperties(Constructor.prototype, protoProps);if (staticProps) _defineProperties(Constructor, staticProps);return Constructor;
    }

    function _possibleConstructorReturn(self, call) {
      if (call && (_typeof(call) === "object" || typeof call === "function")) {
        return call;
      }return _assertThisInitialized(self);
    }

    function _assertThisInitialized(self) {
      if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
      }return self;
    }

    function _getPrototypeOf(o) {
      _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
      };return _getPrototypeOf(o);
    }

    function _inherits(subClass, superClass) {
      if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
      }subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } });if (superClass) _setPrototypeOf(subClass, superClass);
    }

    function _setPrototypeOf(o, p) {
      _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) {
        o.__proto__ = p;return o;
      };return _setPrototypeOf(o, p);
    }

    var UserDropdownDefaultEventHandler = /*#__PURE__*/function (_DefaultEventHandler) {
      _inherits(UserDropdownDefaultEventHandler, _DefaultEventHandler);

      function UserDropdownDefaultEventHandler() {
        _classCallCheck(this, UserDropdownDefaultEventHandler);

        return _possibleConstructorReturn(this, _getPrototypeOf(UserDropdownDefaultEventHandler).apply(this, arguments));
      }

      _createClass(UserDropdownDefaultEventHandler, [{
        key: "deleteGroupUsers",
        value: function deleteGroupUsers(itemData) {
          if (confirm(Liferay.Language.get('are-you-sure-you-want-to-delete-this'))) {
            submitForm(document.hrefFm, itemData.deleteGroupUsersURL);
          }
        }
      }, {
        key: "assignRoles",
        value: function assignRoles(itemData) {
          var _this = this;

          (0, _frontendJsWeb.openSelectionModal)({
            buttonAddLabel: Liferay.Language.get('done'),
            multiple: true,
            onSelect: function onSelect(selectedItem) {
              if (selectedItem) {
                var editUserGroupRoleFm = _this.one('#editUserGroupRoleFm');

                selectedItem.forEach(function (item) {
                  _metalDom.default.append(editUserGroupRoleFm, item);
                });
                submitForm(editUserGroupRoleFm, itemData.editUserGroupRoleURL);
              }
            },
            selectEventName: this.ns('selectUsersRoles'),
            title: Liferay.Language.get('assign-roles'),
            url: itemData.assignRolesURL
          });
        }
      }]);

      return UserDropdownDefaultEventHandler;
    }(_frontendJsWeb.DefaultEventHandler);

    var _default = UserDropdownDefaultEventHandler;
    exports.default = _default;
    //# sourceMappingURL=UserDropdownDefaultEventHandler.es.js.map
  }
});
//# sourceMappingURL=UserDropdownDefaultEventHandler.es.js.map